#!/bin/bash

verbose=no

for arg in "$@"
do
	if [ "$arg" == "verbose" ]
	then
		verbose=yes
	fi
done


# Check if NOMAD_NPROC is defined. 
if [ -z "$NOMAD_NPROC" ]
then
	NPROC=$(nproc)
  
	# Subtract 2 procs to avoid freezing the system.
	n=`expr $NPROC - 2`
	NOMAD_MAKE="make -j $n"
else
	NOMAD_MAKE="make -j $NOMAD_NPROC"
fi

if [ "$verbose" == "yes" ]
then
	MAKE_COMMAND="$NOMAD_MAKE VERBOSE=1 install"
else
	MAKE_COMMAND="$NOMAD_MAKE install"
fi

echo "$MAKE_COMMAND"

# Execute make.
cd build
$MAKE_COMMAND
