#!/bin/bash

tests=""
sana=""
sant=""

for arg in "$@"
do
	if [ "$arg" == "tests" ]
	then
		tests="-DTESTS=ON"
	fi
	
	if [ "$arg" == "sanitize-address" ]
	then
		sana="-DSANITIZE_ADDRESS=On"
	fi
	
	if [ "$arg" == "sanitize-thread" ]
	then
		sant="-DSANITIZE_THREAD=On"
	fi
done

mkdir -p build
cd build

cmake -DCMAKE_EXPORT_COMPILE_COMMANDS=1 -DCMAKE_BUILD_TYPE=Debug "$tests" "$sana" "$sant" ..

if [ ! -z "$CXX" ]
then
	echo ""
	echo "Configuration was made with CXX=$CXX"
fi
