#!/bin/bash

path=$NOMAD_HOME/mod
sequenceFile=$path/LoadSequence.xml
logFile=$path/minconfiglog
moduleConfigFile=$NOMAD_MODULE_CONFIG
targetModuleConfigFile=$1

# copy the file
if [ ! "$targetModuleConfigFile" = "" ]
then
	# first copy the original to the target
	cp $moduleConfigFile $targetModuleConfigFile
else
	targetModuleConfigFile=$moduleConfigFile

	# backup the original
	moduleConfigFileorg="$moduleConfigFile".org
	cp $moduleConfigFile $moduleConfigFileorg 

	echo "copied $moduleConfigFile into $moduleConfigFileorg"
fi


# empty log file
echo "" > $logFile

echo -ne "Generating minimum load sequence"

# first generate direct dependencies 
$NOMAD_HOME/bin/moduleloadsequencer config

# iterate until no more module is loaded
result=11

while [ $result -eq 11 ]
do
	echo -ne "."
	$NOMAD_HOME/bin/moduleloadsequencer minimize $targetModuleConfigFile
	result=$?
done
echo "Written $targetModuleConfigFile"
