/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include <iostream>
#include <cstdlib>
#include <fstream>

using namespace std;

int main(int argc, char* argv[]) {

	if (argc < 5) {
		cerr << "Usage: nomadmail <subject> <message> <sender> <recipients>" << endl;
		return 1;
	}

	string subject(argv[1]);
	string message(argv[2]);
	string sender(argv[3]);
	string recipients(argv[4]); // Addresses separated by space.

	const char *filename = "nomadmail.txt";

	std::ofstream ofs(filename, std::ofstream::out);
	ofs << message;
	ofs.close();

	string command("cat ");
	command += filename;
	command += " | mail -r " + sender + " -s \"";
	command += subject + "\" ";
	command += recipients;

	cout << "Mail command = " << command << endl;

	::system(command.c_str());
	std::remove(filename);

	return 0;
}
