/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_PROCESSORMANAGERINTERFACE_H_
#define COMMAND_PROCESSORMANAGERINTERFACE_H_

namespace command {

/**
 * Class defining the interface used by Processor Manager for communication with above layer.
 */
class ProcessorManagerInterface {

public:
	/**
	 * Sets the manager started.
	 */
	virtual void setStarted() = 0;

	/**
	 * Sets the state on error.
	 */
	virtual void setOnError() = 0;
};

}

#endif /*COMMAND_COMMANDPROCESSORMANAGERINTERFACE_H_*/