/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_PROCESSORTHREAD_H_
#define COMMAND_PROCESSORTHREAD_H_

#include <thread>

namespace command {

/**
 * Class defining the Processor state.
 */
class ProcessorThread {
	
public:
	/**
	 * Constructor.
	 */
	ProcessorThread(unsigned long processorID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~ProcessorThread();
	
	/**
	 * Starts the thread.
	 */
	void start();

	/**
	 * Joins the thread.
	 */
	void join();

	/**
	 * Gets the processor ID.
	 */
	unsigned long getProcessorID() const;
		
private:
	static void loop(unsigned long processorID);

	unsigned long _processorID;

	std::thread* _thread;
};

}

#endif /*COMMAND_PROCESSORTHREAD_H_*/
