/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Base.h"
#include <command/transportlayer/dataprovider/CommandAccessor.h>
#include <command/base/ServantManager.h>
#include <common/output/OutputStream.h>
#include <iostream>

using namespace std;
using namespace common;

namespace command {
namespace driver {

Base::Base(unsigned long ID, std::string const & name)
	: Servant(ID, name) {
}

Base::~Base() {
}

Servant::Type Base::_getServantType() const {

	return Servant::DRIVER;
}

void Base::_synchronise(CommandAccessor* commandAccessor) {

	Servant::_synchronise(commandAccessor);
}

std::vector<common::CommandDescriptor> Base::_getCommandDescriptors() const {

	return _commandAccessor()->getDriverCommands(_getID());
}

}
}
