/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_BASETHROWER_H_
#define COMMAND_BASETHROWER_H_

namespace command {

class TraceableException;

/**
 * Base class defining an exception thrower.
 */
class BaseThrower {

public:
	/**
	 * Constructor
	 */
	BaseThrower();

	/**
	 * Virtual destructor.
	 */
	virtual ~BaseThrower();

	/**
	 * Gets the exception.
	 */
	virtual TraceableException & getException() = 0;

	/**
	 * Launches the exception.
	 */
	virtual void execute() = 0;
};

}

#endif /*COMMAND_BASETHROWER_H_*/