/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_ERROR_H_
#define COMMAND_ERROR_H_

#include "BaseError.h"
#include <common/base/Convert.h>
#include <iostream>

namespace command {

/**
 * Class defining a N error.
 */
class Error : public BaseError {

public:
	/**
	 * Constructor.
	 */
	Error(std::string const & type, std::string const & text);
};


std::ostream& operator<< (std::ostream& os, Error const & e);

}

namespace common {

// specialising ConvertHelper for command::Error
template<>
struct ConvertHelper<std::string, command::Error> {
	static std::string convert(command::Error const & value, std::string const & format);
};

}

#endif /*COMMAND_ERROR_H_*/