/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Failure.h"
#include "Thrower.h"

namespace command {

Failure::Failure(const std::string& text) :
	Error("Failure", text) {
}

BaseThrower * Failure::createThrower() const {
	return new Thrower<Failure>(*this);
}

}

namespace common {

std::string ConvertHelper<std::string, command::Failure>::convert(command::Failure const & value, std::string const & format) {
	return value.printStack();
}

}