/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_FAILURE_H_
#define COMMAND_FAILURE_H_

#include "Error.h"
#include <common/base/BaseTypes.h>

namespace command {

/**
 * Failure exception.
 */
class Failure : public Error {

public:
	/**
	 * Constructor.
	 */
	Failure(const std::string& text);

	/**
	 * Creates a new thrower.
	 */
	virtual BaseThrower * createThrower() const;
};

}

namespace common {

// specialising ConvertHelper for command::Failure
template<>
struct ConvertHelper<std::string, command::Failure> {
	static std::string convert(command::Failure const & value, std::string const & format);
};

}

#endif /*COMMAND_FAILURE_H_*/