/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

namespace command {

template<typename ExceptionType>
Thrower<ExceptionType>::Thrower(ExceptionType const & exception) :
	_exception(exception) {
}

template<typename ExceptionType>
Thrower<ExceptionType>::~Thrower() {
}

template<typename ExceptionType>
TraceableException & Thrower<ExceptionType>::getException() {
	return _exception;
}

template<typename ExceptionType>
void Thrower<ExceptionType>::execute() {
	throw _exception;
}

}