/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DatabaseLog.h"

namespace command {

DatabaseLog::DatabaseLog(common::LogType type, common::LogLevel level, std::list<common::LogElement> const & lineElements, std::string const & imageName) :
	BaseLog(type, level, ""),
	_commandID(0),
	_servantID(0),
	_lineElements(lineElements),
	_imageName(imageName) {

}

DatabaseLog::~DatabaseLog() {
}

void DatabaseLog::setCommandID(unsigned long commandID) {
	_commandID = commandID;
}
void DatabaseLog::setServantID(unsigned long servantID) {
	_servantID = servantID;

}

unsigned long DatabaseLog::getCommandID() const {
	return _commandID;
}

unsigned long DatabaseLog::getServantID() const {
	return _servantID;
}

const std::list<common::LogElement> & DatabaseLog::getLineElements() const {
	return _lineElements;
}

const std::string & DatabaseLog::getImageName() const {
	return _imageName;
}

}

