/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Message.h"

namespace command {

Message::Message() {
}

Message::~Message() {
}

std::string Message::getTypeString() const {

	Type value = getType();

	if (value == INIT_SERVANTS) {
		return "\"init servants\"";
	} else if (value == EXECUTE_COMMAND) {
		return "\"execute command\"";
	} else if (value == REGISTER_PROCESSOR) {
		return "\"register processor\"";
	} else if (value == UNREGISTER_PROCESSOR) {
		return "\"unregister processor\"";
	} else if (value == REGISTER_PROCESSOR_CREATOR) {
		return "\"register processor creator\"";
	} else if (value == CREATE_PROCESSOR) {
		return "\"create processor\"";
	} else if (value == COMMAND_SUCCESS) {
		return "\"command success\"";
	} else if (value == COMMAND_FAILURE) {
		return "\"command failure\"";
	} else if (value == PROPERTY_SUCCESS) {
		return "\"property success\"";
	} else if (value == PROPERTY_FAILURE) {
		return "\"property failure\"";
	} else if (value == SHUTDOWN) {
		return "\"shutdown\"";
	} else if (value == FINALISE_SHUTDOWN) {
		return "\"finalise shutdown\"";
	} else if (value == TERMINATE) {
		return "\"terminate\"";
	} else if (value == COMMAND) {
		return "\"command\"";
	} else if (value == DELETE_PROCESSOR) {
		return "\"delete processor\"";
	} else if (value == TERMINATE_PROCESSOR) {
		return "\"terminate processor\"";
	} else if (value == ABORT_PROCESSOR_CREATION) {
		return "\"abort processor creation\"";
	} else if (value == STOP_COMMAND) {
		return "\"stop command\"";
	} else if (value == PAUSE_COMMAND) {
		return "\"pause command\"";
	} else if (value == RESTART_COMMAND) {
		return "\"restart command\"";
	} else if (value == REGISTER_HANDLER) {
		return "\"register handler\"";
	} else if (value == EXECUTE_DURATION_REQUEST) {
		return "\"execute duration request\"";
	} else if (value == DURATION_REQUEST) {
		return "\"duration request\"";
	} else if (value == DURATION_REQUEST_SUCCESS) {
		return "\"duration request success\"";
	} else if (value == DURATION_REQUEST_FAILURE) {
		return "\"duration request failure\"";
	} else if (value == SET_VALUE) {
		return "\"set value\"";
	} else if (value == REQUEST_DEBUG) {
		return "\"request debug\"";
	} else if (value == BREAK_POINT) {
		return "\"break point\"";
	} else if (value == INTERRUPT) {
		return "\"interrupt\"";
	} else if (value == RUN) {
		return "\"run\"";
	} else if (value == STEP_INTO) {
		return "\"step into\"";
	} else if (value == STEP_OVER) {
		return "\"step over\"";
	} else if (value == REQUEST_VARIABLE_VALUE) {
		return "\"request variable value\"";
	} else if (value == WRITE_LOG) {
		return "\"write log\"";
	} else if (value == DATAREADY_LOG) {
		return "\"image data ready\"";
	}

	return "\"unknown\"";
}

}
