/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_SHUTDOWNMESSAGE_H_
#define COMMAND_SHUTDOWNMESSAGE_H_

#include "Message.h"

namespace command {

/**
 * Class defining a shutdown Message used by the processor, processor creator and processor manager
 * message queues.
 */
class ShutdownMessage : public Message {

public:
	/**
	 * Constructor.
	 */
	ShutdownMessage();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~ShutdownMessage();

	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

private:
	
};

}

#endif /*COMMAND_SHUTDOWNMESSAGE_H_*/