/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */


#include "WriteSimpleLogMessage.h"

namespace command {

WriteSimpleLogMessage::WriteSimpleLogMessage(common::LogType logType, common::LogLevel logLevel, std::string const & message, bool writeLogFile) :
		Message(),
		_logType(logType),
		_logLevel(logLevel),
		_message(message),
		_writeLogFile(writeLogFile) {

}

WriteSimpleLogMessage::~WriteSimpleLogMessage() {

}

Message::Type WriteSimpleLogMessage::getType() const {
	return Message::WRITE_SIMPLE_LOG;
}

common::LogLevel WriteSimpleLogMessage::getLogLevel() const {
	return _logLevel;
}

common::LogType WriteSimpleLogMessage::getLogType() const {
	return _logType;
}

const std::string & WriteSimpleLogMessage::getMessage() const {
	return _message;
}

bool WriteSimpleLogMessage::getWriteLogFile() const {
	return _writeLogFile;
}


}




