/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseSetValueMessage.h"

namespace command {

BaseSetValueMessage::BaseSetValueMessage(unsigned long databaseID, unsigned long propertyID, unsigned long propertySetterID) :
	Message(),
	_databaseID(databaseID),
	_propertyID(propertyID),
	_propertySetterID(propertySetterID),
	_index(0) {
}

BaseSetValueMessage::BaseSetValueMessage(unsigned long databaseID, unsigned long propertyID, unsigned long propertySetterID, long index) :
	Message(),
	_databaseID(databaseID),
	_propertyID(propertyID),
	_propertySetterID(propertySetterID),
	_index(index) {
}

BaseSetValueMessage::~BaseSetValueMessage() {
}

Message::Type BaseSetValueMessage::getType() const {
	return Message::SET_VALUE;
}

unsigned long BaseSetValueMessage::getDatabaseID() const {
	return _databaseID;
}

unsigned long BaseSetValueMessage::getPropertyID() const {
	return _propertyID;
}

unsigned long BaseSetValueMessage::getPropertySetterID() const {
	return _propertySetterID;
}

long BaseSetValueMessage::getIndex() const {
	return _index;
}

}
