/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandMessage.h"
#include <command/base/method/BaseCommand.h>

namespace command {

CommandMessage::CommandMessage(unsigned long databaseID, BaseCommand* command, bool skipIfWait, unsigned long commandExecutionID) :
	Message(),
	_command(command),
	_databaseID(databaseID),
	_skipIfWait(skipIfWait),
	_commandExecutionID(commandExecutionID) {
}

CommandMessage::~CommandMessage() {
}

Message::Type CommandMessage::getType() const {
	return Message::COMMAND;
}

BaseCommand* CommandMessage::getCommand() const {
	return _command;	
}
	
unsigned long CommandMessage::getDatabaseID() const {
	return _databaseID;
}

bool CommandMessage::skipIfWait() const {
	return _skipIfWait;
}

unsigned long CommandMessage::getCommandExecutionID() const {
	return _commandExecutionID;
}

}