/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DurationRequestMessage.h"
#include <command/base/method/BaseCommand.h>

namespace command {

DurationRequestMessage::DurationRequestMessage(unsigned long databaseID, BaseCommand* command, unsigned long durationRequestExecutionID) :
	Message(),
	_command(command),
	_databaseID(databaseID),
	_durationRequestExecutionID(durationRequestExecutionID) {
}

DurationRequestMessage::~DurationRequestMessage() {
}

Message::Type DurationRequestMessage::getType() const {
	return Message::DURATION_REQUEST;
}

BaseCommand* DurationRequestMessage::getCommand() const {
	return _command;	
}
	
unsigned long DurationRequestMessage::getDatabaseID() const {
	return _databaseID;
}

unsigned long DurationRequestMessage::getDurationRequestExecutionID() const {
	return _durationRequestExecutionID;
}

}