/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "IcsSetValueMessage.h"

namespace command {

IcsSetValueMessage::IcsSetValueMessage(unsigned long databaseID, unsigned long propertyID, Servant* servant, unsigned long propertySetterID, const boost::any& value) :
	BaseSetValueMessage(databaseID, propertyID, propertySetterID),
	_servant(servant),
	_value(value) {
}

IcsSetValueMessage::~IcsSetValueMessage() {
}

Message::Type IcsSetValueMessage::getType() const {
	return Message::ICS_SET_VALUE;
}

Servant* IcsSetValueMessage::getServant() const {
	return _servant;
}

const boost::any& IcsSetValueMessage::getValue() const {
	return _value;
}

}