/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "InitServantsMessage.h"

namespace command {

InitServantsMessage::InitServantsMessage(unsigned long databaseID, bool verify, bool driversAndProtocolsOnly, common::Queue<bool>* queue) :
	_databaseID(databaseID),
	_verify(verify),
	_driversAndProtocolsOnly(driversAndProtocolsOnly),
	_queue(queue) {
}

InitServantsMessage::~InitServantsMessage() {
}

Message::Type InitServantsMessage::getType() const {
	return INIT_SERVANTS;
}

bool InitServantsMessage::verify() const {
	return _verify;
}

unsigned long InitServantsMessage::getDatabaseID() const {
	return _databaseID;
}

bool InitServantsMessage::driversAndProtocolsOnly() const {
	return _driversAndProtocolsOnly;
}

common::Queue<bool>* InitServantsMessage::getQueue() const {
	return _queue;
}

}