/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_CREATEPROCESSORMESSAGE_H_
#define COMMAND_CREATEPROCESSORMESSAGE_H_

#include <command/message/Message.h>

namespace command {

/**
 * Class defining a create processor message used by the processor creator message queue.
 */
class CreateProcessorMessage : public Message {

public:
	/**
	 * Constructor.
	 */
	CreateProcessorMessage(unsigned long processorID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~CreateProcessorMessage();

	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

	/**
	 * Gets the processor ID.
	 */
	unsigned long getProcessorID();

private:
	unsigned long _processorID;
	
};

}

#endif /*COMMAND_CREATEPROCESSORMESSAGE_H_*/