/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_TERMINATEPROCESSORMESSAGE_H_
#define COMMAND_TERMINATEPROCESSORMESSAGE_H_

#include <command/message/Message.h>

namespace command {

/**
 * Class defining a terminate processor message.
 */
class TerminateProcessorMessage : public Message {

public:
	/**
	 * Constructor.
	 */
	TerminateProcessorMessage(unsigned long PID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~TerminateProcessorMessage();

	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

	/**
	 * Gets the PID of the process associated with the Processor to terminate.
	 */
	unsigned long getPID();

private:
	unsigned long _PID;
	
};

}

#endif /*COMMAND_TERMINATEPROCESSORMESSAGE_H_*/