/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseExecuteSetValueMessage.h"

namespace command {

BaseExecuteSetValueMessage::BaseExecuteSetValueMessage(unsigned long requestID, unsigned long databaseID, unsigned long servantID, unsigned long propertyID, CompletionHandler* completionHandler) :
	Message(),
	_requestID(requestID),
	_servantID(servantID),
	_propertyID(propertyID),
	_databaseID(databaseID),
	_completionHandler(completionHandler) {
}

BaseExecuteSetValueMessage::~BaseExecuteSetValueMessage() {
}

Message::Type BaseExecuteSetValueMessage::getType() const {
	return Message::SET_VALUE;
}

unsigned long BaseExecuteSetValueMessage::getRequestID() const {
	return _requestID;	
}

unsigned long BaseExecuteSetValueMessage::getServantID() const {
	return _servantID;	
}

unsigned long BaseExecuteSetValueMessage::getPropertyID() const {
	return _propertyID;
}

unsigned long BaseExecuteSetValueMessage::getDatabaseID() const {
	return _databaseID;
}

CompletionHandler* BaseExecuteSetValueMessage::getCompletionHandler() const {
	return _completionHandler;
}

}