/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandFailureMessage.h"

namespace command {

CommandFailureMessage::CommandFailureMessage(unsigned long processorID, unsigned long commandID, unsigned long commandExecutionID, const std::string& message) :
	ResponseMessage(processorID),
	_commandID(commandID),
	_commandExecutionID(commandExecutionID),
	_message(message) {
}

CommandFailureMessage::~CommandFailureMessage() {
}

Message::Type CommandFailureMessage::getType() const {
	return Message::COMMAND_FAILURE;
}

unsigned long CommandFailureMessage::getCommandID() const {
	return _commandID;
}

unsigned long CommandFailureMessage::getCommandExecutionID() const {
	return _commandExecutionID;
}

const std::string& CommandFailureMessage::getMessage() const {
	return _message;
}

}