/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandSuccessMessage.h"

namespace command {

CommandSuccessMessage::CommandSuccessMessage(unsigned long processorID, unsigned long commandID, unsigned long commandExecutionID) :
	ResponseMessage(processorID),
	_commandID(commandID),
	_commandExecutionID(commandExecutionID) {
}

CommandSuccessMessage::~CommandSuccessMessage() {
}

Message::Type CommandSuccessMessage::getType() const {
	return Message::COMMAND_SUCCESS;	
}
	
unsigned long CommandSuccessMessage::getCommandID() const {
	return _commandID;
}

unsigned long CommandSuccessMessage::getCommandExecutionID() const {
	return _commandExecutionID;
}

}