/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DurationRequestFailureMessage.h"

namespace command {

DurationRequestFailureMessage::DurationRequestFailureMessage(unsigned long processorID, unsigned long commandID, unsigned long durationRequestExecutionID, const std::string& message) :
	ResponseMessage(processorID),
	_commandID(commandID),
	_durationRequestExecutionID(durationRequestExecutionID),
	_message(message) {
}

DurationRequestFailureMessage::~DurationRequestFailureMessage() {
}

Message::Type DurationRequestFailureMessage::getType() const {
	return Message::DURATION_REQUEST_FAILURE;
}
unsigned long DurationRequestFailureMessage::getCommandID() const {
	return _commandID;
}

unsigned long DurationRequestFailureMessage::getDurationRequestExecutionID() const {
	return _durationRequestExecutionID;
}

const std::string& DurationRequestFailureMessage::getMessage() const {
	return _message;
}

}