/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DurationRequestSuccessMessage.h"

namespace command {

DurationRequestSuccessMessage::DurationRequestSuccessMessage(unsigned long processorID, unsigned long commandID, unsigned long durationRequestExecutionID, double duration) :
	ResponseMessage(processorID),
	_commandID(commandID),
	_durationRequestExecutionID(durationRequestExecutionID),
	_duration(duration) {
}

DurationRequestSuccessMessage::~DurationRequestSuccessMessage() {
}

Message::Type DurationRequestSuccessMessage::getType() const {
	return Message::DURATION_REQUEST_SUCCESS;	
}
	
unsigned long DurationRequestSuccessMessage::getCommandID() const {
	return _commandID;
}

unsigned long DurationRequestSuccessMessage::getDurationRequestExecutionID() const {
	return _durationRequestExecutionID;
}

double DurationRequestSuccessMessage::getDuration() const {
	return _duration;
}

}