/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ExecuteEnableDisableCommandMessage.h"
#include <command/transportlayer/core/CompletionHandler.h>

namespace command {

ExecuteEnableDisableCommandMessage::ExecuteEnableDisableCommandMessage(unsigned long requestID, unsigned long databaseID, unsigned long commandID, bool value, CompletionHandler* completionHandler) :
	ExecuteCommandMessage(requestID, databaseID, commandID, false, completionHandler),
	_value(value) {
}

ExecuteEnableDisableCommandMessage::~ExecuteEnableDisableCommandMessage() {
}

Message::Type ExecuteEnableDisableCommandMessage::getType() const {
	return Message::EXECUTE_ENABLE_DISABLE_COMMAND;
}

bool ExecuteEnableDisableCommandMessage::getValue() const {
	return _value;	
}

}