/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_EXECUTEENABLEDISABLECOMMANDMESSAGE_H_
#define COMMAND_EXECUTEENABLEDISABLECOMMANDMESSAGE_H_

#include "ExecuteCommandMessage.h"

namespace command {

/**
 * Class defining a execute enable/disable command message used by the processor manager.
 */
class ExecuteEnableDisableCommandMessage : public ExecuteCommandMessage {

public:
	/**
	 * Constructor.
	 */
	ExecuteEnableDisableCommandMessage(unsigned long requestID, unsigned long databaseID, unsigned long commandID, bool value, CompletionHandler* completionHandler);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~ExecuteEnableDisableCommandMessage();

	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

	/**
	 * Gets the value.
	 */
	bool getValue() const;

private:
	bool _value;
};

}

#endif /*COMMAND_EXECUTEENABLEDISABLECOMMANDMESSAGE_H_*/