/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

namespace command {

template<typename ValueType>
ExecuteSetValueMessage<ValueType>::ExecuteSetValueMessage(unsigned long requestID, unsigned long databaseID, unsigned long servantID, unsigned long propertyID, const ValueType& value, CompletionHandler* completionHandler) :
	BaseExecuteSetValueMessage(requestID, databaseID, servantID, propertyID, completionHandler), 
	_value(value) {
}

template<typename ValueType>
ExecuteSetValueMessage<ValueType>::~ExecuteSetValueMessage() {
}

template<typename ValueType>
const ValueType& ExecuteSetValueMessage<ValueType>::getValue() const {
	return _value;
}

}