/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_INTERRUPTCOMMANDMESSAGE_H_
#define COMMAND_INTERRUPTCOMMANDMESSAGE_H_

#include <command/message/Message.h>

namespace command {

/**
 * Class defining an interrupt command message used by the processor manager.
 */
class InterruptCommandMessage : public Message {

public:
	/**
	 * Constructor.
	 */
	InterruptCommandMessage(unsigned long databaseID, unsigned long commandID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~InterruptCommandMessage();

	/**
	 * Gets the Command ID.
	 */
	unsigned long getCommandID() const;
	
	/**
	 * Gets the database ID.
	 */
	unsigned long getDatabaseID() const;

private:
	unsigned long _commandID;
	unsigned long _databaseID;

};

}

#endif /*COMMAND_INTERRUPTCOMMANDMESSAGE_H_*/