/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_PAUSESETTERMESSAGE_H_
#define COMMAND_PAUSESETTERMESSAGE_H_

#include "InterruptSetterMessage.h"

namespace command {

/**
 * Class defining a pause setter message used by the processor manager.
 */
class PauseSetterMessage : public InterruptSetterMessage {

public:
	/**
	 * Constructor.
	 */
	PauseSetterMessage(unsigned long databaseID, unsigned long propertyID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~PauseSetterMessage();

	/**
	 * Gets the type.
	 */
	virtual Type getType() const;
};

}

#endif /*COMMAND_PAUSESETTERMESSAGE_H_*/