/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PropertyFailureMessage.h"

namespace command {

PropertyFailureMessage::PropertyFailureMessage(unsigned long processorID, unsigned long propertyID, unsigned long setterID, const std::string& message) :
	ResponseMessage(processorID),
	_propertyID(propertyID),
	_setterID(setterID),
	_message(message) {
}

PropertyFailureMessage::~PropertyFailureMessage() {
}

Message::Type PropertyFailureMessage::getType() const {
	return Message::PROPERTY_FAILURE;
}

unsigned long PropertyFailureMessage::getPropertyID() const {
	return _propertyID;
}

unsigned long PropertyFailureMessage::getSetterID() const {
	return _setterID;
}

const std::string& PropertyFailureMessage::getMessage() const {
	return _message;
}

}