/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PropertySuccessMessage.h"

namespace command {

PropertySuccessMessage::PropertySuccessMessage(unsigned long processorID, unsigned long propertyID, unsigned long setterID) :
	ResponseMessage(processorID),
	_propertyID(propertyID),
	_setterID(setterID) {
}

PropertySuccessMessage::~PropertySuccessMessage() {
}

Message::Type PropertySuccessMessage::getType() const {
	return Message::PROPERTY_SUCCESS;	
}
	
unsigned long PropertySuccessMessage::getPropertyID() const {
	return _propertyID;
}

unsigned long PropertySuccessMessage::getSetterID() const {
	return _setterID;
}

}