/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_PROPERTYSUCCESSMESSAGE_H_
#define COMMAND_PROPERTYSUCCESSMESSAGE_H_

#include "ResponseMessage.h"

namespace command {

/**
 * Class defining a property success message used by the processor manager.
 */
class PropertySuccessMessage : public ResponseMessage {
	
public:
	/**
	 * Constructor.
	 */
	PropertySuccessMessage(unsigned long processorID, unsigned long PropertyID, unsigned long setterID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~PropertySuccessMessage();
	
	/**
	 * Gets the type.
	 */
	virtual Type getType() const;
	
	/**
	 * Gets the Property ID.
	 */
	unsigned long getPropertyID() const;
	
	/**
	 * Gets the Setter ID.
	 */
	unsigned long getSetterID() const;
	
private:
	unsigned long _propertyID;
	unsigned long _setterID;
	
};

}

#endif /*COMMAND_PROPERTYSUCCESSMESSAGE_H_*/