/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "RegisterProcessorMessage.h"

namespace command {

RegisterProcessorMessage::RegisterProcessorMessage(ProcessorProxy* processorProxy, int PID) :
	Message(),
	_processorProxy(processorProxy),
	_PID(PID) {
}

RegisterProcessorMessage::~RegisterProcessorMessage() {
}

Message::Type RegisterProcessorMessage::getType() const {
	return Message::REGISTER_PROCESSOR;	
}

ProcessorProxy* RegisterProcessorMessage::getProcessorProxy() const {
	return _processorProxy;
}

int RegisterProcessorMessage::getPID() const {
	return _PID;
}

}