/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_RESPONSEMESSAGE_H_
#define COMMAND_RESPONSEMESSAGE_H_

#include <command/message/Message.h>

#include <string>

namespace command {

/**
 * Class defining a response message used by the processor manager.
 */
class ResponseMessage : public Message {
	
public:
	/**
	 * Constructor.
	 */
	ResponseMessage(unsigned long processorID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~ResponseMessage();
	
	/**
	 * Gets the processor ID.
	 */
	unsigned long getProcessorID() const;
	
private:
	unsigned long _processorID;	
};

}

#endif /*COMMAND_RESPONSEMESSAGE_H_*/