/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_STOPCOMMANDMESSAGE_H_
#define COMMAND_STOPCOMMANDMESSAGE_H_

#include "InterruptCommandMessage.h"

namespace command {

/**
 * Class defining a stop command message used by the processor manager.
 */
class StopCommandMessage : public InterruptCommandMessage {

public:
	/**
	 * Constructor.
	 */
	StopCommandMessage(unsigned long databaseID, unsigned long commandID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~StopCommandMessage();
	
	/**
	 * Gets the type.
	 */
	virtual Type getType() const;
};

}

#endif /*COMMAND_STOPCOMMANDMESSAGE_H_*/