/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseSetterItem.h"
#include <command/transportlayer/core/CompletionHandler.h>

namespace command {

BaseSetterItem::BaseSetterItem(unsigned long requestID, unsigned long databaseID, unsigned long servantID, unsigned long propertyID, unsigned long setterID, CompletionHandler* handler) :
	OperationItem(requestID, databaseID),
	_servantID(servantID),
	_propertyID(propertyID),
	_setterID(setterID),
	_handler(handler) {
}

BaseSetterItem::~BaseSetterItem() {
	delete _handler;
}

unsigned long BaseSetterItem::getServantID() const {
	return _servantID;
}

unsigned long BaseSetterItem::getPropertyID() const {
	return _propertyID;
}

unsigned long BaseSetterItem::getSetterID() const {
	return _setterID;
}

CompletionHandler* BaseSetterItem::getHandler() const {
	return _handler;
}

OperationItem::Type BaseSetterItem::getType() const {
	return OperationItem::PROPERTY;
}


}