/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DurationRequestItem.h"
#include <command/transportlayer/core/CompletionHandler.h>

namespace command {

DurationRequestItem::DurationRequestItem(unsigned long requestID, unsigned long databaseID, unsigned long commandID, unsigned long durationRequestExecutionID, CompletionHandler* handler) :
	OperationItem(requestID, databaseID),
	_commandID(commandID),
	_durationRequestExecutionID(durationRequestExecutionID),
	_handler(handler) {
}

DurationRequestItem::~DurationRequestItem() {
	delete _handler;
}

unsigned long DurationRequestItem::getCommandID() const {
	return _commandID;
}

unsigned long DurationRequestItem::getDurationRequestExecutionID() const {
	return _durationRequestExecutionID;
}

CompletionHandler* DurationRequestItem::getHandler() const {
	return _handler;
}

OperationItem::Type DurationRequestItem::getType() const {
	return OperationItem::DURATION;
}

}