/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_ENABLEDISABLECOMMANDITEM_H_
#define COMMAND_ENABLEDISABLECOMMANDITEM_H_

#include "CommandItem.h"

namespace command {

/**
 * Class defining a command Item used by the processor manager to store information
 * relative to the command enable/disable execution. 
 */
class EnableDisableCommandItem : public CommandItem {

public:
	/**
	 * Constructor with an still created CompletionHandler object.
	 */
	EnableDisableCommandItem(unsigned long requestID, unsigned long databaseID, unsigned long commandID, unsigned long commandExecutionID, bool value, CompletionHandler* handler);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~EnableDisableCommandItem();

		/**
	 * Gets the Completion Handler.
	 */
	bool getValue() const;
	
	/**
	 * Gets the operation type.
	 */
	virtual Type getType() const;

private:
	bool _value;

};

}


#endif /*COMMAND_ENABLEDISABLECOMMANDITEM_H_*/