/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_INITDRIVERSANDPROTOCOLSITEM_H_
#define COMMAND_INITDRIVERSANDPROTOCOLSITEM_H_

#include "OperationItem.h"

namespace command {

/**
 * Class defining an init drivers and protocols Item used by the processor manager.
 */
class InitDriversAndProtocolsItem : public OperationItem {

public:
	/**
	 * Constructor.
	 */
	InitDriversAndProtocolsItem();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~InitDriversAndProtocolsItem();

	/**
	 * Gets the operation type.
	 */
	virtual Type getType() const;
};

}

#endif /*COMMAND_INITDRIVERSANDPROTOCOLSITEM_H_*/