/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_SETTERITEM_H_
#define COMMAND_SETTERITEM_H_

#include "BaseSetterItem.h"

namespace command {

/**
 * Template class defining a typed  setter item.
 */
template<typename ValueType>
class SetterItem : public BaseSetterItem {
	
public:
	/**
	 * Constructor.
	 */
	SetterItem(unsigned long requestID, unsigned long databaseID, unsigned long servantID, unsigned long propertyID, const ValueType& value, unsigned long setterID, CompletionHandler* handler);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~SetterItem();
	
	/**
	 * Gets the value.
	 */
	const ValueType& getValue() const;
	
private:
	ValueType _value;
};

}

#include "SetterItem.inl"

#endif /*COMMAND_SETTERITEM_H_*/