/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_COMMUNICATION_H_
#define COMMAND_COMMUNICATION_H_

#include <common/base/Exception.h>

namespace common {

	class Context;
	class POA;
}

namespace command {

/**
 * Class defining a communication manager creating and deleting all the communication objects of the CommandProcessor
 * application.
 */
class Communication {


public:
	/**
	 * Initialisation failure exception.
	 */
	class InitFailureException  : public common::Exception {

	public:
		/**
		 * Constructor.
		 */
		InitFailureException(const std::string& problem);
	};

	/**
	 * Destruction failure exception.
	 */
	class DestructionFailureException : public common::Exception {

	public:
		/**
		 * Constructor.
		 */
		DestructionFailureException(const std::string& problem);
	};


	/**
	 * Constructor.
	 */
	Communication();

	/**
	 * Virtual destructor.
	 */
	virtual ~Communication();
};

}

#endif /*COMMAND_COMMUNICATIONMANAGER_H_*/
