/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "LogCompletionHandlerDirectImpl.h"
#include <command/log/LogHandler.h>
#include <iostream>

using namespace common;
using namespace std;

namespace command {

unsigned long LogCompletionHandlerDirectImpl::_counter = 0;
std::mutex LogCompletionHandlerDirectImpl::_counterMutex;

LogCompletionHandlerDirectImpl::LogCompletionHandlerDirectImpl() :
	_ID(getNextID()) {
}

LogCompletionHandlerDirectImpl::~LogCompletionHandlerDirectImpl() {
}

const std::string& LogCompletionHandlerDirectImpl::getID() const {
	return _ID;
}

void LogCompletionHandlerDirectImpl::terminate(unsigned long requestID, bool success, const std::string& message) {
	LogHandler::getInstance()->terminate(requestID, success, message);
}

std::string LogCompletionHandlerDirectImpl::getNextID() {
	
	std::scoped_lock lock(_counterMutex);
	return std::string("LogCompletionHandler") + to<std::string>(_counter++);
}

}
