/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Messenger.h"

using namespace std;

namespace command {
	
std::string Messenger::getTypeString(Type value) {

	if (value == STOP_SERVER_SOCKET) {
		return "\"stop server\"";
	} else if (value == PROCESSOR_CREATION_REQUEST) {
		return "\"processor creation request\"";
	} else if (value == PROCESSOR_TERMINATION_REQUEST) {
		return "\"processor termination request\"";
	} else if (value == PROCESSOR_CREATION_FAILURE) {
		return "\"processor creation failure\"";
	} else if (value == PING) {
		return "\"ping\"";
	} else if (value == SHUTDOWN) {
		return "\"shutdown\"";
	}
		
	return "\"unknown command\"";
}

Messenger::~Messenger() {
}

}