/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_PROCESSORMANAGERMESSENGER_H_
#define COMMAND_PROCESSORMANAGERMESSENGER_H_

#include "Messenger.h"

namespace command {
	
/**
 * Class defining a processor manager messenger.
 */
class ProcessorManagerMessenger : public Messenger {
	
public:
	/**
	 * Constructor.
	 */
	ProcessorManagerMessenger();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~ProcessorManagerMessenger();
		
	/**
	 * Sends a Create request.
	 */
	virtual void sendCreate(unsigned long processorID) = 0;
	
	/**
	 * Sends a Terminate request.
	 */
	virtual void sendTerminate(unsigned long PID) = 0;
	
	/**
	 * Sends a request to shutdown the Processor Creator.
	 */
	virtual void shutdown() = 0;
	
};

}

#endif /*COMMAND_PROCESSORMANAGERMESSENGER_H_*/
