/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ProcessorManagerProxyDirectImpl.h"
#include <command/processor/ProcessorManager.h>
#include <command/transportlayer/command/DirectProcessorProxy.h>
#include <command/transportlayer/command/ProcessorProxyDirectImpl.h>
#include <iostream>

using namespace common;
using namespace std;

namespace command {

ProcessorManagerProxyDirectImpl::ProcessorManagerProxyDirectImpl() {
}

ProcessorManagerProxyDirectImpl::~ProcessorManagerProxyDirectImpl() {
}

void ProcessorManagerProxyDirectImpl::registerProcessor(ProcessorProxyDirectImpl* processorProxy, unsigned long PID) {
	ProcessorManager::getInstance()->registerProcessor(new DirectProcessorProxy(processorProxy), PID);
}

void ProcessorManagerProxyDirectImpl::commandSuccess(unsigned long processorID, unsigned long commandID, unsigned long commandExecutionID) {

	ProcessorManager::getInstance()->commandSuccess(processorID, commandID, commandExecutionID);
}

void ProcessorManagerProxyDirectImpl::commandFailure(unsigned long processorID, unsigned long commandID, unsigned long commandExecutionID, const std::string& message) {

	ProcessorManager::getInstance()->commandFailure(processorID, commandID, commandExecutionID, message);
}

void ProcessorManagerProxyDirectImpl::propertySuccess(unsigned long processorID, unsigned long propertyID, unsigned long propertySetterID) {
	
	ProcessorManager::getInstance()->propertySuccess(processorID, propertyID, propertySetterID);
}

void ProcessorManagerProxyDirectImpl::propertyFailure(unsigned long processorID, unsigned long propertyID, unsigned long propertySetterID, const std::string& message) {

	ProcessorManager::getInstance()->propertyFailure(processorID, propertyID, propertySetterID, message);
}

void ProcessorManagerProxyDirectImpl::durationRequestSuccess(unsigned long processorID, unsigned long commandID, unsigned long durationRequestExecutionID, double duration) {

	ProcessorManager::getInstance()->durationRequestSuccess(processorID, commandID, durationRequestExecutionID, duration);
}
	
void ProcessorManagerProxyDirectImpl::durationRequestFailure(unsigned long processorID, unsigned long commandID, unsigned long durationRequestExecutionID, const std::string& message) {
	
	ProcessorManager::getInstance()->durationRequestFailure(processorID, commandID, durationRequestExecutionID, message);
}

void ProcessorManagerProxyDirectImpl::initTerminated(unsigned long processorID) {
	
	ProcessorManager::getInstance()->initTerminated(processorID);
}

}