/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DirectCompletionHandler.h"
#include <core/transportlayer/core/CompletionHandlerDirectImpl.h>
#include <iostream>

using namespace std;
using namespace core;

namespace command {

DirectCompletionHandler::DirectCompletionHandler(core::CompletionHandlerDirectImpl* proxy) :
	_proxy(proxy) {
}

DirectCompletionHandler::~DirectCompletionHandler() {
}

void DirectCompletionHandler::commandSuccess(unsigned long requestID, unsigned long commandID) {
	
	_proxy->commandSuccess(requestID, commandID);
}

void DirectCompletionHandler::commandFailure(unsigned long requestID, unsigned long commandID, const std::string& message) {
	
	_proxy->commandFailure(requestID, commandID, message);
}

void DirectCompletionHandler::propertySuccess(unsigned long requestID, unsigned long propertyID) {
	
	_proxy->propertySuccess(requestID, propertyID);
}

void DirectCompletionHandler::propertyFailure(unsigned long requestID, unsigned long propertyID, const std::string& message) {
	
	_proxy->propertyFailure(requestID, propertyID, message);
}

void DirectCompletionHandler::durationRequestSuccess(unsigned long requestID, unsigned long commandID, double duration) {
	
	_proxy->durationRequestSuccess(requestID, commandID, duration);
}
	
void DirectCompletionHandler::durationRequestFailure(unsigned long requestID, unsigned long commandID, const std::string& message) {

	_proxy->durationRequestFailure(requestID, commandID, message);
}

}