/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandAccessor.h"
#include "common/base/Convert.h"

using namespace common;
using namespace std;

namespace command {
	
CommandAccessor::CommandListCreationException::CommandListCreationException(const string& type, unsigned long ID) :
	TraceableException("command::CommandAccessor::CommandListCreationException", string("server failed to create list of " + type + " commands for ID " + common::to<string>(ID))) {
}

CommandAccessor::NoSuchServantException::NoSuchServantException(unsigned long servantID)
: TraceableException("command::CommandAccessor::NoSuchServantException", string("unable to find servant <") + to<string>(servantID) + ">") {
}

CommandAccessor::NoSuchCommandException::NoSuchCommandException(unsigned long commandID)
: TraceableException("command::CommandAccessor::NoSuchCommandException", string("unable to find command <") + to<string>(commandID) + ">") {
}

CommandAccessor::CommandAccessor() {
}
	
CommandAccessor::~CommandAccessor() {
}
	
}