/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DirectLogAccessor.h"
#include "DatabaseIDKeeper.h"
#include <command/transportlayer/command/LogCompletionHandlerDirectImpl.h>
#include <dataprovider/transportlayer/dataprovider/LogAccessorDirectImpl.h>
#include <iostream>

using namespace common;
using namespace dataprovider;
using namespace std;

namespace command {

DirectLogAccessor::DirectLogAccessor(LogAccessorDirectImpl* proxy)
: _proxy(proxy) {
}

DirectLogAccessor::~DirectLogAccessor() {
}
	
void DirectLogAccessor::write(common::LogType type, common::LogLevel level, const std::list<common::LogElement>& lineElements, const std::string & imageName, unsigned long commandID, unsigned long servantID, bool writeLogFile, unsigned long requestID) {
	LogCompletionHandlerDirectImpl* completionHandler = new LogCompletionHandlerDirectImpl();
	_proxy->writeNLog(type, level, lineElements, imageName, commandID, servantID, writeLogFile, requestID, completionHandler);

}

void DirectLogAccessor::write(common::LogType type, common::LogLevel level, const std::string & message, bool writeLogFile) {
	_proxy->writeSimpleLog(level, message, writeLogFile);
}

void DirectLogAccessor::imageDataReady(const std::string & image) {
	_proxy->imageDataReadyLog(image);
}

}
