/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Application.h"
#include <common/base/Convert.h>
#include <common/output/OutputStream.h>
#include <sys/wait.h>
#include <sys/types.h>

namespace common {

const std::string Application::CONFIG_PATH = "-configpath";
const std::string Application::CLEAN = "-clean";
const std::string Application::STDOUT = "-stdout";
const std::string Application::REMOTE = "-remote";

Application::Application() {
}

Application::~Application() {
}

void Application::setSignalHandlers(sighandler_t handler) {
	
	signal(SIGABRT, handler);
	signal(SIGALRM, handler);
	signal(SIGFPE, handler);
	signal(SIGHUP, handler);
	signal(SIGILL, handler);
	signal(SIGKILL, handler);
	signal(SIGPIPE, handler);
	signal(SIGQUIT, handler);
	signal(SIGSEGV, handler);
	signal(SIGTERM, handler);
	signal(SIGUSR1, handler);
	signal(SIGUSR2, handler);
	signal(SIGCHLD, handler);
	signal(SIGCONT, handler);
	signal(SIGSTOP, handler);
	signal(SIGTSTP, handler);
	signal(SIGTTIN, handler);
	signal(SIGTTOU, handler);
	signal(SIGBUS, handler);
	signal(SIGPOLL, handler);
	signal(SIGPROF, handler);
	signal(SIGSYS, handler);
	signal(SIGTRAP, handler);
	signal(SIGURG, handler);
	signal(SIGVTALRM, handler);
	signal(SIGXCPU, handler);
	signal(SIGXFSZ, handler);
}

void Application::resetSignalHandlers() {
	
	signal(SIGABRT, 0);
	signal(SIGALRM, 0);
	signal(SIGFPE, 0);
	signal(SIGHUP, 0);
	signal(SIGILL, 0);
	signal(SIGKILL, 0);
	signal(SIGPIPE, 0);
	signal(SIGQUIT, 0);
	signal(SIGSEGV, 0);
	signal(SIGTERM, 0);
	signal(SIGUSR1, 0);
	signal(SIGUSR2, 0);
	signal(SIGCHLD, 0);
	signal(SIGCONT, 0);
	signal(SIGSTOP, 0);
	signal(SIGTSTP, 0);
	signal(SIGTTIN, 0);
	signal(SIGTTOU, 0);
	signal(SIGBUS, 0);
	signal(SIGPOLL, 0);
	signal(SIGPROF, 0);
	signal(SIGSYS, 0);
	signal(SIGTRAP, 0);
	signal(SIGURG, 0);
	signal(SIGVTALRM, 0);
	signal(SIGXCPU, 0);
	signal(SIGXFSZ, 0);
}
	
}