/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMON_CONSOLECOMMANDLAUNCHER_H_
#define COMMON_CONSOLECOMMANDLAUNCHER_H_

#include <string>

namespace common {

class Application;

/**
 * Class defining a console command launcher used by the InputConsole class.
 */
class ConsoleCommandLauncher {
	
public:
	/**
	 * Launches a command.
	 */
	static bool launchCommand(const std::string& commandLine, Application* application, bool isRemote);

	static const std::string QUIT_COMMAND; 
};	

}

#endif /*COMMON_CONSOLECOMMANDLAUNCHER_H_*/
