/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef BZ_ARRAY_DETERMINANT_H
#define BZ_ARRAY_DETERMINANT_H

#include <stdexcept>
#include <blitz/array.h>

#ifndef BZ_ARRAY_H
 #error <blitz/array/myMath.h> must be included after <blitz/array.h>
#endif

namespace blitz {

/*! \file Determinant.h
\brief Compute determinants of matrices. 
*/

/// Precondition: dimensions up to 3x3.

template<typename T>
double determinant(const Array<T, 2>& B)
  ;

}

#include "Determinant.inl"

#endif // BZ_ARRAY_DETERMINANT_H