/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef EXPONENTIALFIT_H
#define EXPONENTIALFIT_H

#include "LMFit.h"
#include <blitz/array.h>
#include <algorithm>


class ExponentialFit {
public:
	//constructors
	ExponentialFit();

	//getters
	double amplitude ();
	double mean();
	double pedestal();

	blitz::Array<double, 1> calculateGuessParameters(const blitz::Array<double, 1>& y);
	void calculateFit(const blitz::Array<double, 1>& y, const blitz::Array<double, 1>& x);
	void calculateFit(const blitz::Array<double, 1>& y);

private:
	void fit(const blitz::Array<double, 1>& y, const blitz::Array<double, 1>& x, const blitz::Array<double, 1>& firstGuess);

	double a0, a1, a2;
};

#endif
