/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include <iostream>
#include <sstream>
#include "DataReadWrite.h"

using namespace std;

int main(int argc, char *argv[]) {

	if (argc < 3) {
		cerr << "usage : reverter <input> <output> <delta>" << endl;
		return 1;
	}

	string inputFile = argv[1];
	string outputFile = argv[2];

	istringstream is(argv[3]);
	double delta;
	is >> delta;

	cout << "reverting " << inputFile << " into " << outputFile << " with " << delta << endl;

	blitz::Array<double, 1> data = readDataFile(inputFile);

	for (int i = 0; i < data.size(); i++) {
		data(i) = delta - data(i);
	}

	writeDataFile(outputFile, data);

	return 0;
}