/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef BZ_ARRAY_HISTOGRAM_H
#define BZ_ARRAY_HISTOGRAM_H

#include <stdexcept>

#ifndef BZ_ARRAY_H
 #error <blitz/array/myMath.h> must be included after <blitz/array.h>
#endif

/*! \file histogram.h
\brief Makes the histogram of 1D and 2D data
*/

namespace blitz {

class Histogram
{
public:
  Histogram(int nbBins)
  : array(2, nbBins), overflows(0), underflows(0) {}

  Array<double, 2> array;
  unsigned int overflows;
  unsigned int underflows;
};

template<typename T>
Histogram histogram(const Array<T, 1>& data, double minValue, double maxValue, int nbBins)
  ;

template<typename T>
Histogram histogram(const Array<T, 1>& data,int nbBins)
  ;

}

#include "Histogram.inl"

#endif // BZ_ARRAY_HISTOGRAM_H