/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef BZ_ARRAY_INVERSE_H
#define BZ_ARRAY_INVERSE_H

#include <stdexcept>
#include <blitz/array.h>

#include "Threshold.h"

namespace blitz {

/** 
 * Compute the inverse of a square matrix. Returns the residual
 * defined as norm1(A*A-1 - Id).
 */
template<typename T>
Array<T, 2> inverse(Array<T, 2> const & A, double & residual)
  ;

/** 
 * Compute the inverse of a square matrix.
 */
template<typename T> 
Array<T, 2> inverse(Array<T, 2> const & A)
  ;

}

#include "Inverse.inl"

#endif // BZ_ARRAY_INVERSE_H