/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef LINEARREGRESSION_H
#define LINEARREGRESSION_H

#include <stdexcept>
#include <utility>
#include <complex>
#include <blitz/array.h>
#include <iostream>

/**
 * Class providing an useful interface for linear regression.
 */
class LinearRegression
{
public:
  /**
   * Constructor.
   */
  //LinearRegression();
  /**
   */
  LinearRegression(const double  * taby ,const double  * tabx ,const int  NumberOfPoints) ;

  
  /**
   * Return the  coefficients ordered like this:  linear equation is y= ax + b
   */
//  double coefa() const;
//  double coefb() const;
  std::pair<double, double> getCoef() const ;


private:
  //
  std::pair<double, double>  m_coef;
};

#endif