/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef BZ_ARRAY_MATHEMATICAFORM_H
#define BZ_ARRAY_MATHEMATICAFORM_H

#ifndef BZ_ARRAY_H
 #error <blitz/array/myMath.h> must be included after <blitz/array.h>
#endif

/*! \file mathematicaForm.h 
\brief Practical display of 1D and 2D arrays for mathematica 
*/


namespace blitz {

template<typename T>
void mathematicaForm(const Array<T,1>& B);

template<typename T>
void mathematicaForm(const Array<T,2>& B);

}

#include "MathematicaForm.inl"

#endif // BZ_ARRAY_MATHEMATICAFORM_H