/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef BZ_BLITZ_H
 #include <blitz/blitz.h>
#endif

#include <blitz/array.h>  

namespace blitz {

// this function simple makes an output of the array so that it can be imported in mathematica
// works only for 1D and 2D


template<typename T>
void mathematicaForm(const Array<T,1>& B)
{// 1D display
   
   std::cout<<"{"; // first bracket
   int ubFirstDim=B.ubound(firstDim);
   int lbFirstDim=B.lbound(firstDim);
   int sizeFirstDim=ubFirstDim-lbFirstDim+1;

   for(int i=0;i<sizeFirstDim-1;i++) std::cout<<B(i)<<",";
   std::cout<<B(sizeFirstDim-1)<<"}"<<std::endl;
   
}

template<typename T>
void mathematicaForm(const Array<T,2>& B)
{// 2D display
   
   std::cout<<"{"; // first bracket
   int ubFirstDim=B.ubound(firstDim);
   int lbFirstDim=B.lbound(firstDim);
   int sizeFirstDim=ubFirstDim-lbFirstDim+1;
   int ubSecondDim=B.ubound(secondDim);
   int lbSecondDim=B.lbound(secondDim);
   int sizeSecondDim=ubSecondDim-lbSecondDim+1;   

   for(int i=0;i<sizeFirstDim-1;i++){
   std::cout<<"{"; // first bracket
   for(int j=0;j<sizeSecondDim-1;j++) std::cout<<B(i,j)<<",";
   std::cout<<B(i,sizeSecondDim-1)<<"},";
   }
   std::cout<<"{"; // first bracket
   for(int j=0;j<sizeSecondDim-1;j++) std::cout<<B(sizeFirstDim-1,j)<<",";
   std::cout<<B(sizeFirstDim-1,sizeSecondDim-1)<<"}}"<<std::endl;
   
}

}