/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Peak.h"

using namespace blitz;

Peak::Peak(int minIndex,int maxIndex,int peakType,double a0,double a1,double a2,double a3,double a4,double a5,double a6 ,double chiSquare){
	m_minIndex=minIndex;
	m_maxIndex=maxIndex;
	m_a0=a0;
	m_a1=a1;
	m_a2=a2;
	m_a3=a3;
	m_a4=a4;
	m_a5=a5;
	m_a6=a6;
	m_chiSquare=chiSquare;
	m_peakType=peakType;
	m_quality = 0.0;
	m_dispersionRatio = 0.0;
	m_fitHasConverged = false;
}

Peak::~Peak(){
}
std::ostream& operator<<(std::ostream &os, const Peak& p){ // display

	string direction;
	if (p.m_a0 > 0.0) {
		direction = " Positive";
	} else {
		direction = " Negative";
	}

	string status;
	if (!p.m_fitHasConverged) {
		status = " Bad";
	} else {
		status = " Good";
	}

	os << std::setw(12) << p.m_a1
	   << std::setw(12) << p.m_a3 + p.m_a0 << "("
	   << std::setw(12) << p.m_a3 << " + "
	   << std::setw(12) << p.m_a0 << " )\t"
	   << std::setw(12) << p.m_a2
	   << std::setw(12) << p.m_chiSquare
	   << std::setw(12) << p.m_quality
	   << std::setw(12) << p.m_dispersionRatio
	   << std::setw(12) << p.m_minIndex
	   << std::setw(12) << p.m_maxIndex
	   << std::setw(12) << direction
	   << std::setw(12) << status
	   << std::endl;
	return os;
}
