/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseTypeToString.h"

namespace common {

std::string BaseTypeToString::_typeString[] = { "int8", "uint16", "int16", "uint32", "int32", "uint64", "int64", "float32", "float64", "string", "boolean", "int8[]",
		"int16[]", "int32[]", "int64[]", "float32[]", "float64[]", "string[]", "boolean[]", "vector2", "vector3", "vector4",
		"vector2[]", "vector3[]", "vector4[]", "matrix2", "matrix3", "matrix4", "matrix2[]", "matrix3[]", "matrix4[]",
		"int32array", "float64array", "uint16[]", "uint32[]", "uint64[]", "int16array",
		"uint16array", "uint32array", "int64array", "uint64array", "float32array" };

BaseTypeToString::BaseTypeToString() {
}

std::string BaseTypeToString::convert(PropertyType::Type type) {
	return _typeString[type];
}

}
