/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Equals.h"
#include <iostream>

namespace common {

template<typename ValueType0, typename ValueType1>
bool Compare::equals(const ValueType0& v0, const ValueType1& v1) {

	return common::Equals<typename common::TypeCompare<ValueType0, ValueType1>::Greater>::compare(v0, v1);
}	

template<typename ValueType0, typename ValueType1>
bool Compare::notEquals(const ValueType0& v0, const ValueType1& v1) {
		
	return !common::Equals<typename common::TypeCompare<ValueType0, ValueType1>::Greater>::compare(v0, v1);
}	

template<typename ValueType0, typename ValueType1>
bool Compare::greaterThan(const ValueType0& v0, const ValueType1& v1) {
		
	return (v0 > v1) && (!common::Equals<typename common::TypeCompare<ValueType0, ValueType1>::Greater>::compare(v0, v1));
}	

template<typename ValueType0, typename ValueType1>
bool Compare::greaterThanOrEquals(const ValueType0& v0, const ValueType1& v1) {
		
	return (v0 > v1) || (common::Equals<typename common::TypeCompare<ValueType0, ValueType1>::Greater>::compare(v0, v1));
}	

template<typename ValueType0, typename ValueType1>
bool Compare::lowerThan(const ValueType0& v0, const ValueType1& v1) {
		
	return (v0 < v1) && (!common::Equals<typename common::TypeCompare<ValueType0, ValueType1>::Greater>::compare(v0, v1));
}	

template<typename ValueType0, typename ValueType1>
bool Compare::lowerThanOrEquals(const ValueType0& v0, const ValueType1& v1) {
		
	return (v0 < v1) || (common::Equals<typename common::TypeCompare<ValueType0, ValueType1>::Greater>::compare(v0, v1));
}	

}