/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMON_EQUALS_H_
#define COMMON_EQUALS_H_

namespace common {

/**
 * Template class for testing the approximative equality (for float values).
 */
template<typename ValueType>
class Equals {
	
public:
	/**
	 * Returns true if a equals b with a threshold for float values defined in
	 * the server configuration file.
	 */
	static bool compare(ValueType a, ValueType b);
};

template<typename ValueType0, typename ValueType1>
struct TypeCompare {
	typedef ValueType0 Greater;
};

}

#include "Equals.inl"

#endif /*COMMON_EQUALS_H_*/