/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PropertyType.h"

namespace common {

template<typename ValueType>
bool Equals<ValueType>::compare(ValueType a, ValueType b) {
	return a == b;
}

template<>
class Equals<float32> {
	
public:
	static bool compare(float32 a, float32 b);
};
	
template<>
class Equals<float64> {
	
public:
	static bool compare(float64 a, float64 b);
};

// char ///////////////////////////////////////////////////////////////////////

template<>
struct TypeCompare<char, char> {
	typedef char Greater;
};

template<>
struct TypeCompare<char, short> {
	typedef short Greater;
};

template<>
struct TypeCompare<char, long> {
	typedef long Greater;
};

template<>
struct TypeCompare<char, int> {
	typedef int Greater;
};

template<>
struct TypeCompare<char, long long> {
	typedef long long Greater;
};

template<>
struct TypeCompare<char, float32> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<char, float64> {
	typedef float64 Greater;
};

// short //////////////////////////////////////////////////////////////////////

template<>
struct TypeCompare<short, char> {
	typedef short Greater;
};

template<>
struct TypeCompare<short, short> {
	typedef short Greater;
};

template<>
struct TypeCompare<short, long> {
	typedef long Greater;
};

template<>
struct TypeCompare<short, int> {
	typedef int Greater;
};

template<>
struct TypeCompare<short, long long> {
	typedef long long Greater;
};

template<>
struct TypeCompare<short, float32> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<short, float64> {
	typedef float64 Greater;
};

// long ///////////////////////////////////////////////////////////////////////

template<>
struct TypeCompare<long, char> {
	typedef long Greater;
};

template<>
struct TypeCompare<long, short> {
	typedef long Greater;
};

template<>
struct TypeCompare<long, long> {
	typedef long Greater;
};

template<>
struct TypeCompare<long, int> {
	typedef long Greater;
};

template<>
struct TypeCompare<long, long long> {
	typedef long long Greater;
};

template<>
struct TypeCompare<long, float32> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<long, float64> {
	typedef float64 Greater;
};

// int /////////////////////////////////////////////////////////////////////////

template<>
struct TypeCompare<int, char> {
	typedef int Greater;
};

template<>
struct TypeCompare<int, short> {
	typedef int Greater;
};

template<>
struct TypeCompare<int, long> {
	typedef int Greater;
};

template<>
struct TypeCompare<int, int> {
	typedef int Greater;
};

template<>
struct TypeCompare<int, long long> {
	typedef long long Greater;
};

template<>
struct TypeCompare<int, float32> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<int, float64> {
	typedef float64 Greater;
};

// long long ///////////////////////////////////////////////////////////////////////

template<>
struct TypeCompare<long long, char> {
	typedef long long Greater;
};

template<>
struct TypeCompare<long long, short> {
	typedef long long Greater;
};

template<>
struct TypeCompare<long long, long> {
	typedef long long Greater;
};

template<>
struct TypeCompare<long long, int> {
	typedef long long Greater;
};

template<>
struct TypeCompare<long long, long long> {
	typedef long long Greater;
};

template<>
struct TypeCompare<long long, float32> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<long long, float64> {
	typedef float64 Greater;
};

// float32 ///////////////////////////////////////////////////////////////////////

template<>
struct TypeCompare<float32, char> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<float32, short> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<float32, long> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<float32, int> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<float32, long long> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<float32, float32> {
	typedef float32 Greater;
};

template<>
struct TypeCompare<float32, float64> {
	typedef float64 Greater;
};

// float64 ///////////////////////////////////////////////////////////////////////

template<>
struct TypeCompare<float64, char> {
	typedef float64 Greater;
};

template<>
struct TypeCompare<float64, short> {
	typedef float64 Greater;
};

template<>
struct TypeCompare<float64, long> {
	typedef float64 Greater;
};

template<>
struct TypeCompare<float64, int> {
	typedef float64 Greater;
};

template<>
struct TypeCompare<float64, long long> {
	typedef float64 Greater;
};

template<>
struct TypeCompare<float64, float32> {
	typedef float64 Greater;
};

template<>
struct TypeCompare<float64, float64> {
	typedef float64 Greater;
};

}
