/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef LOGELEMENT_H_
#define LOGELEMENT_H_

#include <string>

namespace common {

class LogElement {

public:
	LogElement();
	LogElement(bool propertyLog, bool hidden, std::string const & name, std::string const & type, std::string const& qualifier, std::string const & unit, std::string const & value);

	const std::string& getName() const;
	const std::string& getType() const;
	const std::string& getQualifier() const;
	const std::string& getUnit() const;
	const std::string& getValue() const;

	bool isPropertyLog() const;
	bool isHidden() const;

	static const std::string ACTUAL;
	static const std::string SETPOINT;
	static const std::string OFFSET;

private:
	std::string m_name;
	std::string m_type;
	std::string m_qualifier;
	std::string m_value;
	std::string m_unit;
	bool m_propertyLog;
	bool m_hidden;

};

}

#endif /* LOGELEMENT_H_ */
