/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseTypes.h"

namespace common {

template<>
struct PrimitiveConvert<std::string, char> {
	static std::string convert(char const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, signed char> {
	static std::string convert(signed char const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, short> {
	static std::string convert(short const & value, std::string const & format = "");
};
 
template<>
struct PrimitiveConvert<std::string, long> {
	static std::string convert(long const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, unsigned long> {
	static std::string convert(unsigned long const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, int> {
	static std::string convert(int const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, unsigned int> {
	static std::string convert(unsigned int const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, unsigned short> {
	static std::string convert(unsigned short const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, long long> {
	static std::string convert(long long const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, bool> {
	static std::string convert(bool const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, float32> {
	static std::string convert(float32 const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, float64> {
	static std::string convert(float64 const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<std::string, std::string> {
	static std::string convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<char, std::string> {
	static char convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<short, std::string> {
	static short convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<unsigned short, std::string> {
	static unsigned short convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<long, std::string> {
	static long convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<unsigned long, std::string> {
	static unsigned long convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<int, std::string> {
	static int convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<unsigned int, std::string> {
	static unsigned int convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<long long, std::string> {
	static long long convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<bool, std::string> {
	static bool convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<float32, std::string> {
	static float32 convert(std::string const & value, std::string const & format = "");
};

template<>
struct PrimitiveConvert<float64, std::string> {
	static float64 convert(std::string const & value, std::string const & format = "");
};

}
