/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PropertyType.h"

using namespace std;

namespace common {

PropertyType::Type PropertyTypeHelper<int8>::getStaticType() {

	return PropertyType::INT8;
}

PropertyType::Type PropertyTypeHelper<int16>::getStaticType() {

	return PropertyType::INT16;
}

PropertyType::Type PropertyTypeHelper<uint16>::getStaticType() {

	return PropertyType::UINT16;
}

PropertyType::Type PropertyTypeHelper<int32>::getStaticType() {

	return PropertyType::INT32;
}

PropertyType::Type PropertyTypeHelper<uint32>::getStaticType() {

	return PropertyType::UINT32;
}

PropertyType::Type PropertyTypeHelper<int64>::getStaticType() {

	return PropertyType::INT64;
}

PropertyType::Type PropertyTypeHelper<uint64>::getStaticType() {

	return PropertyType::UINT64;
}

PropertyType::Type PropertyTypeHelper<float32>::getStaticType() {

	return PropertyType::FLOAT32;
}

PropertyType::Type PropertyTypeHelper<float64>::getStaticType() {

	return PropertyType::FLOAT64;
}

PropertyType::Type PropertyTypeHelper<bool>::getStaticType() {

	return PropertyType::BOOLEAN;
}

PropertyType::Type PropertyTypeHelper<string>::getStaticType() {

	return PropertyType::STRING;
}

PropertyType::Type PropertyTypeHelper<int16*>::getStaticType() {

	return PropertyType::ICS_INT16_ARRAY;
}

PropertyType::Type PropertyTypeHelper<uint16*>::getStaticType() {

	return PropertyType::ICS_UINT16_ARRAY;
}

PropertyType::Type PropertyTypeHelper<int32*>::getStaticType() {

	return PropertyType::ICS_INT32_ARRAY;
}

PropertyType::Type PropertyTypeHelper<uint32*>::getStaticType() {

	return PropertyType::ICS_UINT32_ARRAY;
}

PropertyType::Type PropertyTypeHelper<int64*>::getStaticType() {

	return PropertyType::ICS_INT64_ARRAY;
}

PropertyType::Type PropertyTypeHelper<uint64*>::getStaticType() {

	return PropertyType::ICS_UINT64_ARRAY;
}

PropertyType::Type PropertyTypeHelper<float32*>::getStaticType() {

	return PropertyType::ICS_FLOAT32_ARRAY;
}

PropertyType::Type PropertyTypeHelper<float64*>::getStaticType() {

	return PropertyType::ICS_FLOAT64_ARRAY;
}

PropertyType::Type PropertyTypeHelper<int8>::getStaticArrayType() {

	return PropertyType::INT8_ARRAY;
}

PropertyType::Type PropertyTypeHelper<int16>::getStaticArrayType() {

	return PropertyType::INT16_ARRAY;
}

PropertyType::Type PropertyTypeHelper<uint16>::getStaticArrayType() {

	return PropertyType::UINT16_ARRAY;
}

PropertyType::Type PropertyTypeHelper<int32>::getStaticArrayType() {

	return PropertyType::INT32_ARRAY;
}

PropertyType::Type PropertyTypeHelper<uint32>::getStaticArrayType() {

	return PropertyType::UINT32_ARRAY;
}

PropertyType::Type PropertyTypeHelper<int64>::getStaticArrayType() {

	return PropertyType::INT64_ARRAY;
}

PropertyType::Type PropertyTypeHelper<uint64>::getStaticArrayType() {

	return PropertyType::UINT64_ARRAY;
}

PropertyType::Type PropertyTypeHelper<float32>::getStaticArrayType() {

	return PropertyType::FLOAT32_ARRAY;
}

PropertyType::Type PropertyTypeHelper<float64>::getStaticArrayType() {

	return PropertyType::FLOAT64_ARRAY;
}

PropertyType::Type PropertyTypeHelper<string>::getStaticArrayType() {

	return PropertyType::STRING_ARRAY;
}

PropertyType::Type PropertyTypeHelper<bool>::getStaticArrayType() {

	return PropertyType::BOOLEAN_ARRAY;
}

}
