/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseTypes.h"
#include "RealArray.h"

namespace common {

template<typename StaticType>
PropertyType::Type PropertyType::getType() {

	return PropertyTypeHelper<StaticType>::getStaticType();
}

template<typename StaticType>
PropertyType::Type PropertyType::getArrayType() {

	return PropertyTypeHelper<StaticType>::getStaticArrayType();
}

template<>
struct PropertyTypeHelper<int8> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<int16> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<uint16> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<int32> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<uint32> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<int64> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<uint64> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<float32> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<float64> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<bool> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();
};

template<>
struct PropertyTypeHelper<std::string> {

	static common::PropertyType::Type getStaticType();
	static common::PropertyType::Type getStaticArrayType();

};

template<>
struct PropertyTypeHelper<int16*> {

	static common::PropertyType::Type getStaticType();

};

template<>
struct PropertyTypeHelper<uint16*> {

	static common::PropertyType::Type getStaticType();

};

template<>
struct PropertyTypeHelper<int32*> {

	static common::PropertyType::Type getStaticType();

};

template<>
struct PropertyTypeHelper<uint32*> {

	static common::PropertyType::Type getStaticType();

};

template<>
struct PropertyTypeHelper<int64*> {

	static common::PropertyType::Type getStaticType();

};

template<>
struct PropertyTypeHelper<uint64*> {

	static common::PropertyType::Type getStaticType();

};

template<>
struct PropertyTypeHelper<float32*> {

	static common::PropertyType::Type getStaticType();

};

template<>
struct PropertyTypeHelper<float64*> {

	static common::PropertyType::Type getStaticType();

};

}
