/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include <iostream>
#include <algorithm>

namespace common {

template<typename ValueType>
ProxyArray<ValueType>::ProxyArray() :
	_data(0), _size(0) {
}

template<typename ValueType>
ProxyArray<ValueType>::~ProxyArray() {
}

template<typename ValueType>
void ProxyArray<ValueType>::setData(ValueType* data) {
	_data = data;
}

template<typename ValueType>
void ProxyArray<ValueType>::resize(long size) {
	_size = size;
}

template<typename ValueType>
long ProxyArray<ValueType>::getSize() const {
	return _size;
}

template<typename ValueType>
const ValueType& ProxyArray<ValueType>::operator[](long index) const {
	return _data[index];
}

template<typename ValueType>
ValueType& ProxyArray<ValueType>::operator[](long index) {
	return _data[index];
}

template<typename ValueType>
void ProxyArray<ValueType>::setResizable(bool resizable) {
	// do nothing
}

template<typename ValueType>
bool ProxyArray<ValueType>::isResizable() const {
	return false;
}

template<typename ValueType>
Array<ValueType> * ProxyArray<ValueType>::copy() const {
	return new RealArray<ValueType>(_data, _size);
}

}
