/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "StringUtilities.h"
#include <list>

using namespace std;

namespace common {

std::string StringUtilities::replaceText(const std::string& inputString, const std::string& previousWord, const std::string& replacementWord) {

	if (inputString == "") {
		return "";
	}

	string result = "";
	list<StringHelper::SplitItem> items = StringUtilities::splitWithSeparator(inputString, "()+-*/ \t{}");
	for (list<StringHelper::SplitItem>::const_iterator i = items.begin(); i != items.end(); i++) {
		if (i->isToken && i->value == previousWord) {
			result += replacementWord;
		} else {
			result += i->value;
		}
	}

	return result;
}

std::string StringUtilities::stripWhitespaces(const std::string& inputString) {

	string result(inputString);
	result.erase(remove_if(result.begin(), result.end(), [](char c){ return (c == ' '); }), result.end());

	return result;
}

}
