/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Ticker.h"
#include <common/output/OutputStream.h>
#include <iostream>

using namespace std;

namespace common {

Ticker::Ticker(int N) :
	_N(N), _counter(0) {
}

Ticker::~Ticker() {
}

void Ticker::restart() {
	_date = Date();
}

void Ticker::tick(const std::string& message) {
	
	_duration += (Date() - _date); 
	_counter++;
	
	if (_counter == _N) {
		out << _duration.getMilliseconds()/_N << "ms : " << message << eol;
		_counter = 0;
		_duration = Duration();
	}	
}



}