/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Array.h"

namespace common {
	
template<typename StaticType>
struct TypeToStringHelper;

template<typename StaticType>
std::string TypeToString<StaticType>::convert() {
	
	return TypeToStringHelper<StaticType>::convert();
}

/**
 * Helper
 */
template<typename StaticType>
struct TypeToStringHelper {
	
	static std::string convert();
};

template<typename StaticType>
struct TypeToStringHelper<Array<StaticType> > {
	
	static std::string convert();
};


template<typename StaticType>
std::string TypeToStringHelper<StaticType>::convert() {
	
	return BaseTypeToString::convert(PropertyType::getType<StaticType>());
}

template<typename StaticType>
std::string TypeToStringHelper<Array<StaticType> >::convert() {
	
	return BaseTypeToString::convert(PropertyType::getType<StaticType>()) + "[]";
}

	
}