/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMON_HTTPCONNECTION_H_
#define COMMON_HTTPCONNECTION_H_

#include "BaseHttpConnection.h"

namespace common {

/**
 * Class managing http connections.
 */
class HttpConnection : public BaseHttpConnection {

public:
	/**
	 * Constructor.
	 */
	HttpConnection();
	
	/**
	 * Destructor. Closes the connection.
	 */
	virtual ~HttpConnection();

	/**
	 * Opens the connection with url and port.
	 */
	void openUrl(const std::string& url, const std::string& port);

	/**
	 * Opens the connection with url and port.
	 */
	void openUrl(const std::string& url);

	/**
	 * Sends the message. Waits until response is returned by the client.
	 * If verbose is true, request and reponse headers are printed.
	 * throws RequestException.
	 */
	std::string send(bool verbose = false);

protected:
};

}

#endif
