/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "RestJsonHttpConnection.h"
#include <boost/lexical_cast.hpp>
#include <sstream>

using namespace boost;
using namespace std;

namespace common {
namespace exp {

RestJsonHttpConnection::RestJsonHttpConnection() {
	
	// set the properties
	setProperty("Content-Type", "application/json");
	setProperty("Accept", "application/json");
}

RestJsonHttpConnection::~RestJsonHttpConnection() {
	
}

void RestJsonHttpConnection::setData(const std::string& data) {

	HttpConnection::setData(data);

	// set the property content-length
	setProperty("Content-Length", lexical_cast<string>(data.length()));
}

}
}
