/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMON_EXP_RESTJSONHTTPCONNECTION_H_
#define COMMON_EXP_RESTJSONHTTPCONNECTION_H_

#include "HttpConnection.h"

namespace common {
namespace exp {

/**
 * Class managing REST JSON http connections.
 */
class RestJsonHttpConnection : public HttpConnection {
	
public:
	/**
	 * Constructor.
	 */
	RestJsonHttpConnection();
	
	/**
	 * Destructor. Closes the connection.
	 */
	virtual ~RestJsonHttpConnection();

	/**
	 * Sets the data with string data.
	 */
	void setData(const std::string& data);
};

}
}

#endif
