/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMON_MESSAGE_H_
#define COMMON_MESSAGE_H_

#include <string>

namespace common {

/**
 * Class defining a Message.
 */
class Message {

public:
	/**
	 * Constructor.
	 */
	Message();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~Message();

	/**
	 * List of message type.
	 */
	typedef enum {
		SHUTDOWN,
		COMMAND, OUTPUT } Type;

	/**
	 * Gets the type.
	 */
	virtual Type getType() const = 0;
	
	/**
	 * Gets the type string.
	 */
	std::string getTypeString() const;
	
};

}

#endif /*COMMON_MESSAGE_H_*/