/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "EndOfLine.h"
#include <filesystem>

namespace common {

EndOfLine::EndOfLine() :
	_line(-1) {
}

EndOfLine::EndOfLine(std::string const & file, int line) :
	_file(file),
	_line(line) {
	std::filesystem::path path(_file);
	_filename = path.filename().string();
}
	
std::string const & EndOfLine::getFile() const {
	return _file;
}

std::string const & EndOfLine::getFileName() const {
	return _filename;
}

int EndOfLine::getLine() const {
	return _line;
}
	
}
