/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_SERVERLOGACCESSOR_H_
#define COMMAND_SERVERLOGACCESSOR_H_

#include <string>

namespace common {

/**
 * Abstract class defining the server log accessor.
 */
class ServerLogAccessor {
	
public:
	/**
	 * Constructor
	 */
	ServerLogAccessor();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~ServerLogAccessor();

	/**
	 * Writes the line to the server log.
	 */
	virtual void writeServer(const std::string& processName, unsigned long threadID, bool error, const std::string& line) = 0;
		
};

}

#endif /*COMMAND_SERVERLOGACCESSOR_H_*/