/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandDescriptor.h"
#include <common/base/Convert.h>

using namespace std;

namespace common {

CommandDescriptor::CommandDescriptor(unsigned long ID, const string& name) :
	_ID(ID),
	_name(name) {
}

CommandDescriptor::~CommandDescriptor() {
}

const string& CommandDescriptor::getName() const {
	return _name;
}

unsigned long CommandDescriptor::getID() const {
	return _ID;
}

string CommandDescriptor::toString() const {

	return string("Command ") + getName() + " ID = " + to<string>(_ID);
}

}
