/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ServantDescriptor.h"
#include <common/base/Convert.h>

using namespace std;

namespace common {

ServantDescriptor::ServantDescriptor(unsigned long ID, const string& name, const string& type, bool isRoot) :
	_ID(ID),
	_name(name),
	_type(type),
	_isRoot(isRoot) {
}

ServantDescriptor::~ServantDescriptor() {
}

unsigned long ServantDescriptor::getID() const {
	return _ID;
}

const string& ServantDescriptor::getName() const {
	return _name;
}

const string& ServantDescriptor::getType() const {
	return _type;
}

bool ServantDescriptor::isRoot() const {
	return _isRoot;
}

std::string ServantDescriptor::toString() const {
	return string("Servant ") + common::to<string>(_ID) + ", name = " + _name + ", type = " + _type;
}

}
