/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseValueWrapper.h"

namespace core {

BaseValueWrapper::NoSuchEnumeratedValueError::NoSuchEnumeratedValueError(const std::string& message) :
	common::Exception("core::BaseValueWrapper::NoSuchEnumeratedValueError", message) {
}

BaseValueWrapper::DisabledControllerError::DisabledControllerError(const std::string& message) :
	common::Exception("core::BaseValueWrapper::DisabledControllerError", message) {
}

BaseValueWrapper::UndefinedVariableError::UndefinedVariableError(const std::string& message) :
	common::Exception("core::BaseValueWrapper::UndefinedVariableError", message) {
}

BaseValueWrapper::BaseValueWrapper() :
	_value(0),
	_databaseID(0)
	{
}

BaseValueWrapper::~BaseValueWrapper() {
}

void BaseValueWrapper::setDatabaseID(unsigned long databaseID) {
	_databaseID = databaseID;
}

double & BaseValueWrapper::getValue() {
	return _value;
}

}
