/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_BOOLEANEXPRESSION_H_
#define CORE_BOOLEANEXPRESSION_H_

#include "MathExpression.h"

namespace core {

/**
 * Class defining a dynamic boolean expression based on string expressions.
 */
class BooleanExpression : public MathExpression {

public:
	/**
	 * Constructor.
	 */
	BooleanExpression(const std::string& expression);

	/**
	 * Virtual destructor.
	 */
	virtual ~BooleanExpression();

	/**
	 * Evaluates the boolean expression.
	 */
	bool evaluateBoolean();
};

}

#endif
