/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Hostname.h"

using namespace std;

namespace core {

std::string hostname(const std::string endpoint, bool displayPort) {

	string::size_type pos1 = endpoint.find_first_of(':');

	if (pos1 == string::npos) {
		return "?";
	}

	if (displayPort) {
		return endpoint.substr(pos1 + 3);
	}

	string::size_type pos2 = endpoint.find_first_of(':', pos1 + 1);

	if (pos2 == string::npos) {
		return "?";
	}

	return endpoint.substr(pos1 + 3, pos2 - pos1 - 3);
}

}

