/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseMathProperty.h"
#include <iostream>

using namespace std;

namespace core {

BaseMathProperty::BaseMathProperty(unsigned long propertyID) :
	BaseProperty(propertyID),
	_isExpression(false) {
}

BaseMathProperty::~BaseMathProperty() {
}

bool BaseMathProperty::isExpression() const {
	return _isExpression;
}

void BaseMathProperty::setExpression(const std::string& expression) {
	_isExpression = true;
	_expression = expression;
}

const std::string& BaseMathProperty::getExpression() const {
	return _expression;	
}

}