/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DataAccessHelper.h"
#include <core/dataaccess/DataAccess.h>

using namespace common;

namespace core {

int8 DataAccessHelper<int8>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getInt8Value(databaseID, propertyID);
}

uint16 DataAccessHelper<uint16>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getUint16Value(databaseID, propertyID);
}

uint32 DataAccessHelper<uint32>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getUint32Value(databaseID, propertyID);
}

uint64 DataAccessHelper<uint64>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getUint64Value(databaseID, propertyID);
}

int16 DataAccessHelper<int16>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getInt16Value(databaseID, propertyID);
}

int32 DataAccessHelper<int32>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getInt32Value(databaseID, propertyID);
}

int64 DataAccessHelper<int64>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getInt64Value(databaseID, propertyID);
}

float32 DataAccessHelper<float32>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getFloat32Value(databaseID, propertyID);
}

float64 DataAccessHelper<float64>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getFloat64Value(databaseID, propertyID);
}

bool DataAccessHelper<bool>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getBooleanValue(databaseID, propertyID);
}

std::string DataAccessHelper<std::string>::getValue(unsigned long databaseID, unsigned long propertyID) {
	return DataAccess::getInstance()->getStringValue(databaseID, propertyID);
}

}
