/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_DATAACCESSHELPER_H_
#define CORE_DATAACCESSHELPER_H_

#include <common/base/PropertyType.h>

namespace core {

/**
 * Template helper class to specific value type code for the property accessor.
 */
template<typename Type>
struct DataAccessHelper;

template<>
struct DataAccessHelper<int8> {

	/**
	 * Gets the value.
	 */
	static int8 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<uint16> {

	/**
	 * Gets the value.
	 */
	static uint16 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<uint32> {

	/**
	 * Gets the value.
	 */
	static uint32 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<uint64> {

	/**
	 * Gets the value.
	 */
	static uint64 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<int16> {

	/**
	 * Gets the value.
	 */
	static int16 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<int32> {

	/**
	 * Gets the value.
	 */
	static int32 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<int64> {

	/**
	 * Gets the value.
	 */
	static int64 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<float32> {

	/**
	 * Gets the value.
	 */
	static float32 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<float64> {

	/**
	 * Gets the value.
	 */
	static float64 getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<bool> {

	/**
	 * Gets the value.
	 */
	static bool getValue(unsigned long databaseID, unsigned long propertyID);
};

template<>
struct DataAccessHelper<std::string> {

	/**
	 * Gets the value.
	 */
	static std::string getValue(unsigned long databaseID, unsigned long propertyID);
};

}

#endif /*CORE_DATAACCESSHELPER_H_*/
