/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_CHECKEXPRESSIONCOMMANDBOX_H_
#define CORE_CHECKEXPRESSIONCOMMANDBOX_H_

#include <core/base/MathExpression.h>

namespace core {

/**
 * Class defining an interface for checking expressions.
 */
class CheckExpressionCommandBox {

public:
	/**
	 * Virtual destructor.
	 */
	virtual ~CheckExpressionCommandBox();

	/**
	 * Verifies the expression.
	 */
	virtual common::ExpressionStatus checkExpression(const std::string& expression, common::ExpressionError& error, std::string& message) = 0;

	/**
	 * Verifies the expression.
	 */
	static common::ExpressionStatus checkStaticExpression(const std::string& expression, common::ExpressionError& error, std::string& message);
};

}

#endif
