/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PropertyState.h"
#include <common/base/Convert.h>

using namespace common;
using namespace std;

namespace core {

PropertyState::BadPropertyType::BadPropertyType(unsigned long propertyID) :
	Exception("core::PropertyState::BadPropertyType", string("Bad type requested for property <") + to<string>(propertyID) + ">") {
}

PropertyState::SetPropertiesFailure::SetPropertiesFailure() :
	Exception("core::PropertyState::SetPropertiesFailure", string("Failed to set properties")) {
}

PropertyState::PropertyState(PropertyCommandBox* commandBox) :
	_commandBox(commandBox) {
}

PropertyState::~PropertyState() {
}

PropertyCommandBox* PropertyState::commandBox() {
	return _commandBox;
}

}
