/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ClearCommandBox.h"
#include <common/base/Convert.h>

using namespace std;
using namespace common;

namespace core {

const std::string ClearCommandBox::FIXED_PROPERTY = "fixed";

ClearCommandBox::ClearCommandBox(bool forEstimatedTime) :
	PropertyGenericCommandBox(GenericCommandBox::CLEAR, forEstimatedTime) {

	setPropertyName(FIXED_PROPERTY);
	setValue("false");
}

ClearCommandBox::~ClearCommandBox() {
}

ClearCommandBox* ClearCommandBox::clone() const {
	ClearCommandBox* ccb = new ClearCommandBox(true);
	ccb->PropertyGenericCommandBox::copy(this);
	return ccb;
}

void ClearCommandBox::executeCommand() {
}

std::string ClearCommandBox::toXMLString(const std::string& space) const {

	return space + "<clear id=\"" + to<string>(getID()) + "\" logId=\"" + to<string>(logID()) + "\" controllerId=\"" + to<string>(_controllerID) + "\"/>";
}

std::string ClearCommandBox::toString(const std::string& space) const {

	return space + "clear " + _controllerName;
}

}
