/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "GenericCommandBoxManager.h"
#include "PropertyGenericCommandBox.h"

using namespace std;
namespace core {

GenericCommandBoxManager* GenericCommandBoxManager::m_instance = 0;


GenericCommandBoxManager* GenericCommandBoxManager::getInstance() {
	if (m_instance == 0) {
		initInstance();
	}
	return m_instance;
}

void GenericCommandBoxManager::initInstance() {
	if (m_instance == 0) {
		m_instance = new GenericCommandBoxManager();
	}
}

void GenericCommandBoxManager::resetInstance() {
	delete m_instance;
	m_instance = 0;
}

GenericCommandBoxManager::GenericCommandBoxManager() {
}

GenericCommandBoxManager::~GenericCommandBoxManager() {
}


void GenericCommandBoxManager::setLastControllerName(PropertyGenericCommandBox::BoxType type, std::string controllerName) {
	switch (type) {
	case GenericCommandBox::FIX:
		_lastFixControllerName = controllerName;
		break;
	case GenericCommandBox::CLEAR:
		_lastClearControllerName = controllerName;
		break;
	case GenericCommandBox::SETZERO:
		_lastSetZeroControllerName = controllerName;
		break;
	case GenericCommandBox::SET:
		_lastSetControllerName = controllerName;
		break;
	}
}

std::string GenericCommandBoxManager::getlastControllerName(PropertyGenericCommandBox::BoxType type) {
	switch (type) {
	case GenericCommandBox::FIX:
		return _lastFixControllerName;
		break;
	case GenericCommandBox::CLEAR:
		return _lastClearControllerName;
		break;
	case GenericCommandBox::SETZERO:
		return _lastSetZeroControllerName;;
		break;
	case GenericCommandBox::SET:
		return _lastSetControllerName;
		break;
	}
	return "";
}


void GenericCommandBoxManager::setLastSetPropertyName(std::string propertyName) {
	_lastSetPropertyName = propertyName;
}


std::string GenericCommandBoxManager::getlastSetPropertyName() {
	return _lastSetPropertyName;
}


}

