/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */


#ifndef GENERICCOMMANDBOXMANAGER_H_
#define GENERICCOMMANDBOXMANAGER_H_

#include "GenericCommandBox.h"
#include "PropertyGenericCommandBox.h"

#include <string>

using namespace std;

namespace core {

class GenericCommandBoxManager {

public:
	static GenericCommandBoxManager* getInstance();
	static void initInstance();
	static void resetInstance();


	void setLastControllerName(GenericCommandBox::BoxType type, std::string controllerName);
	std::string getlastControllerName(PropertyGenericCommandBox::BoxType type);

	void setLastSetPropertyName(std::string controllerName);
	std::string getlastSetPropertyName();



private:
	GenericCommandBoxManager();
	~GenericCommandBoxManager();

	static GenericCommandBoxManager * m_instance;

	std::string _lastFixControllerName;
	std::string _lastClearControllerName;
	std::string _lastSetZeroControllerName;
	std::string _lastSetControllerName;
	std::string _lastSetPropertyName;

};
}
#endif

