/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_PRINTCOMMANDBOX_H_
#define CORE_PRINTCOMMANDBOX_H_

#include "PropertyGenericCommandBox.h"

namespace core {

/**
 * Class defining a print command box.
 */
class PrintCommandBox : public PropertyGenericCommandBox {

public:
	/**
	 * Constructor.
	 */
	PrintCommandBox(bool forEstimatedTime = false);

	/**
	 * Virtual destructor.
	 */
	virtual ~PrintCommandBox();

	/**
	 * Constructor.
	 */
	PrintCommandBox* clone() const ;

	/**
	 * Prints the content of the box.
	 */
	virtual std::string toXMLString(const std::string& space = std::string()) const;

	/**
	 * Prints the content of the box.
	 */
	virtual std::string toString(const std::string& space = std::string()) const;

protected:
	virtual void executeCommand();
};

}

#endif /*CORE_PRINTCOMMANDBOX_H_*/
