/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_SETZEROCOMMANDBOX_H_
#define CORE_SETZEROCOMMANDBOX_H_

#include "PropertyGenericCommandBox.h"

namespace core {

/**
 * Class defining a set zero command box.
 */
class SetZeroCommandBox : public PropertyGenericCommandBox {

public:
	/**
	 * Constructor.
	 */
	SetZeroCommandBox(bool forEstimatedTime = false);

	/**
	 * Virtual destructor.
	 */
	virtual ~SetZeroCommandBox();

	/**
	 * clone.
	 */
	SetZeroCommandBox* clone() const ;

	/**
	 * Prints the content of the box.
	 */
	virtual std::string toXMLString(const std::string& space = std::string()) const;

	/**
	 * Prints the content of the box.
	 */
	virtual std::string toString(const std::string& space = std::string()) const;

protected:
	virtual void executeCommand();

	static const std::string REFERENCE_POSITION_PROPERTY;
	static const std::string WRITE_PARAMS_COMMAND;
};

}

#endif /*CORE_SETZEROCOMMANDBOX_H_*/
