/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseDataChangeSubscriber.h"

using namespace common;

namespace core {

BaseDataChangeSubscriber::BaseDataChangeSubscriber() :
	_databaseID(0),
	_waitQueue(new Queue<bool>(1)) {
}

BaseDataChangeSubscriber::~BaseDataChangeSubscriber() {
	delete _waitQueue;
}

void BaseDataChangeSubscriber::setDatabaseID(unsigned long databaseID) {
	_databaseID = databaseID;
}

unsigned long BaseDataChangeSubscriber::getDatabaseID() const {
	return _databaseID;
}

void BaseDataChangeSubscriber::waitForSubscriptionCompletion() {
	bool* ok = _waitQueue->get();
	delete ok;
}

void BaseDataChangeSubscriber::setSubscriptionCompleted() {
	_waitQueue->put(new bool());
}

}