/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_COMMANDPROGRESSCHANGESUBSCRIBER_H_
#define CORE_COMMANDPROGRESSCHANGESUBSCRIBER_H_

#include "DataChangeSubscriber.h"

namespace core {

/**
 * Class defining a command progress change subscriber. 
 */
class CommandProgressChangeSubscriber : public DataChangeSubscriber {

public :
	/**
	 * Constructor.
	 */
	CommandProgressChangeSubscriber();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~CommandProgressChangeSubscriber();
	
	/**
	 * Gets the subscriber type.
	 */
	virtual SubscriberType getSubscriberType() const;
	
	/**
	 * Notifies that the command progress has changed.
	 */
	virtual void commandProgressChanged(unsigned long databaseID, unsigned long commandID, double progression) = 0;

};


} 

#endif /*CORE_COMMANDPROGRESSCHANGESUBSCRIBER_H_*/