/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_CONFIGURATIONCHANGESUBSCRIBER_H_
#define CORE_CONFIGURATIONCHANGESUBSCRIBER_H_

#include "DataChangeSubscriber.h"

namespace core {

/**
 * Class defining a configuration change subscriber.
 */
class ConfigurationChangeSubscriber : public DataChangeSubscriber {

public :
	/**
	 * Constructor.
	 */
	ConfigurationChangeSubscriber();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~ConfigurationChangeSubscriber();
		
	/**
	 * Gets the subscriber type.
	 */
	virtual SubscriberType getSubscriberType() const;
	
	/**
	 * Notifies that the configuration has changed.
	 */
	virtual void configurationChanged(unsigned long databaseID, unsigned long servantID, common::ConfigurationState enable) = 0;

};


} 

#endif /*CORE_CONFIGURATIONCHANGESUBSCRIBER_H_*/
