/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_DATACHANGESUBSCRIBER_H_
#define CORE_DATACHANGESUBSCRIBER_H_

#include "BaseDataChangeSubscriber.h"
#include "DataAccess.h"

namespace core {

/**
 * Class defining a data change subscriber.
 */
class DataChangeSubscriber : virtual public BaseDataChangeSubscriber {

public:
	/**
	 * Subscriber type.
	 */
	typedef enum {PROPERTY_CHANGE, COMMAND_STATE_CHANGE, COMMAND_PROGRESS_CHANGE, COMMAND_TERMINATED, PROPERTY_SETTER_TERMINATED, CONFIGURATION_CHANGE} SubscriberType;

	/**
	 * Constructor.
	 */
	DataChangeSubscriber();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~DataChangeSubscriber();
	
	/**
	 * Gets the subscriber type.
	 */
	virtual SubscriberType getSubscriberType() const = 0;
};

} 

#endif /*CORE_DATACHANGESUBSCRIBER_H_*/
