/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_COMMANDLOG_H_
#define CORE_COMMANDLOG_H_

#include <string>

#include "Log.h"

namespace core {

/**
 * Class defining a controller log entry.
 */
class CommandLog : public Log {

public:
	/**
	 * Constructor.
	 */
	CommandLog(common::LogType type, common::LogLevel level, const std::string& message, const std::string& logID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~CommandLog();

	/**
	 * Returns the log ID
	 */
	const std::string& getLogID() const;

private:
	std::string _logID;
	
};


}

#endif /*CORE_COMMANDLOG_H_*/