/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ForLoopStartLog.h"

namespace core {

ForLoopStartLog::ForLoopStartLog(common::LogLevel level, const std::string& variablesField, const std::string& message, unsigned long messageId):
		Log(common::SINGLE, level, message), _variablesField(variablesField), _messageId(messageId) {

}

ForLoopStartLog::~ForLoopStartLog() {
}

const std::string& ForLoopStartLog::getVariablesField() const {
	return _variablesField;
}

const unsigned long ForLoopStartLog::getMessageId() const{
	return _messageId;
}


}

