/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Log.h"

using namespace std;

namespace core {

const std::string Log::NAME = "\"name\":";
const std::string Log::TYPE = "\"type\":";
const std::string Log::VALUE = "\"value\":";

Log::Log(common::LogType type, common::LogLevel level, const std::string& message) :
	_type(type),
	_level(level),
	_message(message) {
}

Log::~Log() {
}


common::LogLevel Log::getLevel() const {
	return _level;
}

common::LogType Log::getType() const {
	return _type;
}

std::string Log::getMessage() const {
	return _message;
}

}
