/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Message.h"

namespace core {

Message::Message() :
	_requestID(0) {
}

Message::~Message() {
}

void Message::setRequestID(unsigned long requestID) {
	_requestID = requestID;
}

unsigned long Message::getRequestID() const {
	return _requestID;
}

std::string Message::getTypeString() const {
	
	Type value = getType();
	
	if (value == NEW_COMMAND) {
		return "\"new command\"";
	} else if (value == NEW_ENABLE_DISABLE_COMMAND) {
		return "\"new enable/disable command\"";
	} else if (value == STOP_COMMAND) {
		return "\"stop command\"";
	} else if (value == PAUSE_COMMAND) {
		return "\"pause command\"";
	} else if (value == RESTART_COMMAND) {
		return "\"restart command\"";
	} else if (value == COMMAND_TERMINATED) {
		return "\"command terminated\"";
	} else if (value == SET_VALUE) {
		return "\"set value\"";
	} else if (value == STOP_SETTER) {
		return "\"stop setter\"";
	} else if (value == PAUSE_SETTER) {
		return "\"pause setter\"";
	} else if (value == RESTART_SETTER) {
		return "\"restart setter\"";
	} else if (value == PROPERTY_SETTER_TERMINATED) {
		return "\"property setter terminated\"";
	} else if (value == DURATION_REQUEST) {
		return "\"duration request\"";
	} else if (value == DURATION_RESULT) {
		return "\"duration result\"";
	} else if (value == EXECUTE_COMMAND_BOX) {
		return "\"execute command box\"";
	} else if (value == COMMAND_ZONE_EVENT) {
		return "\"command zone event\"";
	} else if (value == SHUTDOWN) {
		return "\"shutdown\"";
	}
	
	return "\"unknown\"";
}

}
