/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_COMMANDBOXEXPRESSIONCHANGEDEVENT_H_
#define CORE_COMMANDBOXEXPRESSIONCHANGEDEVENT_H_

#include "CommandZoneEvent.h"

namespace core {

/**
 * Class defining a command box expression changed event.
 */
class CommandBoxExpressionChangedEvent : public CommandZoneEvent {
	
public:
	/**
	 * Constructor.
	 */
	CommandBoxExpressionChangedEvent(unsigned long commandBoxID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~CommandBoxExpressionChangedEvent();

	/**
	 * Gets the event type.
	 */
	virtual EventType getEventType() const;	
	
	/**
	 * Returns the command box ID.
	 */
	unsigned long getCommandBoxID() const;
	
	
private:
	unsigned long _commandBoxID;
};

}

#endif /*CORE_COMMANDBOXEXPRESSIONCHANGEDEVENT_H_*/
