/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_COMMANDBOXEXPRESSIONVALUECHANGEDEVENT_H_
#define CORE_COMMANDBOXEXPRESSIONVALUECHANGEDEVENT_H_

#include "CommandZoneEvent.h"

namespace core {

/**
 * Class defining a command box expression value changed event.
 */
class CommandBoxExpressionValueChangedEvent : public CommandZoneEvent {
	
public:
	/**
	 * Constructor.
	 */
	CommandBoxExpressionValueChangedEvent(unsigned long commandBoxID, bool currentValue);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~CommandBoxExpressionValueChangedEvent();

	/**
	 * Gets the event type.
	 */
	virtual EventType getEventType() const;	
	
	/**
	 * Returns the command box ID.
	 */
	unsigned long getCommandBoxID() const;
	
	/**
	 * Gets the current value.
	 */
	bool getCurrentValue() const;
	
private:
	unsigned long _commandBoxID;
	bool _currentValue;
};

}

#endif /*CORE_COMMANDBOXEXPRESSIONVALUECHANGEDEVENT_H_*/
