/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandZoneSyncEvent.h"

namespace core {

CommandZoneSyncEvent::CommandZoneSyncEvent(const std::string& serializedMessageType, const std::string& serializedMessageContent, const std::string& serializedResponse) :
	_serializedMessageType(serializedMessageType), _serializedMessageContent(serializedMessageContent), _serializedResponse(serializedResponse) {
}

CommandZoneSyncEvent::~CommandZoneSyncEvent() {
}

CommandZoneEvent::EventType CommandZoneSyncEvent::getEventType() const {
	return CommandZoneEvent::COMMAND_ZONE_SYNC;
}

const std::string& CommandZoneSyncEvent::getSerializedMessageType() const {
	return _serializedMessageType;
}

const std::string& CommandZoneSyncEvent::getSerializedMessageContent() const {
	return _serializedMessageContent;
}

const std::string& CommandZoneSyncEvent::getSerializedResponse() const {
	return _serializedResponse;
}

}
