/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ExecuteCommandBox.h"

namespace core {

ExecuteCommandBox::ExecuteCommandBox(CommandBox* commandBox, ActionType type) :
	_commandBox(commandBox),
	_type(type) {
}

ExecuteCommandBox::~ExecuteCommandBox() {
}

CommandBox* ExecuteCommandBox::getCommandBox() {
	
	return _commandBox;
}

Message::Type ExecuteCommandBox::getType() const {
	
	return Message::EXECUTE_COMMAND_BOX;
}

ExecuteCommandBox::ActionType ExecuteCommandBox::getActionType() const {
	
	return _type;
}

}