/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandProgressChangedMessage.h"

namespace core {


CommandProgressChangedMessage::CommandProgressChangedMessage(unsigned long databaseID, unsigned long commandID, double progression) :
	DataNotificationMessage(databaseID),
	_commandID(commandID),
	_progression(progression) {
}

CommandProgressChangedMessage::~CommandProgressChangedMessage() {
}

DataNotificationMessage::Type CommandProgressChangedMessage::getType() const {
	return DataNotificationMessage::COMMAND_PROGRESS_CHANGED;
}

unsigned long CommandProgressChangedMessage::getCommandID() const {
	return _commandID;
}

double CommandProgressChangedMessage::getProgression() const {
	return _progression;
}

}