/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_COMMANDTERMINATEDMESSAGE_H_
#define CORE_COMMANDTERMINATEDMESSAGE_H_

#include "DataNotificationMessage.h"

namespace core {

/**
 * Class defining a command terminated message.
 */
class CommandTerminatedMessage : public DataNotificationMessage {

public :
	/**
	 * Constructor.
	 */
	CommandTerminatedMessage(unsigned long databaseID, unsigned long commandID, unsigned long requestID);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~CommandTerminatedMessage();
	
	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

	/**
	 * Gets the command ID.
	 */
	unsigned long getCommandID() const;
	
	/**
	 * Gets the request ID.
	 */
	unsigned long getRequestID() const;
	
private :
	unsigned long _commandID;
	unsigned long _requestID;
};


} // namespace dataprovider

#endif /*CORE_COMMANDTERMINATEDMESSAGE_H_*/