/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_DATANOTIFICATIONSHUTDOWNMESSAGE_H_
#define CORE_DATANOTIFICATIONSHUTDOWNMESSAGE_H_

#include "DataNotificationMessage.h"
#include <common/base/Queue.h>

namespace core {

/**
 * Class defining a data notification shutdown message.
 */
class DataNotificationShutdownMessage : public DataNotificationMessage {

public :
	/**
	 * Constructor.
	 */
	DataNotificationShutdownMessage(common::Queue<bool>* queue);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~DataNotificationShutdownMessage();

	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

	/**
	 * Gets the queue.
	 */
	common::Queue<bool>* getQueue() const;

private :
	common::Queue<bool>* _queue;
};

} 

#endif /*CORE_DATANOTIFICATIONSHUTDOWNMESSAGE_H_*/