/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseSetValue.h"

namespace core {

BaseSetValue::BaseSetValue(unsigned long databaseID, unsigned long servantID, unsigned long propertyID, PropertySetterTerminatedSubscriber* subscriber, common::Queue<RequestReply>* waitForReplyQueue) :
	Operation(servantID),
	_propertyID(propertyID),
	_databaseID(databaseID),
	_subscriber(subscriber),
	_waitForReplyQueue(waitForReplyQueue) {
}

BaseSetValue::~BaseSetValue() {
}

Message::Type BaseSetValue::getType() const {
	
	return Message::SET_VALUE;
}

Operation* BaseSetValue::clone() const {
	
	return new BaseSetValue(*this);
}

unsigned long BaseSetValue::getPropertyID() const {
	
	return _propertyID;
}

unsigned long BaseSetValue::getDatabaseID() const {
	
	return _databaseID;
}

PropertySetterTerminatedSubscriber* BaseSetValue::getSubscriber() const {

	return _subscriber;
}

common::Queue<RequestReply>* BaseSetValue::getWaitForReplyQueue() const {
	
	return _waitForReplyQueue;
}

}