/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandTerminated.h"

namespace core {

CommandTerminated::CommandTerminated(unsigned long requestID, unsigned long commandID, const std::string& message, bool successful) :
	Message(),
	_commandID(commandID),
	_message(message),
	_successful(successful) {
	
	setRequestID(requestID);
}

CommandTerminated::~CommandTerminated() {
}

unsigned long CommandTerminated::getCommandID() const {
	
	return _commandID;
}

Message::Type CommandTerminated::getType() const {
	
	return Message::COMMAND_TERMINATED;
}

bool CommandTerminated::isSuccessful() const {
	
	return _successful;
}

const std::string& CommandTerminated::getMessage() const {
	
	return _message;
}

}