/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DurationRequest.h"

namespace core {

DurationRequest::DurationRequest(unsigned long databaseID, unsigned long servantID, unsigned long commandID, common::Queue<double>* waitForReplyQueue) :
	Operation(servantID),
	_commandID(commandID),
	_databaseID(databaseID),
	_waitForReplyQueue(waitForReplyQueue) {
}

DurationRequest::~DurationRequest() {
}


Operation* DurationRequest::clone() const {
	return new DurationRequest(*this);
}


unsigned long DurationRequest::getCommandID() const {
	
	return _commandID;
}

unsigned long DurationRequest::getDatabaseID() const {
	
	return _databaseID;
}

Message::Type DurationRequest::getType() const {
	
	return Message::DURATION_REQUEST;
}

common::Queue<double>* DurationRequest::getWaitForReplyQueue() const {
	return _waitForReplyQueue;
}

}