/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_INITDRIVERSANDPROTOCOLS_H_
#define CORE_INITDRIVERSANDPROTOCOLS_H_

#include <common/base/Queue.h>
#include <core/scheduler/RequestReply.h>
#include "Operation.h"

namespace core {

/**
 * Class defining an init drivers and protocols message for the Scheduler message queue. 
 */
class InitDriversAndProtocols : public Operation {
	
public:
	/**
	 * Constructor with the ID.
	 */
	InitDriversAndProtocols();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~InitDriversAndProtocols();

	/**
	 * Clones the Operation.
	 */
	virtual Operation* clone() const;

	/**
	 * Gets the type (Message::INIT_DRIVERS_AND_PROTOCOLS).
	 */
	virtual Type getType() const;
};

}

#endif /*CORE_INITDRIVERSANDPROTOCOLS_H_*/