/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "NewEnableDisableCommand.h"

namespace core {

NewEnableDisableCommand::NewEnableDisableCommand(unsigned long databaseID, unsigned long commandID, bool value, common::Queue<RequestReply>* waitForReplyQueue) :
	Operation(commandID),
	_commandID(commandID),
	_databaseID(databaseID),
	_value(value),
	_waitForReplyQueue(waitForReplyQueue) {
}

NewEnableDisableCommand::~NewEnableDisableCommand() {
}

Operation* NewEnableDisableCommand::clone() const {
	
	return new NewEnableDisableCommand(*this);
}

unsigned long NewEnableDisableCommand::getCommandID() const {
	
	return _commandID;
}

unsigned long NewEnableDisableCommand::getDatabaseID() const {
	
	return _databaseID;
}

bool NewEnableDisableCommand::getValue() const {

	return _value; 
}

Message::Type NewEnableDisableCommand::getType() const {
	
	return Message::NEW_ENABLE_DISABLE_COMMAND;
}

common::Queue<RequestReply>* NewEnableDisableCommand::getWaitForReplyQueue() const {
	
	return _waitForReplyQueue;
}

}