/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PauseSetter.h"

namespace core {

PauseSetter::PauseSetter(unsigned long databaseID, unsigned long propertyID) :
	Message(),
	_propertyID(propertyID),
	_databaseID(databaseID) {
}

PauseSetter::~PauseSetter() {
}

unsigned long PauseSetter::getPropertyID() const {
	
	return _propertyID;
}

unsigned long PauseSetter::getDatabaseID() const {
	
	return _databaseID;
}

Message::Type PauseSetter::getType() const {
	
	return Message::PAUSE_SETTER;
}

}