/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PropertySetterTerminated.h"

namespace core {

PropertySetterTerminated::PropertySetterTerminated(unsigned long requestID, unsigned long propertyID, const std::string& message, bool successful) :
	Message(),
	_propertyID(propertyID),
	_message(message),
	_successful(successful) {
	
	setRequestID(requestID);
}

PropertySetterTerminated::~PropertySetterTerminated() {
}

unsigned long PropertySetterTerminated::getPropertyID() const {
	
	return _propertyID;
}

Message::Type PropertySetterTerminated::getType() const {
	
	return Message::PROPERTY_SETTER_TERMINATED;
}

bool PropertySetterTerminated::isSuccessful() const {
	
	return _successful;
}

const std::string& PropertySetterTerminated::getMessage() const {
	
	return _message;
}

}