/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "RestartCommand.h"

namespace core {

RestartCommand::RestartCommand(unsigned long databaseID, unsigned long commandID) :
	Message(),
	_commandID(commandID),
	_databaseID(databaseID) {
}

RestartCommand::~RestartCommand() {
}

unsigned long RestartCommand::getCommandID() const {
	
	return _commandID;
}

unsigned long RestartCommand::getDatabaseID() const {
	
	return _databaseID;
}

Message::Type RestartCommand::getType() const {
	
	return Message::RESTART_COMMAND;
}

}