/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandExclusionElement.h"
#include <iostream>

using namespace std;

namespace core {

CommandExclusionElement::CommandExclusionElement(const std::string& servantName, const std::string& commandName, bool toBeQueued) :
	_servantName(servantName),
	_commandName(commandName),
	_toBeQueued(toBeQueued) {
		
}

CommandExclusionElement::~CommandExclusionElement() {
}

const std::string& CommandExclusionElement::getServantName() const {
	return _servantName;
}

const std::string& CommandExclusionElement::getCommandName() const {
	return _commandName;
}

bool CommandExclusionElement::toBeQueued() const {
	return _toBeQueued;
}


}