/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_PARALLELEXCLUSIONELEMENT_H_
#define CORE_PARALLELEXCLUSIONELEMENT_H_

#include <vector>

namespace core {

class CommandExclusionElement;

/**
 * Class defining a parallel exclusion element.
 */
class ParallelExclusionElement {

public:
	/**
	 * Constructor.
	 */
	ParallelExclusionElement();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~ParallelExclusionElement();

	/**
	 * Adds a new command to the group.
	 */
	void addCommand(CommandExclusionElement* command);

	/**
	 * Gets the group of commands
	 */
	std::vector<CommandExclusionElement*>& getCommands();

private:
	std::vector<CommandExclusionElement*> _commands;

};

}

#endif /*CORE_PARALLELEXCLUSIONELEMENT_H_*/