/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_SPYCOMMANDOVERRIDE_H_
#define CORE_SPYCOMMANDOVERRIDE_H_

#include <string>

namespace core {

/**
 * Class defining a spy command override.
 */
class SpyCommandOverride {

public:
	/**
	 * Constructor.
	 */
	SpyCommandOverride(const std::string& controllerName, const std::string& commandName);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~SpyCommandOverride();

	/**
	 * Returns the name of the controller.
	 */
	const std::string& getControllerName() const;
	
	/**
	 * Returns the name of the command.
	 */
	const std::string& getCommandName() const;
	
private:
	std::string _controllerName;
	std::string _commandName;
};

}

#endif /*CORE_SPYCOMMANDOVERRIDE_H_*/