/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_VARIABLEELEMENT_H_
#define CORE_VARIABLEELEMENT_H_

#include <common/base/CommonTypes.h>
#include <string>
#include <vector>

namespace core {

/**
 * Class defining a variable element.
 */
class VariableElement {

public:
	/**
	 * Constructor.
	 */
	explicit VariableElement(const std::string& name);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~VariableElement();

	/**
	 * Gets the name.
	 */
	const std::string& getName() const;

	/**
	 * Sets the expression of the alarm.
	 */
	void setExpression(const std::string& value);

	/**
	 * Returns the expression of the alarm.
	 */
	const std::string& getExpression() const;

private:
	std::string _name;
	std::string _expression;
};

}

#endif /*CORE_VARIABLEELEMENT_H_*/
