/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ResourceManager.h"

#include <common/output/OutputStream.h>
#include <common/base/ServerProperties.h>
#include <core/transportlayer/MultiThreadCommunication.h>
#include <core/transportlayer/dataprovider/StateAccessor.h>
#include <iostream>

using namespace std;
using namespace common;

namespace core {

ResourceManager* ResourceManager::m_instance = nullptr;

ResourceManager::ResourceManager() {
	m_stateAccessor = MultiThreadCommunication::getInstance()->getStateAccessor();
}

ResourceManager::~ResourceManager() {
}

ResourceManager* ResourceManager::getInstance() {
	return m_instance;
}

void ResourceManager::initInstance() {

	if (m_instance == nullptr) {
		m_instance = new ResourceManager();
		m_instance->init();
	}
}

void ResourceManager::resetInstance() {
	
	delete m_instance;
	m_instance = nullptr;
}

void ResourceManager::init() {
}

void ResourceManager::notifyNewFileCreated(common::FileType fileType, const std::string& fileName) {
	m_stateAccessor->notifyNewFileCreated(fileType, fileName);
}

}
