/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "SenderCommandStateChangeSubscriber.h"
#include <iostream>

using namespace std;
using namespace common;

namespace core {

SenderCommandStateChangeSubscriber::SenderCommandStateChangeSubscriber(unsigned long databaseID, unsigned long commandID) :
	_databaseID(databaseID), _commandID(commandID),
	_waitForTerminationQueue(new Queue<bool>(1)) {
}

SenderCommandStateChangeSubscriber::~SenderCommandStateChangeSubscriber() {
	delete _waitForTerminationQueue;
}

void SenderCommandStateChangeSubscriber::commandStateChanged(unsigned long databaseID, unsigned long commandID, common::CommandState state) {

	if (databaseID == _databaseID && _commandID == commandID) {
		if (state == common::INACTIVE) {
			_waitForTerminationQueue->put(new bool(true));
		}
	}
}

void SenderCommandStateChangeSubscriber::waitForTermination() {
	delete _waitForTerminationQueue->get();
}

}
