/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_NUMORSURVEYELEMENT_H_
#define CORE_NUMORSURVEYELEMENT_H_

#include "SurveyElement.h"

namespace core {

/**
 * Class defining a numor survey element.
 */
class NumorSurveyElement : public SurveyElement {

public:
	/**
	 * Constructor
	 */
	NumorSurveyElement(long numor, bool start);
	
	/**
	 * Destructor
	 */
	virtual ~NumorSurveyElement();
	
	/**
	 * Gets the numor.
	 */
	long getNumor() const;

	/**
	 * Returns true if is a numor start, false if a numor end.
	 */
	bool isStart() const;

private:
	long m_numor;
	bool m_start;
};

}

#endif /* CORE_NUMORSURVEYELEMENT_H_ */