/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_SURVEYELEMENT_H_
#define CORE_SURVEYELEMENT_H_

#include <common/base/Date.h>

namespace core {

/**
 * Class defining a survey element.
 */
class SurveyElement {

public:
	/**
	 * Constructor
	 */
	SurveyElement();
	
	/**
	 * Destructor
	 */
	virtual ~SurveyElement();

	/**
	 * Returns the date of the last update.
	 */
	common::Date getDate() const;
	
	/**
	 * Sets the date of the last update.
	 */
	void setDate(const common::Date& date);
	
private:
	common::Date m_date;
};

}

#endif /* CORE_SURVEYELEMENT_H_ */