/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CompletionHandlerDirectImpl.h"
#include <core/scheduler/Scheduler.h>
#include <core/dataaccess/DataAccess.h>
#include <iostream>

using namespace common;
using namespace std;

namespace core {

CompletionHandlerDirectImpl::CompletionHandlerDirectImpl() {
}

CompletionHandlerDirectImpl::~CompletionHandlerDirectImpl() {
}

void CompletionHandlerDirectImpl::commandSuccess(unsigned long requestID, unsigned long commandID) {
	Scheduler::getInstance()->commandSuccess(requestID, commandID, string("command terminated successfully"));
}

void CompletionHandlerDirectImpl::commandFailure(unsigned long requestID, unsigned long commandID, const std::string& message) {
	Scheduler::getInstance()->commandFailure(requestID, commandID, string("command terminated with failure:\n") + message);
}

void CompletionHandlerDirectImpl::propertySuccess(unsigned long requestID, unsigned long propertyID) {
	Scheduler::getInstance()->propertySuccess(requestID, propertyID, string("property setter terminated successfully"));
}

void CompletionHandlerDirectImpl::propertyFailure(unsigned long requestID, unsigned long propertyID, const std::string& message) {
	Scheduler::getInstance()->propertyFailure(requestID, propertyID, string("property setter terminated with failure:\n") + message);
}

void CompletionHandlerDirectImpl::durationRequestSuccess(unsigned long requestID, unsigned long commandID, double duration) {
	Scheduler::getInstance()->durationRequestSuccess(requestID, commandID, duration, string("duration request of command terminated successfully"));
}
	
void CompletionHandlerDirectImpl::durationRequestFailure(unsigned long requestID, unsigned long commandID, const std::string& message) {
	Scheduler::getInstance()->durationRequestFailure(requestID, commandID, string("duration request of command terminated with failure:\n") + message);
}

}