/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DirectLogAccessor.h"
#include <dataprovider/transportlayer/dataprovider/LogAccessorDirectImpl.h>
#include <iostream>

using namespace dataprovider;
using namespace common;
using namespace std;

namespace core {

DirectLogAccessor::DirectLogAccessor(LogAccessorDirectImpl* proxy)
: _proxy(proxy) {
}

DirectLogAccessor::~DirectLogAccessor() {
}
	
void DirectLogAccessor::writeCommandLog(common::LogType type, common::LogLevel level, const std::string& logMessage, const std::string& logID) {
	_proxy->writeCommandLog(type, level, logMessage, logID);
}

void DirectLogAccessor::writeSimpleLog(common::LogLevel level, const std::string& logMessage, bool writeLogFile) {

	_proxy->writeSimpleLog(level, logMessage, writeLogFile);
}

void DirectLogAccessor::writeCommandZoneContentLog(const std::string& content) {
	
	_proxy->writeCommandZoneContentLog(content);
}

void DirectLogAccessor::writeCommandZoneEventLog(const std::string& content) {

	_proxy->writeCommandZoneEventLog(content);
}

void DirectLogAccessor::writeVariableChangeLog(common::LogLevel level, const std::string& variableName, const std::string& variableType, const std::string& variableValue, const std::string& message, const unsigned long messageParentId) {

	_proxy->writeVariableChangeLog(level, variableName, variableType, variableValue, message, messageParentId);
}

void DirectLogAccessor::writeForLoopStartLog(common::LogLevel level, const std::string& variablesField, const std::string& message, unsigned long messageId){

	_proxy->writeForLoopStartLog(level, variablesField, message, messageId);
}

void DirectLogAccessor::writeForLoopEndLog(common::LogLevel level, const std::string& message, const unsigned long messageId) {

	_proxy->writeForLoopEndLog(level, message, messageId);
};

void DirectLogAccessor::writeIfEvaluationLog(common::LogLevel level, const std::string& name, const std::string& type, const std::string& value, const std::string& message) {

	_proxy->writeIfEvaluationLog(level, name, type, value, message);
}

void DirectLogAccessor::writeBreakEvaluationLog(common::LogLevel level, const std::string& name, const std::string& type, const std::string& value, const std::string& message, const unsigned long messageParentId) {

	_proxy->writeBreakEvaluationLog(level, name, type, value, message, messageParentId);
}

void DirectLogAccessor::writeUserScanStartLog(common::LogLevel level, const std::string& name, const std::string& message) {

	_proxy->writeUserScanStartLog(level, name, message);
}

}
