/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DirectServerLogAccessor.h"
#include <dataprovider/transportlayer/dataprovider/LogAccessorDirectImpl.h>
#include <iostream>

using namespace dataprovider;
using namespace common;
using namespace std;

namespace core {

DirectServerLogAccessor::DirectServerLogAccessor(LogAccessorDirectImpl* proxy)
: _proxy(proxy) {
}

DirectServerLogAccessor::~DirectServerLogAccessor() {
}

void DirectServerLogAccessor::writeServer(const std::string& processName, unsigned long threadID, bool error, const std::string& line) {

	_proxy->writeServerLog(processName, threadID, error, line);
}

}