/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_DIRECTSERVERLOGACCESSOR_H_
#define CORE_DIRECTSERVERLOGACCESSOR_H_

#include <common/output/ServerLogAccessor.h>

namespace dataprovider {

	class LogAccessorDirectImpl;
}

namespace core {

/**
 * Direct implementation class of the server log accessor.
 */
class DirectServerLogAccessor : public common::ServerLogAccessor {

public:
	/**
	 * Constructor
	 */
	DirectServerLogAccessor(dataprovider::LogAccessorDirectImpl* proxy);

	/**
	 * Virtual destructor.
	 */
	virtual ~DirectServerLogAccessor();

	/**
	 * Writes the line to the server log.
	 */
	virtual void writeServer(const std::string& processName, unsigned long threadID, bool error, const std::string& line);

private:
	dataprovider::LogAccessorDirectImpl* _proxy;
};

}

#endif /*CORE_DIRECTSERVERLOGACCESSOR_H_*/