/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CORE_DIRECTSURVEYACCESSOR_H_
#define CORE_DIRECTSURVEYACCESSOR_H_

#include "SurveyAccessor.h"

namespace dataprovider {

	class SurveyAccessorDirectImpl;
}

namespace core {

/**
 * Direct implementation class of the survey accessor.
 */
class DirectSurveyAccessor : public SurveyAccessor {
	
public:
	/**
	 * Constructor
	 */
	DirectSurveyAccessor(dataprovider::SurveyAccessorDirectImpl* proxy);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~DirectSurveyAccessor();

	/**
	 * Sends the message.
	 */
	virtual void notifyXML(const std::string& message);

private:
	dataprovider::SurveyAccessorDirectImpl* _proxy;
};

}

#endif
