/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ServantAccessor.h"
#include <common/base/Convert.h>

using namespace std;
using namespace common;

namespace core {

ServantAccessor::NoSuchServantException::NoSuchServantException(const std::string servantName) :
	common::Exception("core::ServantAccessor::NoSuchServantException", string("server failed to find servant with name \"") + servantName + "\"") {
}

ServantAccessor::NoSuchServantException::NoSuchServantException(unsigned long servantID) :
	common::Exception("core::ServantAccessor::NoSuchServantException", string("server failed to find servant <") + to<string>(servantID) + ">") {
}

ServantAccessor::InitialisationException::InitialisationException() :
	common::Exception("core::ServantAccessor::InitialisationException", string("unable to initialise the list of IDs")) {
}


ServantAccessor::ServantAccessor() {
}

ServantAccessor::~ServantAccessor() {
}

}