/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_SURVEYACCESSOR_H_
#define COMMAND_SURVEYACCESSOR_H_

#include <string>
#include <core/log/Log.h>

namespace core {

/**
 * Abstract class defining the survey accessor.
 */
class SurveyAccessor {
	
public:
	/**
	 * Constructor
	 */
	SurveyAccessor();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~SurveyAccessor();

	/**
	 * Sends the message.
	 */
	virtual void notifyXML(const std::string& message) = 0;

};

}

#endif /*COMMAND_SURVEYACCESSOR_H_*/
