/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Lock.h"
#include "LockManager.h"

namespace dataprovider {

Lock::Lock(LockManager* lockManager, LockType type, unsigned long ID) :
	_lockManager(lockManager),
	_type(type),
	_ID(ID) {
}
		
Lock::~Lock() {
	if (_type == DATABASE) {
		_lockManager->unlockMaps();

	} else if (_type == READ_SERVANT) {
		_lockManager->unlockServantForReading(_ID);

	} else if (_type == WRITE_SERVANT) {
		_lockManager->unlockServantForWriting(_ID);

	} else if (_type == DELETE_SERVANT) {
		_lockManager->unlockServantForDeleting(_ID);

	} else if (_type == READ_PROPERTY) {
		_lockManager->unlockPropertyForReading(_ID);

	} else if (_type == WRITE_PROPERTY) {
		_lockManager->unlockPropertyForWriting(_ID);

	} else if (_type == DELETE_PROPERTY) {
		_lockManager->unlockPropertyForDeleting(_ID);

	} else if (_type == READ_COMMAND) {
		_lockManager->unlockCommandForReading(_ID);

	} else if (_type == WRITE_COMMAND) {
		_lockManager->unlockCommandForWriting(_ID);

	} else if (_type == DELETE_COMMAND) {
		_lockManager->unlockCommandForDeleting(_ID);
	
	}
}

}