/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_LOCK_H_
#define DATAPROVIDER_LOCK_H_

namespace dataprovider {

class LockManager;
	
/**
 * Class defining a lock
 */	
class Lock {

public:
	
	typedef enum {DATABASE, READ_PROPERTY, WRITE_PROPERTY, DELETE_PROPERTY,
		READ_SERVANT, WRITE_SERVANT, DELETE_SERVANT,
		READ_COMMAND, WRITE_COMMAND, DELETE_COMMAND} LockType;
	
	/**
	 * Constructor.
	 */
	Lock(LockManager* lockManager, LockType type, unsigned long ID);
		
	/**
	 * Virtual destructor.
	 */
	virtual ~Lock();
	
private:
	LockManager* _lockManager;
	LockType _type;
	unsigned long _ID;
	
	
};

}

#endif /*DATAPROVIDER_LOCK_H_*/