/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "SingleLockManager.h"
#include "Lock.h"

#include <iostream>

using namespace std;

namespace dataprovider {

SingleLockManager::SingleLockManager() {
	
	pthread_mutexattr_t mutexAttributes;
	pthread_mutexattr_init(&mutexAttributes);
	pthread_mutexattr_settype(&mutexAttributes, PTHREAD_MUTEX_RECURSIVE);
	
	pthread_mutex_init(&_mutex, &mutexAttributes);
	
}
		
SingleLockManager::~SingleLockManager() {

}

void SingleLockManager::createServant(unsigned long servantID) {
	
}
	
void SingleLockManager::removeServant(unsigned long servantID) {

}
	
Lock* SingleLockManager::lockServantForReading(unsigned long servantID, common::EndOfLine const & endOfLine) {

	lock();
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockServantForReading(unsigned long servantID) {

	unlock();
}
	
Lock* SingleLockManager::lockServantForWriting(unsigned long servantID, common::EndOfLine const & endOfLine) {
	
	lock();	
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockServantForWriting(unsigned long servantID) {
	
	unlock();	
}

Lock* SingleLockManager::lockServantForDeleting(unsigned long servantID, common::EndOfLine const & endOfLine) {

	lock();	
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockServantForDeleting(unsigned long servantID) {

	unlock();	
}
	
void SingleLockManager::createProperty(unsigned long propertyID) {

}
	
void SingleLockManager::removeProperty(unsigned long propertyID) {

}

Lock* SingleLockManager::lockPropertyForReading(unsigned long propertyID, common::EndOfLine const & endOfLine) {

	lock();
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockPropertyForReading(unsigned long propertyID) {
	
	unlock();
}

Lock* SingleLockManager::lockPropertyForWriting(unsigned long propertyID, common::EndOfLine const & endOfLine) {

	lock();	
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockPropertyForWriting(unsigned long propertyID) {
	
	unlock();
}

Lock* SingleLockManager::lockPropertyForDeleting(unsigned long propertyID, common::EndOfLine const & endOfLine) {
	
	lock();
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockPropertyForDeleting(unsigned long propertyID) {

	unlock();
}

Lock* SingleLockManager::lockCommandForReading(unsigned long commandID, common::EndOfLine const & endOfLine) {

	lock();
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockCommandForReading(unsigned long commandID) {
	
	unlock();
}

Lock* SingleLockManager::lockCommandForWriting(unsigned long commandID, common::EndOfLine const & endOfLine) {

	lock();	
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockCommandForWriting(unsigned long commandID) {
	
	unlock();
}

Lock* SingleLockManager::lockCommandForDeleting(unsigned long commandID, common::EndOfLine const & endOfLine) {
	
	lock();
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockCommandForDeleting(unsigned long commandID) {

	unlock();
}

	
Lock* SingleLockManager::lockMaps(common::EndOfLine const & endOfLine) {

	lock();
	return new Lock(this, Lock::DATABASE, 0);
}
	
void SingleLockManager::unlockMaps() {

	unlock();
}

void SingleLockManager::lock() {
	
	pthread_mutex_lock(&_mutex);
}

void SingleLockManager::unlock() {
	
	pthread_mutex_unlock(&_mutex);
}

void SingleLockManager::verifyLocks(unsigned long maxID, int seconds) {
	
}

}