/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_ARRAYTRANSFERPROPERTY_H_
#define DATAPROVIDER_ARRAYTRANSFERPROPERTY_H_

#include <common/base/Array.h>

namespace dataprovider {
	
/**
 * Template class defining the typed array transfer property interface.
 */
template<typename ValueType>
class ArrayTransferProperty {
	
public:
	/**
	 * Gets the value.
	 */
	virtual common::Array<ValueType> const & getValue() const = 0;

	/**
	 * Gets the value.
	 */
	virtual common::Array<ValueType> & getValue() = 0;
};

}

#endif /*DATAPROVIDER_ARRAYTRANSFERPROPERTY_H_*/