/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseElementaryProperty.h"

#include <iostream>

using namespace std;

namespace dataprovider {
	
BaseElementaryProperty::BaseElementaryProperty(std::string const & name, bool generated, bool saveValue, std::string const & format) :
	DataProperty(name, generated, saveValue, format) {
}

BaseElementaryProperty::~BaseElementaryProperty() {
}

void BaseElementaryProperty::setFormattedValue(const std::string& value) {
	_formattedValue = value;
}

std::string const & BaseElementaryProperty::getFormattedValue() const {
	return _formattedValue;
}

}
