/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "BaseIcsArrayProperty.h"

namespace dataprovider {

BaseIcsArrayProperty::BaseIcsArrayProperty(std::string const & name, std::string const & type, bool saveValue, const std::string & format) :
	DataProperty(name, false, saveValue, format),
	_type(type) {
}

BaseIcsArrayProperty::BaseIcsArrayProperty(const BaseIcsArrayProperty& content) :
	DataProperty(content),
	_type(content._type) {
}

BaseIcsArrayProperty::~BaseIcsArrayProperty() {
}

std::string BaseIcsArrayProperty::getType() const {
	return _type;
}

bool BaseIcsArrayProperty::setValueFromString(const std::string& stringValue, const std::string& format) {
	return false;
}

}
