/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef ICS_SERVANTLOADER_H_
#define ICS_SERVANTLOADER_H_

#include <ics/PersistenceServices/Configuration/PropertyConfig.h>
#include <vector>
#include <string>


class ExperimentControllerConfig;

namespace dataprovider {

class ControllerElement;
class DriverElement;
class ServantElement;

}

namespace ics {

/**
 * Class defining a ics servant loader.
 */
class ServantLoader {

public:
	/**
	 * Constructor.
	 */
	ServantLoader();

	/**
	 * Destructor.
	 */
	~ServantLoader();

	/**
	 * Loads the controllers.
	 */
	std::vector<dataprovider::ControllerElement*> loadControllers();

	/**
	 * Loads the drivers.
	 */
	std::vector<dataprovider::DriverElement*> loadDrivers();

	/**
	 * Create a controller.
	 */
	dataprovider::ControllerElement* createController(const ExperimentControllerConfig& config);
};

}

#endif /*ICS_SERVANTLOADER_H_*/
