/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CONTROLLERLOG_H_
#define CONTROLLERLOG_H_

#include "Log.h"
#include <list>
#include "common/base/LogElement.h"

namespace dataprovider {

class ControllerLog : public Log {
public:
	ControllerLog(common::LogType type, common::LogLevel level, const std::list<common::LogElement>& lineElements, const std::string & imageName, unsigned long commandID, unsigned long servantID);
	virtual ~ControllerLog();

	unsigned long getCommandID() const;
	unsigned long getServantID() const;

	const std::list<common::LogElement>& getLineElements() const;
	const std::string& getImageName() const;

private:
	unsigned long _commandID;
	unsigned long _servantID;
	std::list<common::LogElement> _lineElements;
	std::string _imageName;

	std::string getOutputMessage(unsigned long servantID, std::list<common::LogElement> lineElements);

};
}


#endif /* CONTROLLERLOG_H_ */
