/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef FORLOOPSTARTLOG_H_
#define FORLOOPSTARTLOG_H_

#include "Log.h"

namespace dataprovider {

class ForLoopStartLog : public Log {

public:
	ForLoopStartLog(common::LogLevel level, const std::string& variablesField, const std::string& message, unsigned long messageId);
	virtual ~ForLoopStartLog();
	const std::string& getVariablesField()const;
	unsigned long getMessageId();

private:
	std::string _variablesField;
	unsigned long _messageId;

};

}

#endif /* FORLOOPSTARTLOG_H_ */
