/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "IfEvaluationLog.h"

namespace dataprovider {

IfEvaluationLog::IfEvaluationLog(common::LogLevel level, const std::string& name, const std::string& type, const std::string& value, const std::string& message) :
	Log(common::SINGLE, level, message),
	_name(name),
	_type(type),
	_value(value){
}

IfEvaluationLog::~IfEvaluationLog() {
}

const std::string IfEvaluationLog::getName() const {
	return _name;
}

const std::string IfEvaluationLog::getType() const {
	return _type;
}

const std::string IfEvaluationLog::getValue() const {
	return _value;
}

}

