/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_SIMPLELOG_H_
#define DATAPROVIDER_SIMPLELOG_H_

#include <string>

#include "Log.h"

namespace dataprovider {

/**
 * Class defining a Simple log entry.
 */
class SimpleLog : public Log {

public:
	/**
	 * Constructor.
	 */
	SimpleLog(common::LogLevel level, const std::string& message);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~SimpleLog();
};


}

#endif /*DATAPROVIDER_SIMPLELOG_H_*/