/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "VariableChangeLog.h"

using namespace std;

namespace dataprovider {

VariableChangeLog::VariableChangeLog(common::LogLevel level, const std::string& variableName, const std::string& variableType, const std::string& variableValue, const std::string& message, const unsigned long messageParentId) :
		Log(common::SINGLE, level, message),
		_name(variableName),
		_type(variableType),
		_value(variableValue),
		_messageParentId(messageParentId) {
}

VariableChangeLog::~VariableChangeLog() {
}

const std::string VariableChangeLog::getName() const {
	return _name;

}

const std::string VariableChangeLog::getType() const {
	return _type;

}

const std::string VariableChangeLog::getValue() const {
	return _value;

}

const unsigned long VariableChangeLog::getMessageParentId() const {
	return _messageParentId;
}

}
