/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef VARIABLECHANGELOG_H_
#define VARIABLECHANGELOG_H_

#include "Log.h"

namespace dataprovider {

class VariableChangeLog: public Log {

public:
	VariableChangeLog(common::LogLevel level, const std::string& variableName, const std::string& variableType, const std::string& variableValue, const std::string& message, const unsigned long messageParentId);
	virtual ~VariableChangeLog();

	const std::string getName() const;
	const std::string getType() const;
	const std::string getValue() const;
	const unsigned long getMessageParentId() const;

private:

	std::string _name;
	std::string _type;
	std::string _value;
	unsigned long _messageParentId;

};

}

#endif /* VARIABLECHANGELOG_H_ */
