/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Message.h"

namespace dataprovider {

Message::Message() {
}

Message::~Message() {
}

std::string Message::getTypeString() const {

	Type value = getType();

	if (value == INIT) {
		return "\"init\"";
	} else if (value == STOP) {
		return "\"stop\"";
	} else if (value == READ) {
		return "\"read\"";
	} else if (value == WRITE) {
		return "\"write\"";
	} else if (value == LOCK) {
		return "\"lock\"";
	} else if (value == UNLOCK) {
		return "\"unlock\"";
	} else if (value == TERMINATE) {
		return "\"terminate\"";
	} else if (value == SHUTDOWN) {
		return "\"shutdown\"";
	} else if (value == WRITE_LOG) {
		return "\"write log\"";
	} else if (value == WRITE_SERVER_LOG) {
		return "\"write server log\"";
	}

	return "\"unknown\"";
}

}
