/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_STOPMESSAGE_H_
#define DATAPROVIDER_STOPMESSAGE_H_

#include "Message.h"

namespace dataprovider {

/**
 * Class defining a Shutdown Message used by the Processor, Processor Creator and Processor Manager
 * message queues.
 */
class StopMessage : public Message {

public:
	/**
	 * Constructor.
	 */
	StopMessage();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~StopMessage();

	/**
	 * Gets the type.
	 */
	virtual Type getType() const;
	
};

}

#endif /*DATAPROVIDER_STOPMESSAGE_H_*/