/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "WriteLogMessage.h"
#include <dataprovider/log/Log.h>
#include <dataprovider/transportlayer/command/LogCompletionHandler.h>

namespace dataprovider {

WriteLogMessage::WriteLogMessage(Log* log, unsigned long requestID, LogCompletionHandler* logCompletionHandler) :
	Message(),
	_log(log),
	_requestID(requestID),
	_logCompletionHandler(logCompletionHandler) {
}

WriteLogMessage::~WriteLogMessage() {
	delete _logCompletionHandler;
}

Message::Type WriteLogMessage::getType() const {
	return Message::WRITE_LOG;
}

Log* WriteLogMessage::getLog() const {
	return _log;
}

unsigned long WriteLogMessage::getRequestID() const {
	return _requestID;
}

LogCompletionHandler* WriteLogMessage::getLogCompletionHandler() const {
	return _logCompletionHandler;
}

}