/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "WriteServerLogMessage.h"
#include <dataprovider/transportlayer/command/LogCompletionHandler.h>

namespace dataprovider {

WriteServerLogMessage::WriteServerLogMessage(const std::string& processName, unsigned long threadID, common::OutputType type, const std::string& line) :
	Message(),
	_processName(processName),
	_threadID(threadID),
	_logType(type),
	_line(line) {
}

WriteServerLogMessage::~WriteServerLogMessage() {
}

Message::Type WriteServerLogMessage::getType() const {
	return Message::WRITE_SERVER_LOG;
}

const std::string& WriteServerLogMessage::getProcessName() const {
	return _processName;
}

unsigned long WriteServerLogMessage::getThreadID() const {
	return _threadID;
}

common::OutputType WriteServerLogMessage::getLogType() const {
	return _logType;
}
	
const std::string& WriteServerLogMessage::getLine() const {
	return _line;
}
	
}