/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ChatMessage.h"

namespace dataprovider {


ChatMessage::ChatMessage(uint32 clientID, int64 date, const std::string& sender, const std::string& message, const std::string& fileName) :
	NotificationMessage(0),
	m_clientID(clientID), m_date(date), m_sender(sender), m_message(message), m_fileName(fileName) {
}

ChatMessage::~ChatMessage() {
}

NotificationMessage::Type ChatMessage::getType() const {
	return NotificationMessage::CHAT_MESSAGE;
}

uint32 ChatMessage::getClientID() const {
	return m_clientID;
}

int64 ChatMessage::getDate() const {
	return m_date;
}

std::string ChatMessage::getSender() const {
	return m_sender;
}

std::string ChatMessage::getMessage() const {
	return m_message;
}

std::string ChatMessage::getFileName() const {
	return m_fileName;
}
}
