/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandInterruptChangedMessage.h"

namespace dataprovider {


CommandInterruptChangedMessage::CommandInterruptChangedMessage(unsigned long databaseID, unsigned long servantID, unsigned long commandID, bool value) :
	NotificationMessage(databaseID),
	_servantID(servantID),
	_commandID(commandID),
	_value(value) {
}

CommandInterruptChangedMessage::~CommandInterruptChangedMessage() {
}

NotificationMessage::Type CommandInterruptChangedMessage::getType() const {
	return NotificationMessage::COMMAND_INTERRUPT_CHANGED;
}

unsigned long CommandInterruptChangedMessage::getServantID() const {
	return _servantID;
}

unsigned long CommandInterruptChangedMessage::getCommandID() const {
	return _commandID;
}

bool CommandInterruptChangedMessage::getValue() const {
	return _value;
}


}