/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandProgressionChangedMessage.h"

namespace dataprovider {


CommandProgressionChangedMessage::CommandProgressionChangedMessage(unsigned long databaseID, unsigned long commandID, double progression) :
	NotificationMessage(databaseID),
	_commandID(commandID),
	_progression(progression) {
}

CommandProgressionChangedMessage::~CommandProgressionChangedMessage() {
}

NotificationMessage::Type CommandProgressionChangedMessage::getType() const {
	return NotificationMessage::COMMAND_PROGRESSION_CHANGED;
}

unsigned long CommandProgressionChangedMessage::getCommandID() const {
	return _commandID;
}

double CommandProgressionChangedMessage::getProgression() const {
	return _progression;
}

}