/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_COMMANDPROGRESSIONCHANGEDMESSAGE_H_
#define DATAPROVIDER_COMMANDPROGRESSIONCHANGEDMESSAGE_H_

#include "NotificationMessage.h"

namespace dataprovider {

/**
 * Class defining a command progression changed message.
 */
class CommandProgressionChangedMessage : public NotificationMessage {

public:
	/**
	 * Constructor.
	 */
	CommandProgressionChangedMessage(unsigned long databaseID, unsigned long commandID, double progression);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~CommandProgressionChangedMessage();
	
	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

	/**
	 * Gets the command ID.
	 */
	unsigned long getCommandID() const;

	/**
	 * Gets the progression.
	 */
	double getProgression() const;

private:
	unsigned long _commandID;
	double _progression;

};

} // namespace dataprovider

#endif /*DATAPROVIDER_COMMANDPROGRESSIONCHANGEDMESSAGE_H_*/