/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ConditionActionsStateChangedMessage.h"

namespace dataprovider {


ConditionActionsStateChangedMessage::ConditionActionsStateChangedMessage(unsigned long conditionId, common::ConditionState state) :
	NotificationMessage(0),
	_conditionId(conditionId),
	_state(state) {
}

ConditionActionsStateChangedMessage::~ConditionActionsStateChangedMessage() {
}

NotificationMessage::Type ConditionActionsStateChangedMessage::getType() const {
	return NotificationMessage::CONDITION_ACTIONS_STATE_CHANGED;
}

unsigned long ConditionActionsStateChangedMessage::getConditionId() const {
	return _conditionId;
}

common::ConditionState ConditionActionsStateChangedMessage::getState() const {
	return _state;
}


}
