/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_CONDITIONACTIONSSTATECHANGEDMESSAGE_H_
#define DATAPROVIDER_CONDITIONACTIONSSTATECHANGEDMESSAGE_H_

#include "NotificationMessage.h"
#include <common/base/CommonTypes.h>

namespace dataprovider {

/**
 * Class defining a property changed message.
 */
class ConditionActionsStateChangedMessage : public NotificationMessage {

public:
	/**
	 * Constructor.
	 */
	ConditionActionsStateChangedMessage(unsigned long conditionId, common::ConditionState state);

	/**
	 * Virtual destructor.
	 */
	virtual ~ConditionActionsStateChangedMessage();
	
	/**
	 * Gets the type.
	 */
	virtual Type getType() const;
	
	/**
	 * Gets the id.
	 */
	unsigned long getConditionId() const;

	/**
	 * Returns the state.
	 */
	common::ConditionState getState() const;

private:
	unsigned long _conditionId;
	common::ConditionState _state;
};


} // namespace dataprovider

#endif /*DATAPROVIDER_CONDITIONACTIONSSTATECHANGEDMESSAGE_H_*/
