/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ConditionStateChangedMessage.h"

namespace dataprovider {


ConditionStateChangedMessage::ConditionStateChangedMessage(unsigned long conditionId, bool on, common::ConditionState state) :
	NotificationMessage(0),
	_conditionId(conditionId),
	_on(on),
	_state(state) {
}

ConditionStateChangedMessage::~ConditionStateChangedMessage() {
}

NotificationMessage::Type ConditionStateChangedMessage::getType() const {
	return NotificationMessage::CONDITION_STATE_CHANGED;
}

unsigned long ConditionStateChangedMessage::getConditionId() const {
	return _conditionId;
}

bool ConditionStateChangedMessage::isOn() const {
	return _on;
}

common::ConditionState ConditionStateChangedMessage::getState() const {
	return _state;
}


}
