/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_ENABLECONFIGURATIONCHANGEDMESSAGE_H_
#define DATAPROVIDER_ENABLECONFIGURATIONCHANGEDMESSAGE_H_

#include "NotificationMessage.h"
#include <common/base/CommonTypes.h>

namespace dataprovider {

/**
 * Class defining an enable configuration changed message.
 */
class EnableConfigurationChangedMessage : public NotificationMessage {

public:
	/**
	 * Constructor.
	 */
	EnableConfigurationChangedMessage(unsigned long databaseID, bool value);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~EnableConfigurationChangedMessage();
	
	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

	/**
	 * Gets the value.
	 */
	bool getValue() const;
	
private :
	bool _value;
};


} // namespace dataprovider

#endif /*DATAPROVIDER_CONFIGURATIONCHANGEDMESSAGE_H_*/