/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "LogMessage.h"

namespace dataprovider {

LogMessage::LogMessage(common::LogType type, common::LogLevel level, const std::string& message, unsigned long commandID, unsigned long servantID) :
	NotificationMessage(0),
	_logType(type),
	_logLevel(level),
	_message(message),
	_commandID(servantID),
	_servantID(servantID) {
}

LogMessage::~LogMessage() {
}

NotificationMessage::Type LogMessage::getType() const {
	return NotificationMessage::LOG;
}

common::LogType LogMessage::getLogType() const {
	return _logType;
}

common::LogLevel LogMessage::getLogLevel() const {
	return _logLevel;
}

const std::string& LogMessage::getMessage() const {
	return _message;
}

unsigned long LogMessage::getCommandID() const {
	return _commandID;
}

unsigned long LogMessage::getServantID() const {
	return _servantID;
}

}