/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_LOGXMLMESSAGE_H_
#define DATAPROVIDER_LOGXMLMESSAGE_H_

#include <dataprovider/log/Log.h>
#include "NotificationMessage.h"

namespace dataprovider {

/**
 * Class defining a log XML message.
 */
class LogXMLMessage : public NotificationMessage {

public:
	/**
	 * Constructor.
	 */
	LogXMLMessage(const std::string& message);

	/**
	 * Virtual destructor.
	 */
	virtual ~LogXMLMessage();
	
	/**
	 * Gets the type.
	 */
	virtual Type getType() const;

	/**
	 * Gets the message.
	 */
	const std::string& getMessage() const;

private:
	std::string _message;
};


} // namespace dataprovider

#endif
