/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "NotificationMessage.h"

namespace dataprovider {

NotificationMessage::NotificationMessage(unsigned long databaseID) :
	_databaseID(databaseID) {
}

NotificationMessage::~NotificationMessage() {
}

unsigned long NotificationMessage::getDatabaseID() const {
	return _databaseID;
}

std::string NotificationMessage::getTypeString() const {
	
	Type value = getType();
	
	if (value == PROPERTY_CHANGED) {
		return "\"property changed\"";
	} else if (value == COMMAND_STATE_CHANGED) {
		return "\"command state changed\"";
	} else if (value == COMMAND_PROGRESSION_CHANGED) {
		return "\"command progression changed\"";
	} else if (value == CONFIGURATION_CHANGED) {
		return "\"configuration changed\"";
	} else if (value == ICS_PROPERTY_CHANGED) {
		return "\"ics property changed\"";
	} else if (value == LOG) {
		return "\"log\"";
	} else if (value == ENABLE_CONFIGURATION_CHANGED) {
		return "\"enable configuration changed\"";
	} else if (value == CONDITION_STATE_CHANGED) {
		return "\"condition state changed\"";
	} else if (value == CONDITION_ACTIONS_STATE_CHANGED) {
		return "\"condition actions state changed\"";
	}
	
	return "\"unknown\"";
}

}
