/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "UserVariableStateChangedMessage.h"

namespace dataprovider {

UserVariableStateChangedMessage::UserVariableStateChangedMessage(unsigned long databaseId, const std::string& name, bool enabled) :
	NotificationMessage(databaseId),
	_name(name),
	_isEnabled(enabled) {
}

UserVariableStateChangedMessage::~UserVariableStateChangedMessage() {
}

NotificationMessage::Type UserVariableStateChangedMessage::getType() const {
	return NotificationMessage::USER_VARIABLE_STATE_CHANGED;
}

const std::string& UserVariableStateChangedMessage::getName() const {
	return _name;
}

bool UserVariableStateChangedMessage::isEnabled() const {
	return _isEnabled;
}

}
