/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "UserVariableValueChangedMessage.h"

namespace dataprovider {


UserVariableValueChangedMessage::UserVariableValueChangedMessage(unsigned long databaseId, const std::string& name, double value) :
	NotificationMessage(databaseId),
	_name(name),
	_value(value) {
}

UserVariableValueChangedMessage::~UserVariableValueChangedMessage() {
}

NotificationMessage::Type UserVariableValueChangedMessage::getType() const {
	return NotificationMessage::USER_VARIABLE_VALUE_CHANGED;
}

const std::string& UserVariableValueChangedMessage::getName() const {
	return _name;
}

double UserVariableValueChangedMessage::getValue() const {
	return _value;
}

}
