/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "SurveyPublisher.h"
#include <NotificationMessages.pb.h>
#include <common/output/OutputStream.h>
#include <vector>
#include <iostream>

using namespace std;
using namespace common;
using namespace cameo;

namespace dataprovider {

SurveyPublisher::SurveyPublisher(const std::string& serverId) {

	string surveyPublisherName = "survey_publisher";

	// Create the publisher.
	m_publisher = coms::Publisher::create(surveyPublisherName);
	m_publisher->init();

	cout << "Created survey publisher " << surveyPublisherName << endl;
}

SurveyPublisher::~SurveyPublisher() {

	cout << "Deleted survey publisher" << endl;
}

void SurveyPublisher::notifySurveyXML(const std::string& message) {

	// Create the type.
	notification::Message messageType;
	messageType.set_type(notification::Message::SurveyXML);

	// Create and send the message.
	notification::MessageXML logMessage;

	logMessage.set_message(message);

	// Publish the message
	m_publisher->sendTwoParts(messageType.SerializeAsString(), logMessage.SerializeAsString());
}

}
