/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "CommandZoneElement.h"

using namespace std;

namespace dataprovider {

CommandZoneElement::CommandZoneElement(unsigned long ID, const std::string& logID) :
	_ID(ID), _logID(logID) {
}

CommandZoneElement::~CommandZoneElement() {

	for (vector<CommandZoneElement*>::iterator c = _children.begin(); c != _children.end(); c++) {
		delete *c;
	}
}

unsigned long CommandZoneElement::getID() const {
	return _ID;
}

const std::string& CommandZoneElement::getLogID() const {
	return _logID;
}

void CommandZoneElement::addChild(CommandZoneElement* child) {

	_children.push_back(child);
}

const std::vector<CommandZoneElement*>& CommandZoneElement::getChildren() const {
	
	return _children;
}

}