/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "ForLoopLineElement.h"

using namespace std;

namespace dataprovider {

ForLoopLineElement::ForLoopLineElement(const std::string& variableName, const std::string& type, const std::string& startValue, const std::string& endValue, const std::string& step, const std::string& values) :
	CommandZoneElement(0, ""),
	_variableName(variableName),
	_type(type),
	_startValue(startValue),
	_endValue(endValue),
	_step(step),
	_values(values) {
}

ForLoopLineElement::~ForLoopLineElement() {
}

const std::string& ForLoopLineElement::getVariableName() const {
	return _variableName;
}

const std::string& ForLoopLineElement::getType() const {
	return _type;
}

const std::string& ForLoopLineElement::getStartValue() const {
	return _startValue;
}

const std::string& ForLoopLineElement::getEndValue() const {
	return _endValue;
}

const std::string& ForLoopLineElement::getStep() const {
	return _step;
}

const std::string& ForLoopLineElement::getValues() const {
	return _values;
}

}