/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_SCANELEMENT_H_
#define DATAPROVIDER_SCANELEMENT_H_

#include "CommandZoneElement.h"
#include <string>

namespace dataprovider {

/**
 * Class defining a scan element for the command zone parser.
 */
class ScanElement : public CommandZoneElement {

public:
	/**
	 * Constructor.
	 */
	ScanElement(unsigned long ID, const std::string& logID, const std::string& name);

	/**
	 * Virtual destructor.
	 */
	virtual ~ScanElement();
	
	/**
	 * Gets the name.
	 */
	const std::string& getName() const;
	
private:
	std::string _name;
};

}

#endif /*DATAPROVIDER_SCANELEMENT_H_*/