/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "IcsArrayPropertyElement.h"
#include "PropertyContentElement.h"
#include <iostream>

using namespace std;

namespace dataprovider {

IcsArrayPropertyElement::IcsArrayPropertyElement(const std::string& name, const std::string& type, const std::vector<std::string>& value, bool saveValue, std::string const & format) :
	PropertyElement(name) {
	
	_content = new PropertyContentElement(type, "", true, saveValue, format);
	_arrayValue = value;
}

IcsArrayPropertyElement::~IcsArrayPropertyElement() {
	delete _content;
}

PropertyContentElement* IcsArrayPropertyElement::getContent() const {
	return _content;
}

const std::vector<std::string>& IcsArrayPropertyElement::getArrayValue() const {
	return _arrayValue;
}

}
