/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_PROPERTYELEMENT_H_
#define DATAPROVIDER_PROPERTYELEMENT_H_

#include <string>

namespace dataprovider {

/**
 * Class defining a Property element for the ConfigurationParser.
 */
class PropertyElement {

public:
	/**
	 * Constructor.
	 */
	PropertyElement(const std::string& name);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~PropertyElement();

	/**
	 * Gets the name.
	 */
	const std::string& getName() const;

private:
	std::string _name;
};

}

#endif /*DATAPROVIDER_PROPERTYELEMENT_H_*/