/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_DIRECTLOGCOMPLETIONHANDLER_H_
#define DATAPROVIDER_DIRECTLOGCOMPLETIONHANDLER_H_

#include "LogCompletionHandler.h"

namespace command {

	class LogCompletionHandlerDirectImpl;
}

namespace dataprovider {

/**
 * Class defining the data analysis completion handler.
 */
class DirectLogCompletionHandler : public LogCompletionHandler {
	
public:
	/**
	 * Constructor
	 */
	DirectLogCompletionHandler(command::LogCompletionHandlerDirectImpl* proxy);
	
	/**
	 * Virtual destructor.
	 */
	virtual ~DirectLogCompletionHandler();
		
	/**
	 * Terminates a sum x.
	 */
	virtual void terminate(unsigned long requestID, bool success, const std::string& message);
		
private:
	command::LogCompletionHandlerDirectImpl* _proxy;
};

}

#endif /*DATAPROVIDER_DIRECTLOGCOMPLETIONHANDLER_H_*/