/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_LOGCOMPLETIONHANDLER_H_
#define DATAPROVIDER_LOGCOMPLETIONHANDLER_H_

#include <string>
#include <common/base/Exception.h>

namespace dataprovider {

/**
 * Abstract class defining the log completion handler.
 */
class LogCompletionHandler {
	
public:
	/**
	 * Constructor
	 */
	LogCompletionHandler();
	
	/**
	 * Virtual destructor.
	 */
	virtual ~LogCompletionHandler();
		
	/**
	 * Terminates.
	 */
	virtual void terminate(unsigned long requestID, bool success, const std::string& message) = 0;
		
};

}

#endif /*DATAPROVIDER_LOGCOMPLETIONHANDLER_H_*/