/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DirectDataChangeSubscriber.h"
#include <common/output/OutputStream.h>
#include <iostream>

using namespace std;
using namespace common;

namespace dataprovider {

DirectDataChangeSubscriber::DirectDataChangeSubscriber(common::DataChangeSubscriberDirect* proxy) :
	_proxy(proxy) {
}

DirectDataChangeSubscriber::~DirectDataChangeSubscriber() {
}

void DirectDataChangeSubscriber::setID(unsigned long subscriberID) {
	_proxy->setID(subscriberID);
}

unsigned long DirectDataChangeSubscriber::getID() {
	return _proxy->getID();
}

void DirectDataChangeSubscriber::propertyChanged(unsigned long databaseID, unsigned long propertyID) {
	_proxy->propertyChanged(databaseID, propertyID);
}

void DirectDataChangeSubscriber::commandStateChanged(unsigned long databaseID, unsigned long servantID, unsigned long commandID, common::CommandState state) {
	_proxy->commandStateChanged(databaseID, servantID, commandID, state);
}

void DirectDataChangeSubscriber::commandInterruptChanged(unsigned long databaseID, unsigned long servantID, unsigned long commandID, bool value) {
	_proxy->commandInterruptChanged(databaseID, servantID, commandID, value);
}

void DirectDataChangeSubscriber::commandProgressionChanged(unsigned long databaseID, unsigned long commandID, double progression) {
	_proxy->commandProgressionChanged(databaseID, commandID, progression);
}

void DirectDataChangeSubscriber::configurationChanged(unsigned long databaseID, unsigned long servantID, common::ConfigurationState enable) {
	_proxy->configurationChanged(databaseID, servantID, enable);
}

void DirectDataChangeSubscriber::conditionStateChanged(unsigned long conditionId, bool on, common::ConditionState state) {
	_proxy->conditionStateChanged(conditionId, on, state);
}

void DirectDataChangeSubscriber::conditionActionsStateChanged(unsigned long conditionId, common::ConditionState state) {
	_proxy->conditionActionsStateChanged(conditionId, state);
}

}
