/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DATAPROVIDER_DATACHANGEPUBLISHERDIRECTIMPL_H_
#define DATAPROVIDER_DATACHANGEPUBLISHERDIRECTIMPL_H_

#include <map>
#include <boost/thread/mutex.hpp>

#include <dataprovider/dataelement/Command.h>
#include <common/utils/DataChangeSubscriberDirect.h>

namespace dataprovider {

class DataChangeSubscriber;

/**
 * Direct server implementation of the class defining the publisher of data changes (eg property or command state).
 */
class DataChangePublisherDirectImpl {

public:
	DataChangePublisherDirectImpl();
	virtual ~DataChangePublisherDirectImpl();
	
	virtual unsigned long subscribe(DataChangeSubscriber* subscriber);
	virtual void unsubscribe(unsigned long subscriberID);
};

}


#endif /*DATAPROVIDER_DATACHANGEPUBLISHERDIRECTIMPL_H_*/
