/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "StateAccessorDirectImpl.h"

#include <dataprovider/notification/NotificationServer.h>

namespace dataprovider {

StateAccessorDirectImpl::StateAccessorDirectImpl() {
	
}

StateAccessorDirectImpl::~StateAccessorDirectImpl() {

}

void StateAccessorDirectImpl::notifyConditionState(unsigned long conditionId, bool on, common::ConditionState state) {
	NotificationServer::getInstance()->conditionStateChanged(conditionId, on, state);
}

void StateAccessorDirectImpl::notifyActionsState(unsigned long conditionId, common::ConditionState state) {
	NotificationServer::getInstance()->conditionActionsStateChanged(conditionId, state);
}

void StateAccessorDirectImpl::notifyUserVariableValueChanged(unsigned long databaseId, const std::string& name, double value) {
	NotificationServer::getInstance()->userVariableValueChanged(databaseId, name, value);
}

void StateAccessorDirectImpl::notifyUserVariableStateChanged(unsigned long databaseId, const std::string& name, bool enabled) {
	NotificationServer::getInstance()->userVariableStateChanged(databaseId, name, enabled);
}

void StateAccessorDirectImpl::notifyTokenStateChanged(common::CriticalState criticalState, common::RemoteControlState remoteControlState, common::TokenState state, uint32 ownerClientID, const std::string& ownerEndpoint, const std::string& user) {
	NotificationServer::getInstance()->tokenStateChanged(criticalState, remoteControlState, state, ownerClientID, ownerEndpoint, user);
}

void StateAccessorDirectImpl::notifyChatMessage(uint32 clientID, int64 date, const std::string& sender, const std::string& message, const std::string& fileName) {
	NotificationServer::getInstance()->chatMessage(clientID, date, sender, message, fileName);
}

void StateAccessorDirectImpl::notifyConnectedUsersChanged() {
	NotificationServer::getInstance()->notifyConnectedUsersChanged();
}

void StateAccessorDirectImpl::notifyNewFileCreated(common::FileType fileType, const std::string& fileName) {
	NotificationServer::getInstance()->notifyNewFileCreated(fileType, fileName);
}

}
