/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

/*!
 * \brief Show command
 * \author J. Locatelli
 * \date 23-06-2015
 */

#include "CommandSystem/CommandLine/Parsers/Common/CdCmd.h"
#include <common/base/FileUtilities.h>
#include <dataprovider/notification/NotificationServer.h>

using namespace std;
using namespace dataprovider;

/*
 * Constructor
 */
CdCmd::CdCmd(AbstractParser* aParser) :
		AbstractCmd(aParser) {
	// empty
}

/*
 * Destructor
 */
CdCmd::~CdCmd() {
	// empty
}

/*
 * parse
 */
void CdCmd::parse(Items& items, bool doestimatedprogression)  {

	if (m_Parser->isForEstimatedTime() == true) {
		return;
	}

	++items;
	if (items.end() == true) {
		ostringstream buf;
		buf << "Current working directory ";
		buf << m_Parser->getXbuPath();
		m_Parser->outputText(buf.str());
		m_Parser->outputEndl();
		throw CommonCmdDef::BadInput("inputs are missing");
	}

	try {

		string pathname = common::FileUtilities::getDirectoryName(m_Parser->getXbuPath(), *items);
		m_Parser->getXbuPath() = pathname;
		ostringstream buf;
		buf << "Current working directory ";
		buf << m_Parser->getXbuPath();
		m_Parser->outputText(buf.str());
		m_Parser->outputEndl();
	}
	catch(common::FileUtilities::NoSuchDirectoryException& e) {
		throw CommonCmdDef::BadInput("Bad path");
	}

}
