/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

/*!
 * \brief Show command
 * \author J. Locatelli
 * \date 23-06-2015
 */

#include "CommandSystem/CommandLine/Parsers/Common/PwdCmd.h"

using namespace std;

/*
 * Constructor
 */
PwdCmd::PwdCmd(AbstractParser* aParser) :
		AbstractCmd(aParser) {
	// empty
}

/*
 * Destructor
 */
PwdCmd::~PwdCmd() {
	// empty
}

/*
 * parse
 */
void PwdCmd::parse(Items& items, bool doestimatedprogression)  {

	++items;
	if (items.end() != true) {
		throw CommonCmdDef::BadInput("Inputs are missing");
	}

	ostringstream buf;
	buf << "Current working directory ";
	buf << m_Parser->getXbuPath();
	m_Parser->outputText(buf.str());
	m_Parser->outputEndl();

}
