/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

/*!
 * \brief Refresh configuration command
 * \author J. Locatelli
 * \date 3-12-2012
 */

#include "CommandSystem/CommandLine/Parsers/Common/RefreshCmd.h"
#include "CommandSystem/CommandLine/CommonCmdDef.h"
#include <ics/CommandSystem/SimulatedConfigurationManager.h>

using namespace std;

/*
 * Constructor
 */
RefreshCmd::RefreshCmd(AbstractParser* aParser) :
	AbstractCmd(aParser) {
	// empty
}

/*
 * Destructor
 */
RefreshCmd::~RefreshCmd() {
	// empty
}

/*
 * parse
 */
void RefreshCmd::parse(Items& items, bool doestimatedprogression)  {
	if (m_Parser->isForEstimatedTime() == true) {
		return;
	}
	SimulatedConfigurationManager::getInstance()->refreshConfiguration();
	m_Parser->outputText("Done");
	m_Parser->outputEndl();
}
