/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CONTROLLER_H_
#define CONTROLLER_H_

#include "InstrumentAbstraction/ExperimentController.h"
#include "InstrumentAbstraction/TestController.h"
#include "InstrumentAbstraction/ControllerCommandNames.h"
#include "InstrumentAbstraction/ClientCommand.h"
#include "InstrumentAbstraction/PhysicalConstants.h"
#include "InstrumentAbstraction/Commands/Stoppable.h"
#include "InstrumentAbstraction/Commands/Pausable.h"
#include "InstrumentAbstraction/Commands/Init.h"
#include "InstrumentAbstraction/Commands/Raz.h"
#include "InstrumentAbstraction/Commands/Read.h"
#include "InstrumentAbstraction/Commands/Resume.h"
#include "InstrumentAbstraction/Commands/SynchronizeRead.h"
#include "InstrumentAbstraction/Commands/Status.h"
#include "InstrumentAbstraction/Commands/StopAtEnd.h"
#include "InstrumentAbstraction/Commands/WriteParameters.h"
#include "DataProvider/ChangeAspect.h"
#include "DataProvider/Property/TypedProperty/Property.h"
#include "DataProvider/Property/TypedProperty/ArrayProperty.h"
#include "DataProvider/Property/TypedProperty/DynamicProperty.h"
#include "DataProvider/Property/TypedProperty/DynamicProperty2.h"
#include "DataProvider/Property/TypedProperty/DynamicArrayProperty.h"
#include "DataProvider/Property/TypedProperty/DynamicArrayProperty2.h"
#include "DataProvider/Property/TypedProperty/StatusProperty.h"
#include "Scheduler/Sender.h"
#include "Scheduler/Parallel.h"
#include "LoggingServices/Log.h"
#include "LoggingServices/Level.h"
#include "ErrorsAlarmsManager/Exceptions.h"
#include "Module/Module.h"
#include "Utilities/UnitTest.h"

#endif
