/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef PROPERTYCONTAINER_H
#define PROPERTYCONTAINER_H

#include "ics/Servant.h"
#include <string>
#include <map>

class BaseProperty;
class BaseDynamicProperty;

class PropertyContainer : public Servant {

public:
	PropertyContainer();
	PropertyContainer(const PropertyContainer& container);

	void formatValue(const std::string& propertyName);
	void formatAllValues();

protected:
	void registerProperty(const std::string& propertyName, BaseProperty * property);
	void registerDynamicProperty(const std::string& propertyName, BaseDynamicProperty * property);
	void registerDynamicProperty2(const std::string& propertyName, BaseDynamicProperty * property);

	void unregisterProperty(const std::string& propertyName);
	void unregisterDynamicProperty(const std::string& propertyName);
	void unregisterDynamicProperty2(const std::string& propertyName);

	std::map<std::string, BaseProperty *> m_properties;
	std::map<std::string, BaseDynamicProperty *> m_dynamicProperties;
	std::map<std::string, BaseDynamicProperty *> m_dynamicProperties2;
};

#endif
