/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Units.h"

using namespace std;

namespace unit {

const std::string DEGREE = "deg";

const std::string METER = "m";
const std::string CENTIMETER = "cm";
const std::string DECIMETER = "dm";
const std::string MILLIMETER = "mm";
const std::string MICROMETER = "microm";
const std::string NANOMETER = "nm";
const std::string NANORIU = "nRIU";

const std::string METER_PER_SECOND = "m/s";
const std::string MILLIMETER_PER_MINUTE = "mm/min";
const std::string MILLIMETER_PER_SECOND = "mm/s";
const std::string RPM = "rpm";

const std::string HOUR = "h";
const std::string MINUTE = "m";
const std::string SECOND = "s";
const std::string MILLISECOND = "ms";
const std::string MICROSECOND = "micros";

const std::string LITER = "l";
const std::string MILLILITER = "ml";
const std::string MICROLITER = "microl";
const std::string LITER_PER_MINUTE = "l/min";
const std::string MILLILITER_PER_MINUTE = "ml/min";

const std::string AMPERE = "A";
const std::string MILLIAMPERE = "mA";
const std::string MICROAMPERE = "microA";
const std::string AMPERE_PER_MINUTE = "A/min";

const std::string VOLT = "V";
const std::string MILLIVOLT = "mV";

const std::string MEGAWATT = "MW";
const std::string KILOWATT = "kW";
const std::string WATT = "W";
const std::string MILLIWATT = "mW";

const std::string CELSIUS = "C";
const std::string KELVIN = "K";
const std::string FAHRENHEIT = "F";

const std::string ANGSTROM = "angstrom";
const std::string ANGSTROM_MINUS_ONE = "angstrom-1";

const std::string TERAHERTZ = "THz";

const std::string MEGA_ELECTRON_VOLT = "MeV";
const std::string KILO_ELECTRON_VOLT = "keV";
const std::string ELECTRON_VOLT = "eV";
const std::string MILLI_ELECTRON_VOLT = "meV";
const std::string MICRO_ELECTRON_VOLT = "microeV";

const std::string TESLA = "Tesla";
const std::string GAUSS = "Gauss";

const std::string HECTOPASCAL = "hPa";
const std::string MILLIBAR = "mBar";
const std::string BAR = "Bar";

const std::string PERCENT = "%";

const std::string DECIBEL = "dB";

const std::string COUNTS = "Counts";
const std::string COUNTS_PER_SECONDS = "Counts/s";

const std::string CUBIC_CENTIMER_PER_MINUTE = "sccm";
const std::string SQUARE_CENTIMER_PER_MINUTE = "cm2/min";
const std::string MILLINEWTON_PER_METER = "mN/m";

const std::string SQUARE_CENTIMER = "cm2";
const std::string SQUARE_MILLILITER = "mm2";

const std::string OHM = "Ohm";

const std::string FRINGE = "frg";

}
