/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef UNITS_H
#define UNITS_H

#include <string>

namespace unit {

	extern const std::string DEGREE;

	extern const std::string METER;
	extern const std::string CENTIMETER;
	extern const std::string DECIMETER;
	extern const std::string MILLIMETER;
	extern const std::string MICROMETER;
	extern const std::string NANOMETER;
	extern const std::string NANORIU;

	extern const std::string METER_PER_SECOND;
	extern const std::string MILLIMETER_PER_MINUTE;
	extern const std::string RPM;

	extern const std::string HOUR;
	extern const std::string MINUTE;
	extern const std::string SECOND;
	extern const std::string MILLISECOND;
	extern const std::string MICROSECOND;

	extern const std::string LITER;
	extern const std::string MILLILITER;
	extern const std::string MICROLITER;
	extern const std::string LITER_PER_MINUTE;
	extern const std::string MILLILITER_PER_MINUTE;

	extern const std::string AMPERE;
	extern const std::string MILLIAMPERE;
	extern const std::string MICROAMPERE;
	extern const std::string AMPERE_PER_MINUTE;

	extern const std::string VOLT;
	extern const std::string MILLIVOLT;

	extern const std::string MEGAWATT;
	extern const std::string KILOWATT;
	extern const std::string WATT;
	extern const std::string MILLIWATT;

	extern const std::string CELSIUS;
	extern const std::string KELVIN;
	extern const std::string FAHRENHEIT;

	extern const std::string ANGSTROM;
	extern const std::string ANGSTROM_MINUS_ONE;

	extern const std::string TERAHERTZ;

	extern const std::string MEGA_ELECTRON_VOLT;
	extern const std::string KILO_ELECTRON_VOLT;
	extern const std::string ELECTRON_VOLT;
	extern const std::string MILLI_ELECTRON_VOLT;
	extern const std::string MICRO_ELECTRON_VOLT;

	extern const std::string TESLA;
	extern const std::string GAUSS;

	extern const std::string HECTOPASCAL;
	extern const std::string MILLIBAR;
	extern const std::string BAR;

	extern const std::string PERCENT;

	extern const std::string DECIBEL;

	extern const std::string COUNTS;
	extern const std::string COUNTS_PER_SECONDS;

	extern const std::string CUBIC_CENTIMER_PER_MINUTE;
	extern const std::string SQUARE_CENTIMER_PER_MINUTE;
	extern const std::string MILLINEWTON_PER_METER;

	extern const std::string SQUARE_CENTIMER;
	extern const std::string SQUARE_MILLILITER;

	extern const std::string OHM;

	extern const std::string FRINGE;

}

#endif
