/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DEVICEDRIVERCOUNTER_H
#define DEVICEDRIVERCOUNTER_H

#include <common/base/BaseTypes.h>

class DeviceDriver;

class DeviceDriverCounter {

public:
	DeviceDriverCounter(DeviceDriver* deviceDriver, int32 period);

	DeviceDriver* getDeviceDriver() const;

	int32 getPeriod() const;
	void setPeriod(int32 period);
	int32 getCounter() const;
	void incrementCounter();
	void resetCounter();
	void activate();
	void deactivate();

private:
	DeviceDriver* m_deviceDriver;
	int32 m_period;
	int32 m_counter;
	int32 m_storedCounter;
	bool m_active;
};

#endif
