/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef TIMEOUTMANAGER_H
#define TIMEOUTMANAGER_H

#include <boost/date_time/posix_time/posix_time.hpp>
#include <iostream>
#include <common/base/BaseTypes.h>

class TimeoutManager {
public:
	TimeoutManager(int32 sec = 8);

	bool isTimeout() const;

private:
	int32 m_sec;
	boost::posix_time::ptime m_begin;
};

#endif
