/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DealError.h"
#include "ErrorCatalogManager.h"
#include "Error.h"
#include <iostream>

DealError::~DealError(){}
DealError::DealError(){}


/**
 * Desactivate an error
 */
void DealError::desActivateError(int32 Error_id)
{
  ErrorCatalogManager::getInstance()->deleteError(Error_id);
}

/**
 * activate an error
 */
void DealError:: activateError(int32 Error_id)
{
  ErrorCatalogManager::getInstance()->addError(Error_id);
}

/**
 * get error message
 */
std::string DealError:: getErrorDescription(int32 Error_id, int32 Level_Id)
{
  Error* MyError;
  MyError=ErrorCatalogManager::getInstance()->getError(Error_id);
  if (MyError!= 0)
    {
      if (Level_Id==0)
	{
	  return MyError->getMasterMessage();
	}else
	  {
	    return MyError->getMessageLevel().at(Level_Id);
	  }
    }
  return "";
}

/**
 * Get error Struct
 */

Error* DealError::getError(int32 Error_id)
{
  return ErrorCatalogManager::getInstance()->getError(Error_id);
}
