/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DEALERROR_H
#define DEALERROR_H

class Alarm;
class Error;
#include <common/base/BaseTypes.h>

class DealError {
public:
	DealError();
	~DealError();

	/** DesActivate an error by id
	 * @param Error ID
	 */
	void desActivateError(int32 Error_id);

	/** Activate an error by id
	 * @param Error ID
	 */
	void activateError(int32 Error_id);

	/** Get an error Description by id and Level
	 * @param Error ID
	 * @param Level ID
	 */
	std::string getErrorDescription(int32 Error_id, int32 Level_id);

	Error* getError(int32 Error_id);

private:

};
#endif //DEALERROR_H
