/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Error.h"
#include <common/output/OutputStream.h>

Error::Error() {
	m_KeyId = 0;
	m_KeyFamily = 0;
	m_Status = 0;
	m_ErrorLock = false;
}

Error::~Error() {
}

void Error::print() {
	common::out << "Family : FamID = " <<  m_KeyFamily << common::eol;
	common::out << "\tIcsError : id = " <<  m_KeyId << common::eol;
	common::out << "\t\tMasterMessage = " <<  m_MasterMessage << common::eol;
	common::out << "\t\tStatus = " <<  m_Status << common::eol;
	for(auto level : m_MessageLevel) {
		common::out << "\t\t\tLevel = " <<  level << common::eol;
	}
	for(auto listchild : m_ListChildrenMasked) {
		common::out << "\t\t\tChild = " <<  listchild << common::eol;
	}
	common::out << "\t\tHelpLocation = " <<  m_HelpLocation << common::eol;
	common::out << "\t\tAction = " <<  m_AfterAction << common::eol;
}
