/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef ERRORCATALOGMANAGER_H
#define ERRORCATALOGMANAGER_H

#include <common/base/BaseTypes.h>
#include <mutex>
#include <map>

class Error;
class Alarm;

class ErrorCatalogManager {

public:
	static void initInstance();
	static ErrorCatalogManager* getInstance();
	static void reset();

	int32 addError(int32 ErrorID);
	int32 deleteError(int32 ErrorID);
	Error* getError(int32 ErrorID);

private:
	ErrorCatalogManager();
	~ErrorCatalogManager();
	static ErrorCatalogManager* _instance;

	std::map<int32, Error*> _listActiveError;
	std::map<int32, Error*> _listError;

	std::mutex _errorsMutex;

};
#endif //ERRORCATALOGMANAGER_H
