/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef XMLERRORMESSAGECATALOG_H
#define XMLERRORMESSAGECATALOG_H

#include "Error.h"
#include "ErrorCatalogManager.h"
#include <map>
#include <string>
#include <iostream>
#include "PersistenceServices/XMLErrors.h"

class XMLErrorMessageCatalog: public XMLErrors {

public:

	/** Get MapError Description by ID
	 * @param MySourceFile name of the xml error catalog
	 *
	 * @return IcsErrorAlarm The error description
	 */
	void getMapError(const std::string &MyFileSource, std::map<int32, Error*> &aMapError);

	//! XML tags
	static const std::string CATALOG_TAG;
	static const std::string FAMILY_TAG;
	static const std::string FAMILY_ID_ATTRIBUTE;
	static const std::string ICSERROR_TAG;
	static const std::string ICSERROR_ID_ATTRIBUTE;
	static const std::string MASTERMESSAGE_TAG;
	static const std::string STATUS_TAG;
	static const std::string MESSAGELEVEL_TAG;
	static const std::string LEVEL_TAG;
	static const std::string LISTCHILDRENMASKED_TAG;
	static const std::string CHILD_TAG;
	static const std::string HELPLOCATION_TAG;
	static const std::string ACTION_TAG;
	static const std::string VARNAME_TAG;

};

#endif // XMLERRORMESSAGECATALOG_H
