/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef HISTOGRAMCONFIGLOADER_H_
#define HISTOGRAMCONFIGLOADER_H_

#include <string>

class AbstractController;
class AnyProperty;

class HistogramConfigLoader {

public:
	HistogramConfigLoader();
	virtual ~HistogramConfigLoader();

	void loadConfig();

private:
	void decodeDataController(const std::string& line);
	AbstractController* getAbstractController(const std::string& controllerName);
	AnyProperty* getProperty(AbstractController* ac, const std::string& propertyName);

	static const std::string HISTOGRAM_CONFIG_NAME;
	static const std::string DEFAULT_TIME;
};

#endif /*HISTOGRAMCONFIGLOADER_H_*/
