/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef HISTOGRAMMANAGER_H_
#define HISTOGRAMMANAGER_H_

#include <string>
#include <common/base/BaseTypes.h>
#include <optional>

class AnyProperty;

class HistogramManager {

public:
	static HistogramManager* getInstance();
	static void reset();
	void init();
	void addHistogram(const std::string& controllerName, const std::string& propertyName, const std::optional<int>& activeWriteTime);
	void addHistogram(const std::string& controllerName, const std::string& propertyName, int32 index, const std::optional<int>& activeWriteTime);
	void numorStart(int32 numor);
	void numorEnd(int32 numor);

private:
	HistogramManager();
	~HistogramManager();

	static HistogramManager* _instance;
};

#endif
