/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_ICSCOMMAND_H_
#define COMMAND_ICSCOMMAND_H_

#include <command/base/method/BaseCommand.h>

namespace command {

class IcsCommand : public BaseCommand {

public:
	/**
	 * Constructor. Takes a Servant and address of the method providing the command
	 * functionality.
	 */
	IcsCommand(const std::string& name, Servant* servant);

	/**
	 * Virtual destructor.
	 */
	virtual ~IcsCommand();

	/**
	 * Names
	 */
	static const std::string START;
	static const std::string STOP;
	static const std::string PAUSE;
	static const std::string CONTINUE;
};

}

#endif