/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_CONTROLLER_ICSCONTROLLER_H_
#define COMMAND_CONTROLLER_ICSCONTROLLER_H_

#include <command/base/controller/Base.h>
#include <boost/any.hpp>

class AbstractController;
class ExperimentController;

namespace command {
namespace controller {

class IcsController : public controller::Base {

public:
	IcsController(uint32 ID, ExperimentController * experimentController);
	virtual ~IcsController();

	const std::string& _getType() const;

	AbstractController * getAbstractController() const;

	void setValue(uint32 propertyID, const boost::any& value);

private:
	ExperimentController * _experimentController;
};

}
}

#endif
