/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "IcsControllerRestartCommand.h"
#include "IcsController.h"
#include "InstrumentAbstraction/ExperimentController.h"
#include "Scheduler/Sender.h"
#include <common/output/OutputStream.h>

using namespace std;
using namespace common;

namespace command {

IcsControllerRestartCommand::IcsControllerRestartCommand(Servant* servant, AbstractController* controller) :
	IcsControllerCommand(CONTINUE, servant, controller) {
}

IcsControllerRestartCommand::~IcsControllerRestartCommand() {
}

void IcsControllerRestartCommand::execute(bool queue, bool skipIfWait) {

	SetCommandActiveResult result = setActive(getServant()->_getType());

	if (result == EXECUTE) {
		// do it
	} else {
		err << "IcsControllerRestartCommand : state " << (int32)result << " not managed" << eol;
		return;
	}

	Sender<ClientCommand>::begin();
	Sender<ClientCommand>::post(*_command);
	Sender<ClientCommand>::endIf();

	setState(common::INACTIVE);
}

}
