/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_ICSCONTROLLERRESTARTCOMMAND_H_
#define COMMAND_ICSCONTROLLERRESTARTCOMMAND_H_

#include "IcsControllerCommand.h"

namespace command {

class IcsControllerRestartCommand : public IcsControllerCommand {

public:
	/**
	 * Constructor. Takes a Servant and address of the method providing the command
	 * functionality.
	 */
	IcsControllerRestartCommand(Servant* servant, AbstractController* controller);

	/**
	 * Virtual destructor.
	 */
	virtual ~IcsControllerRestartCommand();

	/**
	 * Executes the command.
	 */
	virtual void execute(bool queue, bool skipIfWait);
};

}

#endif
