/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef COMMAND_CONTROLLER_ICSDRIVER_H_
#define COMMAND_CONTROLLER_ICSDRIVER_H_

#include <command/base/driver/Base.h>
#include <boost/any.hpp>

class TestController;
class AbstractController;

namespace command {
namespace driver {

class IcsDriver : public driver::Base {

public:
	IcsDriver(uint32 ID, TestController * testController);
	virtual ~IcsDriver();

	const std::string& _getType() const;

	AbstractController * getAbstractController() const;

	void setValue(uint32 propertyID, const boost::any& value);

private:
	TestController * _testController;
};

}
}

#endif
