/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */
#ifndef BASE_PTR_H
#define BASE_PTR_H

#include "AbstractController.h"
#include <common/base/Exception.h>

class BadConversion : public common::Exception {

public:
	BadConversion(std::string const & sourceType, std::string const & targetType);
};

class BasePtr {

public:
	BasePtr() {}
	virtual ~BasePtr() {}

	virtual std::string getType() const = 0;
	virtual bool assign(AbstractController * controller) = 0;
	virtual bool isAssigned() const = 0;
};

#endif
