/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Init.h"

namespace controller {

Init::Init(ExperimentController * controller) : Command(controller, COMMAND_INIT, &Init::init, this) {}
Init::Init() : Command() {}
void Init::init(ExperimentController * controller) {
	Command::init(controller, COMMAND_INIT, &Init::init, this);
}

void Init::initCommand(bool logging) {
	// second parameter indicates that AgentPolicy is used to block the call
	command(logging, true);
}

void Init::initParallel(bool logging) {
	// second parameter indicates that AgentPolicy is used to block the call
	commandParallel(logging, true);
}

}

