/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CONTROLLERPAUSE_H
#define CONTROLLERPAUSE_H

#include "Command.h"

namespace controller {

class Pause : private Command {

public:
	Pause(ExperimentController * controller);
	Pause();
	void init(ExperimentController * controller);

	virtual void pause() = 0;

	void pauseCommand(bool logging = false);
	void pauseParallel(bool logging = false);

	bool isPausing() const;
	bool isPaused() const;
};

}

#endif

