/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Resume.h"

namespace controller {

Resume::Resume(ExperimentController * controller) : Command(controller, COMMAND_CONTINUE, &Resume::resume, this) {}

Resume::Resume() : Command() {}

void Resume::init(ExperimentController * controller) {
	Command::init(controller, COMMAND_CONTINUE, &Resume::resume, this);
}

void Resume::resumeCommand(bool logging) {
	// second parameter indicates that AgentPolicy is not used to block the call
	// i.e. the call never blocks
	command(logging, false);
}

void Resume::resumeParallel(bool logging) {
	// second parameter indicates that AgentPolicy is not used to block the call
	// i.e. the call never blocks
	commandParallel(logging, false);
}

bool Resume::isResuming() const {
	return hasRunningCommandState(common::RESUMING);
}

}

