/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Start.h"

namespace controller {

Start::Start(ExperimentController * controller) : Command(controller, COMMAND_START, &Start::start, this) {}

Start::Start() : Command() {}

void Start::init(ExperimentController * controller) {
	Command::init(controller, COMMAND_START, &Start::start, this);
}

void Start::startCommand(bool logging) {
	// second parameter indicates that AgentPolicy is used to block the call
	command(logging, true);
}

void Start::startParallel(bool logging) {
	// second parameter indicates that AgentPolicy is used to block the call
	commandParallel(logging, true);
}

bool Start::isStarted() const {
	return !hasOnlyInactiveCommands();
}

}

