/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CONTROLLERSTART_H
#define CONTROLLERSTART_H

#include "Command.h"

namespace controller {

class Start : private Command {

public:
	Start(ExperimentController * controller);
	Start();
	void init(ExperimentController * controller);

	virtual void start() = 0;

	void startCommand(bool logging = false);
	void startParallel(bool logging = false);

	bool isStarted() const;
};

}

#endif

