/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CONTROLLERSTOPATEND_H
#define CONTROLLERSTOPATEND_H

#include "Command.h"

namespace controller {

class StopAtEnd : private Command {

public:
	StopAtEnd(ExperimentController * controller);
	StopAtEnd();
	void init(ExperimentController * controller);

	virtual void stopAtEnd() = 0;

	void stopAtEndCommand(bool logging = false);
	void stopAtEndParallel(bool logging = false);
};

}

#endif

