/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef PHYSICALCONSTANTS_H
#define PHYSICALCONSTANTS_H

#include <cmath>

static const float64 H = 6.6260755e-34;
static const float64 HBAR = H/(2*M_PI);
static const float64 NEUTRON_MASS = 1.674928*1e-27;
static const float64 ELECTRON_MASS = 1.602176462*1e-19;
static const float64 ELECTRON_CHARGE = 1.602176462*1e-19;

static const float64 ANGSTROM = 1e-10;
static const float64 MEV = 1.60217646*1e-22;

#endif //PHYSICALCONSTANTS_H