/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef NAMEMANAGER_H
#define NAMEMANAGER_H

#include<string>

class AbstractController;

class NameManager {

public:

	class ControllerNotFound {
	};

	static NameManager * getInstance();

	static void reset();

	bool controllerExists(const std::string& aName) const;

	std::string getControllerType(const std::string& aName) const;

	AbstractController* getController(const std::string& aName) const ;

protected:
	NameManager();

private:

	/**
	 * @link
	 * @shapeType PatternLink
	 * @pattern Singleton
	 * @supplierRole Singleton factory
	 */
	/*# NameManager _nameManager; */
	static NameManager * m_instance;
};
#endif //NAMEMANAGER_H
