/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef LEVEL_H
#define LEVEL_H

#include <common/base/BaseTypes.h>

/**
 * The Level defined the list of the existing levels as static members (s_Info, s_Warning, s_Error). 
 */
class Level {
public:

    Level();
    Level(int32 level);

    int32 getLevel() const;

private:    
    /**
     * Defines the level value. 
     */
    int32 m_Level;
public:

    /**
     * Defines the Information Level.
     */
    static Level s_Info ;

    /**
     * Defines the Warning Level.
     */
    static Level s_Warning;

    /**
     * Defines the Error Level.
     */
    static Level s_Error;

    /**
     * Defines the Debug Level.
     */
    static Level s_Debug;

    /**
     * Defines the Command line sync Level.
     */
    static Level s_CLSync;
};
#endif //LEVEL_H
