/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef LOG_H
#define LOG_H

#include <string>
#include <list>
#include "common/base/LogElement.h"
#include <common/base/BaseTypes.h>

class Level;

class Log {

public:
	static Log * getInstance();
	static void reset();

	void log(std::string const & controllerType, std::string const & controllerName, Level const & level, std::string const & message);
	void log(Level const & level, std::string const & message);
	void log(std::string const & controllerType, std::string const & controllerName, Level const & level, std::list<common::LogElement> const & lineElements, std::string const & imageName);
	void log(Level const & level, std::string const & propertyName, std::string const & propertyType, int32 numor, std::string const & imageName);
	void imageDataReadyLog(std::string const & image);

private:
	Log();
	~Log();

	std::string getErrorMessage(std::list<common::LogElement> const & lineElements);

	static Log * _instance;
};

#endif
