/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef PLOG_H_
#define PLOG_H_

#include <string>
#include "common/base/LogElement.h"

class AnyProperty;

/**
 * Class for logging classic properties.
 * However it can be useful to get a PLog from a value property.
 */
class PLog {

public:
	PLog(AnyProperty* property, std::string const& controllerType, bool hidden);
	PLog(const common::LogElement& valuePropertyLogElement, bool hidden);

	PLog& value(std::string propertyValue);
	PLog& unit(std::string propertyUnit);
	common::LogElement toPropertyLog() const;

	const AnyProperty* getProperty() const;

private:
	bool m_hidden;
	bool m_fromValueProperty;

	std::string m_value;
	std::string m_unit;
	std::string m_controllerType;
	AnyProperty* m_anyProperty;

	common::LogElement m_valuePropertyLogElement;
};

#endif /* PLOG_H_ */
