/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "LoggingServices/TraceManager.h"
#include "common/base/ServerProperties.h"

#include <cstdlib>
#include <cstdio>
#include <fstream>

TraceManager * TraceManager::_instance = 0;

TraceManager * TraceManager::getInstance() {
	if (_instance == 0) {
		_instance = new TraceManager();
	}
	return _instance;
}

void TraceManager::init() {
}

void TraceManager::serialize() {
}

void TraceManager::reset() {

	if (_instance != 0) {
		delete _instance;
	}

	_instance = 0;
}

void TraceManager::disableTraces() {
}

void TraceManager::enableTraces() {
}

TraceManager::~TraceManager() {
	deleteTraceObjects();
}

TraceManager::TraceManager() :
	_traceEnabled(false) {
	// Let the getenv before removing Trace
	_file.append(common::ServerProperties::getInstance()->getConfigPath());
	_file.append("/TraceFilter.bak");
}

void TraceManager::decodeParameter(const std::string& aMsg) {
}

void TraceManager::deleteTraceObjects() {
}
