/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef TRACEMANAGER_H
#define TRACEMANAGER_H

#include <string>
#include <iostream>

class TraceStream;
class TraceFormatter;
class TraceFilter;

class TraceManager {

public:
	void decodeParameter(const std::string& aMsg);

	static TraceManager * getInstance();

	static void init();
	static void serialize();
	static void reset();

protected:
	TraceManager();
	~TraceManager();

	void deleteTraceObjects();
	void enableTraces();
	void disableTraces();

	TraceStream* _traceStream;
	TraceFormatter* _traceFormatter;
	TraceFilter* _traceFilter;

	bool _traceEnabled;
	std::string _file;

	static TraceManager * _instance;
};
#endif //TRACEMANAGER_H
