/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef DRIVERFACTORY_H_
#define DRIVERFACTORY_H_

#include <string>

class DeviceDriver;

class BaseDriverFactory {

public:
	virtual DeviceDriver * make(const std::string & name) = 0;
};

template<typename Type>
class DriverFactory : public BaseDriverFactory {

public:
	virtual DeviceDriver * make(const std::string & name) {
		DeviceDriver* device = new Type(name);
		device->setType(Type::TYPE);
		return device;
	}
};

#endif
