/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef REALDRIVERFACTORY_H_
#define REALDRIVERFACTORY_H_

class DeviceDriverState;
class DeviceDriver;

class BaseRealDriverFactory {

public:
	virtual DeviceDriverState * make(DeviceDriver * owner) = 0;
};

template<typename Type, typename RealType>
class RealDriverFactory : public BaseRealDriverFactory {

public:
	virtual DeviceDriverState * make(DeviceDriver * owner) {
		DeviceDriverState * state = new RealType(dynamic_cast<Type *>(owner));
		return state;
	}
};

#endif
