/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PersistenceServices/Configuration/PropertyConfig.h"

using namespace std;

/*
 * Constructor
 */
PropertyConfig::PropertyConfig() : m_IsArray(false), m_arrayColsNb(0) {
}

/*
 * Constructor
 */
PropertyConfig::PropertyConfig(const string& name, const string& value) :
	m_name(name), m_value(value), m_IsArray(false), m_arrayColsNb(0) {
}

/*
 * Constructor
 */
PropertyConfig::PropertyConfig(const string& name,
		const vector<string>& ArrayValue, const int32 aNCol) :
	m_name(name), m_IsArray(true), m_arrayColsNb(aNCol), m_arrayValue(
			ArrayValue) {

}

/*
 * << operator
 */
ostream& operator<<(ostream&s, const PropertyConfig& property) {
	if (property.m_IsArray) {
		s << "Property.(Array) name=" << property.m_name << " Size="
				<< property.getSize();
	} else {
		s << "Property. name=" << property.m_name << " value="
				<< property.m_value;

	}

	return s;
}
