/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PersistenceServices/Configuration/RoleConfig.h"
#include "InstrumentAbstraction/AbstractController.h"

using namespace std;

/*
 * Constructor
 */
RoleConfig::RoleConfig() {
}

/*
 * Constructor
 */
RoleConfig::RoleConfig(const std::string& roletype, const string& name, const string& who) :
		m_RoleType(roletype), m_name(name), m_who(who) {
}

/*
 * << operator
 */
ostream& operator<<(ostream&s, const RoleConfig& role) {
	if (role.m_RoleType == TEST_CONTROLLER_TYPE) {
		s << "Role. type= Driver";
	}
	else if (role.m_RoleType == EXPERIMENT_CONTROLLER_TYPE) {
		s << "Role. type= Controller";
	}
	else {
		s << "Role. type= Not Determinated";
	}
	s <<" Role. name=" << role.m_name << " who=" << role.m_who;
	return s;
}
