/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PersistenceServices/Configuration/TestControllerConfig.h"

using namespace std;

/*
 * Constructor
 */
TestControllerConfig::TestControllerConfig() :
	AbstractControllerConfig("", ""), m_parentName(""), m_parentChannel(0) {
	// empty
}

/*
 * Constructor
 */
TestControllerConfig::TestControllerConfig(const string& name, const string& type, const string& parentName) :
	AbstractControllerConfig(name, type), m_parentName(parentName), m_parentChannel(0) {
	// empty
}

/*
 * Destructor
 */
TestControllerConfig::~TestControllerConfig() {
	// empty
}

/**
 * << operator
 */
ostream& operator<<(ostream& s, const TestControllerConfig& tcConfig) {
	s << "\tTestControllerConfig" << endl << "\t\tname=" << tcConfig.getName() << endl << "\t\ttype="
			<< tcConfig.getType() << endl << "\t\tenabled="
			<< tcConfig.isEnabled() << endl;
	if (!tcConfig.getParentName().empty()) {
		s << "\t\tparentName=" << tcConfig.getParentName() << " parentChannel="
				<< tcConfig.getParentChannel() << endl;
	}
	const vector<PropertyConfig> properties = tcConfig.getProperties();
	vector<PropertyConfig>::const_iterator propertiesIterator;
	s << "\t\tProperties = " << endl;
	for (propertiesIterator = properties.begin(); propertiesIterator
			!= properties.end(); propertiesIterator++) {
		s << "\t\t\t" << *propertiesIterator << endl;
	}
	s << endl;
	return s;
}
