/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef AGENTCOLLECTORPROXY_H
#define AGENTCOLLECTORPROXY_H

#include "AbstractAgentCollector.h"

class AgentCollectorProxy: public AbstractAgentCollector{
public:
    /**
     * Constructor
     */
    AgentCollectorProxy();

    /**
     * Destructor
     */
    virtual ~AgentCollectorProxy();

    /**
     * From AbstractAgentController
     */
    virtual void loadTable(std::multimap<std::string, std::string>& compatibilityTable);

private:
    /**
     * Reference to the real AgentCollector
     */
    AbstractAgentCollector* m_realAgentCollector;
};

#endif