/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef AGENTXMLCOLLECTOR_H
#define AGENTXMLCOLLECTOR_H

#include "AbstractAgentCollector.h"
#include "PersistenceServices/XMLErrors.h"
#include <string>

class AgentXMLCollector: public AbstractAgentCollector, public XMLErrors {

public:

	/**
	 * Constructor
	 */
	AgentXMLCollector(const std::string& xmlFileName);

	/**
	 *
	 */
	virtual ~AgentXMLCollector();

	/**
	 * From AbstractAgentController
	 */
	virtual void loadTable(std::multimap<std::string, std::string>& compatibilityTable);

private:

	/**
	 * File that contains compatibility in XML format
	 */
	std::string m_xmlFileName;

	static const std::string TABLE_TAG;
	static const std::string EC_TAG;
	static const std::string ECGROUP1_TAG;
	static const std::string ECGROUP2_TAG;
	static const std::string ECNAME_TAG;
	static const std::string PARAl_TAG;

};
#endif
