/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Parallel.h"
#include "InstrumentAbstraction/ClientCommand.h"

void Parallel::begin() {
	Sender<ClientCommand>::begin();
}

void Parallel::end(int32 sec) {
	Sender<ClientCommand>::endIf(End<ClientCommand>(), sec);
}

void Parallel::endIf(const Condition& condition, int32 sec) {
	Sender<ClientCommand>::endIf(condition, sec);
}
