/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef TERMINATED_H
#define TERMINATED_H

#include "Scheduler/Condition.h"
#include "DataProvider/Subscriber.h"
#include <mutex>

class Publisher;
class ChangeAspect;

class Terminated: public Condition, public Subscriber {
public:
	Terminated(Publisher* aPublisher, int32 stop = 100);
	Terminated(const Terminated& aTerminated);
	virtual ~Terminated();

	virtual bool operator()();
	virtual void finalise();

protected:
	virtual void update(ChangeAspect* aChangeAspect);

private:
	std::mutex m_mutex;
	Publisher* m_publisher;
	int32 m_stop;
	bool m_actionEnded;
	bool m_notified;
};

#endif
