/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef ASSERT_H
#define ASSERT_H

#include <iostream>
#include <common/base/BaseTypes.h>

class Assert {

public:
	template<typename A>
	static void check(A assertion, const char * expression, const char * file, int32 line) {
		if (!assertion) {
			_error = true;
			std::cerr << "error at line " << line << " of " << file << " : " << expression << std::endl;
		}
	}

	static bool onError();

private:
	static bool _error;
};

#define assertTrue(e) Assert::check(e, #e, __FILE__, __LINE__)

#endif
