/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CALCULATIONS_H
#define CALCULATIONS_H

#include <common/base/BaseTypes.h>

class Calculations {

public:
	static int32 round(float64 x);
	static uint32 swapD32ByD8(uint32 val);
	static uint32 swapD32ByD16(uint32 val);
	static int32 swapD32ByD16(int32 val);
	static uint16 swapD16ByD8(uint16 val);
	static int16 swapD16ByD8(int16 val);
	static void swapD16ByD8(char* val);
	static float32 swapD32ByD16(float32 in);
	static float64 swapDouble64ByD32(float64 in);
	static int32 gray_dec( int32 gray);
	static int32 bcd_bin(int32  bcd);
	template<class T> static T castValue(T value, T min, T max) {
		T ret;
		if (value > max) ret = max;
		else if (value < min) ret = min;
		else ret = value;
		return ret;
	}

	static std::string encodeBase64(const std::string& data);
	static std::string decodeBase64(const std::string& data);
};

#endif
