/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef SEMATOOLS_H
#define SEMATOOLS_H

#include <common/base/BaseTypes.h>

/*
 * This classes create a semaphore that could manage concurrent vme access between many process like nomad , debug and mad
 * We keep same technology as Mad to be compatible
 */
class SemaTools {

public:

	/*
	 * Constructor
	 */
	SemaTools();

	/*
	 * Destructor
	 */
	~SemaTools();

	void VE();
	void PE();

private :
	int32 SemMapE() const;
	int32 SemCreateE() const;
	void SemDeleteE() const;

	int32 m_sem_id;
	static const int32 CLE_FD;
};

#endif // SEMATOOLS_H
