/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "Utilities/StringUtilities.h"

#include <boost/algorithm/string.hpp>
using namespace boost;
using namespace std;

/*
 * cmp
 */
bool StringUtilities::cmp(const string& s1, const string& s2, uint32 nbChar) {
	// Convert to lower case for comparing
	string ls1 = s1;
	string ls2 = s2;
	to_lower(ls1);
	to_lower(ls2);
	// Limit of char
	if (nbChar == 0) {
		// No limit
		// Size have to be equal
		if (ls1.size() != ls2.size()) {
			return false;
		}
		return (ls1.find(ls2.c_str(), 0) == 0);
	} else {
		// Limited
		return (ls1.find(ls2.c_str(), 0, nbChar) == 0);
	}
}


/*
 * concat
 */
string StringUtilities::concat(const string & name, int32 i) {
	ostringstream os;
	os << name + "." << i;
	return os.str();
}