/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#define BOOST_AUTO_TEST_MAIN
#define BOOST_TEST_DYN_LINK

#include <boost/test/unit_test.hpp>
#include <common/base/Date.h>
#include <common/base/Duration.h>
#include <common/base/Ticker.h>
#include <boost/thread/xtime.hpp>
#include <boost/thread/thread.hpp>
#include <time.h>
#include <iostream>
#include <sstream>
#include <boost/date_time/local_time/local_time.hpp>
#include <common/base/TimeCondition.h>
#include <boost/thread/xtime.hpp>

using namespace common;
using namespace std;
using namespace boost::posix_time;
using namespace boost::local_time;
using namespace boost::gregorian;

BOOST_AUTO_TEST_SUITE(suite);

BOOST_AUTO_TEST_CASE(testDate)
{
	Date d0;

	cout << d0 << endl;

	Date d1;

	cout << d1 << endl;

	Duration d(d0, d1);

	cout << d << endl;

	Duration l = d1 - d0;

	cout << l << endl;

	d0 += l;

	cout << d0 << endl;

	cout << "ms = " << l.getMilliseconds() << endl;

	Date date;

	cout << "date s = " << date.getTimeUs()/1000000 << endl;

	TimeCondition c;

	cout << "before" << endl;

	c.wait(3500);

	cout << "after" << endl;

	cout << "before 1" << endl;

	Date d2;
	d2 += Duration(8000, Duration::MILLISECONDS);

	sleep(4);

	cout << "after 1" << endl;

	c.wait(d2);

	cout << "after wait" << endl;
}

BOOST_AUTO_TEST_SUITE_END();