/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#define BOOST_AUTO_TEST_MAIN
#define BOOST_TEST_DYN_LINK

#include <boost/test/unit_test.hpp>
#include <common/base/Encrypt.h>
#include <iostream>

using namespace common;
using namespace boost;
using namespace std;

BOOST_AUTO_TEST_SUITE(suite);

void testValue(int64 value) {

	string encrypted = encrypt(value);

	cout << value << endl;
	cout << "encrypted into " << encrypted << endl;
	int64 decrypted = decrypt(encrypted);
	cout << "decrypted into " << decrypted << endl << endl;

	BOOST_CHECK_EQUAL(value, decrypted);
}

BOOST_AUTO_TEST_CASE(testEncrypt)
{
	for (int i = 1E4; i < 1E6; ++i) {
		testValue(i);
	}
}

BOOST_AUTO_TEST_SUITE_END();
