/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#define BOOST_AUTO_TEST_MAIN
#define BOOST_TEST_DYN_LINK

#include <boost/test/unit_test.hpp>
//#include <boost/ptr_container/ptr_vector.hpp>
#include <common/base/HashMap.h>
#include <common/base/Date.h>
#include <common/base/Convert.h>
#include <set>
#include <iostream>
#include <string>
#include <fstream>
#include <unordered_map>
#include <map>
#include <memory>
#include <list>

using namespace common;
using namespace std;

template<class T>
struct Test {

	thread_local static std::unique_ptr<std::list<T>> alist;
};

template<class T>
thread_local std::unique_ptr<std::list<T>> Test<T>::alist;

BOOST_AUTO_TEST_SUITE(suite);

BOOST_AUTO_TEST_CASE(testMap) {

	// testing unordered_map
	unordered_map<int, string> umap;

	umap.insert(pair<int, string>(2, "two?"));
	umap.insert(pair<int, string>(11, "eleven"));
	umap.insert(pair<int, string>(5, "five"));
	umap.insert(pair<int, string>(2, "two"));

	for (unordered_map<int, string>::const_iterator it = umap.begin(); it != umap.end(); it++) {
		cout << "value is " << it->first << ", " << it->second << endl;
	}

	umap.erase(umap.find(2));

	cout << "after erase" << endl;

	for (unordered_map<int, string>::const_iterator it = umap.begin(); it != umap.end(); it++) {
		cout << "value is " << it->first << ", " << it->second << endl;
	}

	Test<std::string> t;
	Test<std::string>::alist.reset(new std::list<std::string>());
}

BOOST_AUTO_TEST_SUITE_END();
